<?php
 namespace App\Backup; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\FindChmodCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\RcloneCopyCommand; use App\System\Command\RcloneLsJsonCommand; use App\System\Command\RclonePurgeCommand; class Rclone { private const FREQUENCY_DAILY = "\144\x61\x69\154\x79"; private const CONFIG_DIRECTORY = "\x2f\x72\157\157\164\57\56\x63\x6f\156\x66\151\147\57\162\143\154\157\x6e\145\x2f"; private const CLP_USER_CONFIG_DIRECTORY = "\x2f\150\x6f\x6d\x65\57\x63\x6c\160\x2f\56\143\157\x6e\146\x69\147\x2f"; private const CLP_USER = "\x63\x6c\x70"; public const CREDENTIALS_DIRECTORY = "\57\x68\157\155\x65\x2f\x63\154\x70\57\x2e\143\x6f\x6e\x66\x69\x67\57\x72\143\154\157\x6e\x65\x2f\143\162\145\x64\x65\x6e\164\151\x61\154\163\x2f"; private const CONFIG_FILE = "\x2f\x72\157\157\164\x2f\56\143\157\156\146\151\147\x2f\x72\143\x6c\x6f\156\x65\x2f\162\x63\x6c\157\x6e\145\56\x63\157\156\x66"; private const CRON_JOB_FILE = "\x2f\145\164\x63\57\x63\x72\157\x6e\56\x64\x2f\x63\154\x70\55\162\143\154\x6f\156\x65"; private CommandExecutor $commandExecutor; private ?string $configFile = null; private array $flags = []; public function __construct() { $this->commandExecutor = new CommandExecutor(); } public function setConfigFile(string $configFile) : void { $this->configFile = $configFile; } public function getConfigFile() : ?string { goto a850f; a850f: if (!(true === is_null($this->configFile))) { goto bbc3d; } goto D6d0e; c3ef4: return $this->configFile; goto fcd8f; Baec4: bbc3d: goto c3ef4; D6d0e: $this->configFile = self::CONFIG_FILE; goto Baec4; fcd8f: } public function addFlag(string $flag, string $value) { $this->flags[] = ["\146\x6c\141\x67" => $flag, "\x76\141\154\x75\x65" => $value]; } public function getFlags() : array { return $this->flags; } public function copy(string $source, string $destination) : void { goto E4fc1; d9871: $this->addFlagsToCommand($flags, $rcloneCopyCommand); goto Dd3dc; Dd3dc: $this->commandExecutor->execute($rcloneCopyCommand, 21600); goto b69a8; E4fc1: $flags = $this->getFlags(); goto D515b; Cb18e: $rcloneCopyCommand->setDestination($destination); goto d9871; Ab393: $rcloneCopyCommand->setConfigFile($configFile); goto Dc937; c47de: $rcloneCopyCommand = new RcloneCopyCommand(); goto Ab393; Dc937: $rcloneCopyCommand->setSource($source); goto Cb18e; D515b: $configFile = $this->getConfigFile(); goto c47de; b69a8: } public function lsJson(?string $remotePath = null, $directoriesOnly = false) : array { goto A51ab; E8637: $rcloneLsJsonCommand->setDirectoriesOnly(true); goto C79fa; Acf74: $rcloneLsJsonCommand->setRemotePath($remotePath); goto b8c32; A5984: return $files; goto fd684; A51ab: $flags = $this->getFlags(); goto c5e4e; ae77d: $files = $rcloneLsJsonCommand->getFiles(); goto A5984; C79fa: Db845: goto b3997; b3997: $this->addFlagsToCommand($flags, $rcloneLsJsonCommand); goto f1361; b8c32: if (!(true === $directoriesOnly)) { goto Db845; } goto E8637; f1361: $this->commandExecutor->execute($rcloneLsJsonCommand, 20); goto ae77d; c5e4e: $configFile = $this->getConfigFile(); goto dcc16; D1d36: $rcloneLsJsonCommand->setConfigFile($configFile); goto Acf74; dcc16: $rcloneLsJsonCommand = new RcloneLsJsonCommand(); goto D1d36; fd684: } public function purge(string $remotePath) { goto fcd15; a64e2: $this->commandExecutor->execute($rclonePurgeCommand, 21600); goto cd6e9; fcd15: $flags = $this->getFlags(); goto A8168; A8168: $rclonePurgeCommand = new RclonePurgeCommand(); goto A5495; A5495: $rclonePurgeCommand->setRemotePath($remotePath); goto C8981; C8981: $this->addFlagsToCommand($flags, $rclonePurgeCommand); goto a64e2; cd6e9: } public function writeConfig(string $config) : void { goto d7785; Cea5f: $createConfigDirectoryCommand = new CreateDirectoryCommand(); goto C483e; fcb06: $writeConfigFileCommand->setFile($configFile); goto Cc6a1; C483e: $createConfigDirectoryCommand->setDirectory(self::CONFIG_DIRECTORY); goto B0027; B0027: $writeConfigFileCommand = new WriteFileCommand(); goto fcb06; A17f1: $this->commandExecutor->execute($createConfigDirectoryCommand); goto df706; Cc6a1: $writeConfigFileCommand->setContent($config); goto A17f1; df706: $this->commandExecutor->execute($writeConfigFileCommand); goto E720a; d7785: $configFile = $this->getConfigFile(); goto Cea5f; E720a: } public function writeCredentialsFile(string $file, string $content) : void { goto Db11b; f03dd: file_put_contents($file, $content); goto C7e00; D1b29: $chmodConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto ebbf4; F980c: $chownConfigDirectoryCommand = new ChownCommand(); goto Babb1; Bce59: $chownConfigDirectoryCommand->setRecursive(true); goto C9622; c7ac0: $this->commandExecutor->execute($chmodConfigDirectoryCommand); goto f03dd; ca8f7: $chownConfigDirectoryCommand->setGroup(self::CLP_USER); goto Abeed; F3132: $credentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto F980c; C9622: $chownConfigDirectoryCommand->setUser(self::CLP_USER); goto ca8f7; Edb6b: $chmodConfigDirectoryCommand->setFileChmod(770); goto C1c65; ebbf4: $chmodConfigDirectoryCommand->setDirectoryChmod(770); goto Edb6b; Babb1: $chownConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto Bce59; Db11b: $credentialsDirectoryCommand = new CreateDirectoryCommand(); goto F3132; F90e4: $this->commandExecutor->execute($chownConfigDirectoryCommand); goto c7ac0; Abeed: $chmodConfigDirectoryCommand = new FindChmodCommand(); goto D1b29; C1c65: $this->commandExecutor->execute($credentialsDirectoryCommand); goto F90e4; C7e00: } public function createCronJob(string $frequency, string $executionTime = null) : void { goto Fcbe5; E6736: $this->commandExecutor->execute($writeCronJobFileCommand); goto f1050; D25a6: $cronJobContent .= sprintf("\x30\x20\45\163\40\52\x20\x2a\40\x2a\x20\143\x6c\160\40\57\165\163\162\57\x62\151\156\57\x62\141\163\x68\40\x2d\143\x20\42\x2f\x75\x73\162\x2f\142\151\156\57\x63\154\x70\143\x74\x6c\x20\x72\x65\155\157\x74\145\x2d\x62\141\143\153\165\160\72\x63\x72\x65\141\x74\x65\40\x2d\55\x64\145\154\141\x79\x3d\164\x72\165\x65\x22\x20\x26\x3e\40\x2f\144\x65\x76\x2f\x6e\x75\154\x6c", $executionTime); goto ba73a; Ef739: $cronJobContent .= sprintf("\60\x20\52\x2f\x25\163\x20\52\x20\x2a\x20\52\40\x63\x6c\160\x20\57\165\x73\x72\x2f\142\151\x6e\57\142\141\163\x68\40\55\x63\x20\42\x2f\165\x73\162\57\142\x69\x6e\x2f\143\x6c\x70\143\x74\154\40\x72\x65\x6d\x6f\x74\145\55\142\141\143\153\x75\160\x3a\143\162\x65\141\164\x65\40\55\55\144\145\154\x61\x79\75\164\x72\165\x65\x22\40\x26\76\40\57\x64\x65\166\57\x6e\x75\154\154", $frequency); goto f6b1e; ce3e5: if (self::FREQUENCY_DAILY == $frequency) { goto dd407; } goto Ef739; ba73a: c8bd7: goto fa68c; E6bba: $writeCronJobFileCommand->setContent($cronJobContent); goto E6736; fa68c: $writeCronJobFileCommand = new WriteFileCommand(); goto a6e69; a6e69: $writeCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto E6bba; Fcbe5: $cronJobContent = sprintf("\115\101\111\x4c\x54\117\x3d\42\x22\45\163", PHP_EOL); goto ce3e5; Fe8e2: dd407: goto D25a6; f6b1e: goto c8bd7; goto Fe8e2; f1050: } private function addFlagsToCommand(array $flags, $command) : void { goto C89e2; Da1ab: B488d: goto b03ba; C1a04: f3c18: goto Da1ab; f0847: foreach ($flags as $flagData) { $command->addFlag($flagData["\x66\154\x61\147"], $flagData["\x76\x61\x6c\x75\x65"]); b8879: } goto C1a04; C89e2: if (!(false === empty($flags))) { goto B488d; } goto f0847; b03ba: } public function deleteCronJob() : void { goto Cf396; Cf396: $deleteCronJobFileCommand = new DeleteFileCommand(); goto ee2ff; d07c9: $this->commandExecutor->execute($deleteCronJobFileCommand); goto cbbcd; ee2ff: $deleteCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto d07c9; cbbcd: } public function deleteCredentials() : void { goto d19ec; D330a: $this->commandExecutor->execute($deleteCredentialsDirectoryCommand); goto b112c; dd21f: $deleteCredentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto D330a; d19ec: $deleteCredentialsDirectoryCommand = new DeleteDirectoryCommand(); goto dd21f; b112c: } }
