<?php
 namespace App\CloudPanel; use GuzzleHttp\Client as HttpClient; use App\Util\Retry; use App\System\CommandExecutor; use App\System\Command\SedCommand; use App\System\Command\MemoryInformationCommand; use App\System\Command\ProcessorCoresCommand; use App\System\Command\ServiceRestartCommand; use App\System\Command\SetTimezoneCommand; use App\Util\HumanFileSize as HumanFileSizeUtil; use App\System\Service; class Instance { const HTTP_CLIENT_TIMEOUT = 5; const ARCHITECTURE_ARM = "\141\141\x72\x63\150\66\x34"; const ARCHITECTURE_X86 = "\170\x38\66\137\66\64"; const OPERATING_SYSTEM_DEBIAN = "\x44\145\x62\x69\x61\156"; const OPERATING_SYSTEM_UBUNTU = "\125\142\x75\156\164\x75"; const PHP_DIRECTORY = "\x2f\x65\164\143\57\160\150\x70\x2f"; const PROFTPD_SERVICE_NAME = "\160\x72\157\x66\164\160\x64"; const PROFTPD_CONFIG_FILE = "\x2f\145\164\143\x2f\x70\162\157\146\164\160\144\57\x70\x72\x6f\x66\164\x70\x64\56\x63\x6f\156\146"; protected ?string $uid = null; protected ?string $architecture = null; protected ?string $hostname = null; protected ?string $ipv4PublicIp = null; protected ?string $ipv6PublicIp = null; protected ?string $region = null; protected ?string $operatingSystemName = null; protected ?string $operatingSystemVersion = null; protected array $services = []; protected array $phpVersions = []; protected CommandExecutor $commandExecutor; protected Environment $environment; protected ?HttpClient $httpClient = null; public function __construct() { $this->commandExecutor = new CommandExecutor(); } public function getArchitecture() : ?string { goto f87da; Ef5a1: $this->architecture = php_uname("\155"); goto a541f; ac670: return $this->architecture; goto ce145; f87da: if (!(true === is_null($this->architecture))) { goto d6ed8; } goto Ef5a1; a541f: d6ed8: goto ac670; ce145: } public function isArmArchitecture() : bool { goto c7f8a; c7f8a: $architecture = $this->getArchitecture(); goto c1511; c1511: $isArmArchitecture = self::ARCHITECTURE_ARM == $architecture; goto Ea23f; Ea23f: return $isArmArchitecture; goto df46a; df46a: } public function getUid() : string { return $this->uid; } public function setUid(string $uid) : void { $this->uid = $uid; } public function setHostname(string $hostname) : void { $this->hostname = $hostname; } public function getHostname() : string { return $this->hostname; } public function setRegion(string $region) : void { $this->region = $region; } public function getRegion() : ?string { return $this->region; } public function setIpv4PublicIp(string $ipv4PublicIp) : void { $this->ipv4PublicIp = $ipv4PublicIp; } public function getIpv4PublicIp() : ?string { return $this->ipv4PublicIp; } public function setIpv6PublicIp(string $ipv6PublicIp) : void { $this->ipv6PublicIp = $ipv6PublicIp; } public function getIpv6PublicIp() : string { return $this->ipv6PublicIp; } public function setEnvironment(Environment $environment) : void { $this->environment = $environment; } public function getEnvironment() : Environment { return $this->environment; } public function getServices() : array { goto a3e01; fc8b2: uasort($this->services, function ($a, $b) { return $a->getName() > $b->getName(); }); goto aaa94; aaba5: Db7f9: goto B12a3; Bdbbc: foreach ($phpVersions as $phpVersion) { goto Cdb3a; bc66e: $this->services[$phpService->getServiceName()] = $phpService; goto D665c; D665c: d5ce7: goto a1ac9; Cdb3a: $phpService = new Service(); goto Ae13a; Ab171: $phpService->setServiceName(sprintf("\160\150\160\x25\163\x2d\146\x70\x6d", $phpVersion)); goto bc66e; Ae13a: $phpService->setName(sprintf("\x50\x48\120\55\106\120\x4d\x20\45\x73", $phpVersion)); goto Ab171; a1ac9: } goto aaba5; d5675: $mysqlService = new Service(); goto d3914; B12a3: B0496: goto fc8b2; e541f: $mysqlService->setServiceName("\155\171\163\161\x6c"); goto ba0b9; a3e01: if (!(true === empty($this->services))) { goto d0e51; } goto ed1cd; B2e83: d0e51: goto eb7ec; A4476: $redisServer->setServiceName("\162\x65\144\x69\163\55\x73\145\x72\x76\145\162"); goto a5c64; a5c64: $this->services[$nginxService->getServiceName()] = $nginxService; goto b5610; aaa94: $varnishCache = new Service(); goto C5e0a; d3914: $mysqlService->setName("\x4d\x79\x53\121\x4c"); goto e541f; eb7ec: return $this->services; goto C7652; D82d8: $this->services[$redisServer->getServiceName()] = $redisServer; goto eaa5a; eaa5a: $phpVersions = $this->getPhpVersions(); goto B2430; b5610: $this->services[$mysqlService->getServiceName()] = $mysqlService; goto D82d8; B2430: if (!count($phpVersions)) { goto B0496; } goto Bdbbc; fa56b: $varnishCache->setServiceName("\x76\x61\x72\156\x69\x73\x68"); goto dd075; d7cbf: $redisServer->setName("\x52\145\x64\151\x73\x20\123\x65\162\166\x65\x72"); goto A4476; c0b7b: $nginxService->setServiceName("\x6e\147\x69\156\x78"); goto d5675; ba0b9: $redisServer = new Service(); goto d7cbf; C68bd: $nginxService->setName("\x4e\107\x49\x4e\x58"); goto c0b7b; ed1cd: $nginxService = new Service(); goto C68bd; C5e0a: $varnishCache->setName("\x56\x61\162\x6e\x69\x73\150\x20\103\x61\143\x68\145"); goto fa56b; dd075: $this->services[$varnishCache->getServiceName()] = $varnishCache; goto B2e83; C7652: } public function restartService(Service $service) : void { goto eb9e6; Fa00b: $serviceRestartCommand = new ServiceRestartCommand(); goto D238d; D238d: $serviceRestartCommand->setServiceName($serviceName); goto Aa599; Aa599: $this->commandExecutor->execute($serviceRestartCommand); goto Cfeb5; eb9e6: $serviceName = $service->getServiceName(); goto Fa00b; Cfeb5: } public function getOperatingSystemName() : string { $this->operatingSystemName = false === file_exists("\57\x65\164\x63\57\x6c\163\x62\x2d\x72\x65\154\145\x61\x73\x65") ? self::OPERATING_SYSTEM_DEBIAN : self::OPERATING_SYSTEM_UBUNTU; return $this->operatingSystemName; } public function operatingSystemVersion() : string { goto D31bd; f452f: E28e2: goto Afdbd; Afdbd: D4e26: goto a957b; a957b: return $this->operatingSystemVersion; goto A782b; e43c5: switch ($operatingSystemName) { case self::OPERATING_SYSTEM_DEBIAN: $this->operatingSystemVersion = trim(file_get_contents("\57\x65\x74\x63\57\x64\x65\x62\151\x61\156\x5f\x76\x65\x72\163\151\x6f\x6e")); goto D4e26; case self::OPERATING_SYSTEM_UBUNTU: goto d9009; d9009: $osReleaseInformation = explode(PHP_EOL, trim(file_get_contents("\57\x65\x74\x63\x2f\157\163\55\162\x65\x6c\145\x61\x73\145"))); goto b4e83; d1b94: $this->operatingSystemVersion = $operatingSystemVersion; goto cc1ac; cc1ac: goto D4e26; goto c55b0; b2b39: $operatingSystemVersion = substr($operatingSystemVersionId, 12, -1); goto d1b94; b4e83: $operatingSystemVersionId = $osReleaseInformation[2] ?? ''; goto b2b39; c55b0: } goto f452f; D31bd: $operatingSystemName = $this->getOperatingSystemName(); goto e43c5; A782b: } public function getPhpVersions() : array { goto E3949; E3949: if (!(true === empty($this->phpVersions))) { goto a76bc; } goto cb25c; bd2ae: a76bc: goto B1831; Dece1: rsort($this->phpVersions); goto bd2ae; E87c2: d9f6e: goto Dece1; cb25c: foreach (new \DirectoryIterator(self::PHP_DIRECTORY) as $fileInfo) { goto Dbc89; Df2b8: $this->phpVersions[] = $phpVersion; goto e7777; a5442: a6bf4: goto e3e11; d75cf: if (!(true === is_float($phpVersion + 0))) { goto B9a73; } goto Df2b8; c1cb5: $phpVersion = $fileInfo->getBasename(); goto d75cf; Dbc89: if (!(false === $fileInfo->isDot())) { goto a6bf4; } goto c1cb5; e7777: B9a73: goto a5442; e3e11: C4fc2: goto Ab670; Ab670: } goto E87c2; B1831: return $this->phpVersions; goto Db366; Db366: } public function getProcessorCores() : int { goto cbe50; b4e79: return $numberOfProcessorCores; goto ef6dc; cbe50: $processorCoresCommand = new ProcessorCoresCommand(); goto e8025; fb71e: $numberOfProcessorCores = $processorCoresCommand->getNumberOfProcessorCores(); goto b4e79; e8025: $this->commandExecutor->execute($processorCoresCommand); goto fb71e; ef6dc: } public function getMemory($unit = "\x47\102") : string { goto B9f4b; a220f: $memory = HumanFileSizeUtil::convert($totalMemoryInBytes, $unit, 0); goto bd982; B9f4b: $totalMemoryInBytes = $this->getTotalMemoryInBytes(); goto a220f; bd982: return $memory; goto ba399; ba399: } private function getTotalMemoryInBytes() : int { goto dbcd3; dbcd3: $memoryInformationCommand = new MemoryInformationCommand(); goto e54f2; e54f2: $this->commandExecutor->execute($memoryInformationCommand); goto e228a; e228a: $totalMemoryInBytes = $memoryInformationCommand->getTotalMemoryInBytes(); goto b8e2f; b8e2f: return $totalMemoryInBytes; goto a6fcb; a6fcb: } public function setProftpdMasqueradeAddress($masqueradeAddress) : void { goto Cfa40; Adb00: $serviceRestartCommand = new ServiceRestartCommand(); goto D322e; a68ba: $sedCommand->setPattern(sprintf("\163\57\x4d\141\x73\x71\x75\145\162\x61\144\145\101\144\x64\x72\145\163\x73\x2e\x2a\x2f\x4d\141\163\x71\x75\145\162\141\x64\x65\101\144\x64\x72\145\x73\163\x20\x25\163\x2f\147", $masqueradeAddress)); goto Adb00; d3658: $sedCommand->setFile(self::PROFTPD_CONFIG_FILE); goto a68ba; a8a06: $this->commandExecutor->execute($serviceRestartCommand); goto A6871; F9082: $this->commandExecutor->execute($sedCommand); goto a8a06; Cfa40: $sedCommand = new SedCommand(); goto d3658; D322e: $serviceRestartCommand->setServiceName(self::PROFTPD_SERVICE_NAME); goto F9082; A6871: } public function setTimezone(string $timezone) : void { goto a3190; e21a3: $setTimezoneCommand->setTimezone($timezone); goto c94a0; c94a0: $this->commandExecutor->execute($setTimezoneCommand); goto D3b8d; a3190: $setTimezoneCommand = new SetTimezoneCommand(); goto e21a3; D3b8d: } public function reboot($delay = 5) : void { shell_exec(sprintf("\50\57\x62\151\x6e\57\163\154\145\145\160\40\x25\x73\x20\46\x26\x20\x2f\165\x73\x72\57\x62\x69\156\57\163\x75\x64\x6f\x20\x72\145\142\157\157\x74\51\40\x3e\x20\57\144\145\x76\57\x6e\165\154\154\40\x26", $delay)); } protected function getHttpClient() : HttpClient { goto Cc20f; ae84d: $this->httpClient = new HttpClient($config); goto cc6dc; d55ca: $config = ["\x74\151\x6d\x65\x6f\165\x74" => self::HTTP_CLIENT_TIMEOUT, "\166\145\x72\x69\x66\171" => false]; goto ae84d; Cc20f: if (!(true === is_null($this->httpClient))) { goto caf5a; } goto d55ca; d4c73: return $this->httpClient; goto d2740; cc6dc: caf5a: goto d4c73; d2740: } protected function retry(callable $fn, $retries = 2, $delay = 3) { return Retry::retry($fn, $retries, $delay); } }
