<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Database\Manager as DatabaseManager; use App\Service\Crypto; class DatabaseAddCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private ValidatorInterface $validator; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto Bd42d; Bd42d: $this->siteEntityManager = $siteEntityManager; goto c8fcc; Ad11c: $this->databaseServerEntityManager = $databaseServerEntityManager; goto Abb79; becaa: parent::__construct(); goto ff5ee; a59ca: $this->databaseUserEntityManager = $databaseUserEntityManager; goto Ad11c; c8fcc: $this->databaseEntityManager = $databaseEntityManager; goto a59ca; Abb79: $this->validator = $validator; goto becaa; ff5ee: } protected function configure() : void { goto D8166; f8270: $this->addOption("\x64\x61\164\141\x62\141\163\145\116\x61\x6d\145", null, InputOption::VALUE_REQUIRED); goto Dc827; Dc827: $this->addOption("\x64\x61\164\141\x62\141\163\x65\125\x73\145\x72\116\x61\155\145", null, InputOption::VALUE_REQUIRED); goto bc303; bc303: $this->addOption("\144\141\164\x61\142\x61\x73\145\x55\x73\x65\x72\x50\x61\163\x73\x77\157\x72\x64", null, InputOption::VALUE_REQUIRED); goto Aebad; D8166: $this->setName("\144\x62\x3a\141\144\144"); goto e8183; B2d7d: $this->addOption("\x64\157\x6d\x61\x69\x6e\116\141\155\145", null, InputOption::VALUE_REQUIRED); goto f8270; e8183: $this->setDescription("\143\x6c\160\x63\x74\x6c\x20\144\x62\72\141\x64\144\40\x2d\55\x64\x6f\x6d\x61\151\156\116\x61\x6d\x65\75\x77\167\x77\56\144\157\155\x61\x69\156\x2e\x63\x6f\x6d\x20\x2d\x2d\144\x61\164\141\x62\141\163\145\116\141\155\x65\75\x6d\171\55\144\x61\164\x61\x62\141\x73\145\x20\x2d\55\144\141\164\x61\142\141\163\145\x55\163\145\x72\116\141\155\x65\75\x6a\157\x68\156\40\55\x2d\144\x61\164\x61\142\x61\163\145\x55\x73\x65\162\x50\141\x73\x73\x77\x6f\x72\x64\75\x27\41\x73\145\143\x72\x65\164\x50\x61\163\163\167\x6f\162\144\41\47"); goto B2d7d; Aebad: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto D7438; c0af7: return $this->renderConstraints($constraints, $output); goto aef81; D7438: $this->validateInput($input); goto cfae0; A62fa: $databaseConstraints = $this->validator->validate($databaseEntity); goto B8108; B539b: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto A73a0; Cd273: $databaseName = trim($input->getOption("\144\141\x74\141\x62\x61\x73\145\116\141\x6d\145")); goto cbc1f; B91f9: $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); goto fffd1; C4037: $constraints->addAll($databaseConstraints); goto C34bf; aa9ed: $databaseUserPassword = trim($input->getOption("\x64\x61\164\141\x62\x61\x73\x65\x55\163\145\x72\x50\x61\163\163\167\157\x72\144")); goto B91f9; a07e7: if (!(false === is_null($activeDatabaseServerEntity))) { goto A4a4e; } goto df34b; Bedaf: $databaseUserEntity->setUserName($databaseUserName); goto B539b; Eecac: $databaseEntity->setName($databaseName); goto F5aac; D26a1: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto Bedaf; d7c94: dfbbd: goto Ceb2e; df34b: $databaseEntity = $this->databaseEntityManager->createEntity(); goto D3cac; C89d1: Febfa: goto ff406; Dcae6: throw new \Exception(sprintf("\104\157\155\x61\151\x6e\x4e\x61\155\x65\40\42\x25\163\x22\40\x64\157\x65\163\40\x6e\x6f\x74\x20\x65\x78\x69\x73\x74\x2e", $domainName)); goto c9fc2; Bdda6: $databaseUserEntity->setDatabase($databaseEntity); goto c7f19; F5aac: $databaseEntity->setSite($siteEntity); goto D26a1; C34bf: $constraints->addAll($databaseUserConstraints); goto c0af7; c7f19: $databaseEntity->addUser($databaseUserEntity); goto Fc064; c9fc2: C3224: goto d27ac; c3e71: $constraints = new ConstraintViolationList(); goto C4037; A73a0: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto Bdda6; Ceb2e: A4a4e: goto ba261; fffd1: if (!(true === is_null($siteEntity))) { goto C3224; } goto Dcae6; d27ac: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto a07e7; C7ade: $output->writeln(sprintf("\x3c\x69\156\x66\157\x3e\x44\x61\x74\141\142\141\x73\145\x3c\x2f\151\x6e\x66\157\76\40\x3c\143\157\155\x6d\145\156\x74\76\45\163\x3c\57\143\x6f\x6d\x6d\145\x6e\x74\76\40\74\151\156\146\157\76\x68\x61\163\x20\x62\145\x65\156\x20\141\x64\x64\145\x64\56\x3c\x2f\x69\156\146\157\x3e", $databaseName)); goto a97c5; Eb40f: $databaseManager->createUser($databaseUserEntity); goto C9b33; C9b33: $this->siteEntityManager->updateEntity($siteEntity); goto C7ade; a97c5: return BaseCommand::SUCCESS; goto d7c94; cbc1f: $databaseUserName = trim($input->getOption("\x64\141\x74\x61\x62\x61\163\x65\x55\163\145\162\116\141\155\x65")); goto aa9ed; B8108: $databaseUserConstraints = $this->validator->validate($databaseUserEntity); goto d05ee; ba261: return BaseCommand::FAILURE; goto E063d; Fc064: $siteEntity->addDatabase($databaseEntity); goto A62fa; cfae0: $domainName = trim($input->getOption("\x64\x6f\155\x61\151\x6e\x4e\141\x6d\x65")); goto Cd273; d05ee: if (0 == count($databaseConstraints) && 0 == count($databaseUserConstraints)) { goto Febfa; } goto c3e71; aef81: goto dfbbd; goto C89d1; a0ae5: $databaseManager->createDatabase($databaseEntity); goto Eb40f; D3cac: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto Eecac; ff406: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto a0ae5; E063d: } catch (\Exception $e) { goto b22bc; b22bc: $errorMessage = $e->getMessage(); goto Af985; c6652: return BaseCommand::FAILURE; goto a1115; Af985: $output->writeln(sprintf("\x3c\x65\x72\x72\157\162\x3e\x25\163\74\x2f\x65\x72\162\157\162\76", $errorMessage)); goto c6652; a1115: } } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\156\x61\x6d\x65", "\x64\141\x74\141\142\x61\x73\x65\x4e\141\155\145", $constraints); $this->changePropertyPath("\x75\x73\x65\162\x4e\141\x6d\x65", "\144\x61\x74\x61\142\x61\x73\x65\x55\x73\145\x72\x4e\141\x6d\145", $constraints); } }
