<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\Entity\Database as DatabaseEntity; use App\System\CommandExecutor; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\System\Command\DeleteOldFilesRecursiveCommand; use App\System\Command\FindChmodCommand; use App\System\Command\ChownCommand; use App\Database\Exporter as DatabaseExporter; class DatabaseBackupCommand extends BaseCommand { private const RETENTION_PERIOD = 7; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private int $retentionPeriod = 0; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto F884b; c3e15: $this->validator = $validator; goto d1dca; F884b: $this->siteEntityManager = $siteEntityManager; goto c8c25; d1dca: parent::__construct(); goto E6f97; c8c25: $this->databaseEntityManager = $databaseEntityManager; goto Db018; C9c52: $this->commandExecutor = new CommandExecutor(); goto c3e15; Db018: $this->databaseServerEntityManager = $databaseServerEntityManager; goto C9c52; E6f97: } protected function configure() : void { goto c917e; c917e: $this->setName("\144\x62\x3a\x62\x61\x63\153\165\x70"); goto E7604; E7604: $this->setDescription("\x63\154\160\x63\x74\x6c\40\144\x62\72\x62\141\x63\x6b\165\160\x20\x2d\x2d\151\147\156\x6f\162\145\104\141\x74\141\142\x61\x73\145\x73\75\47\x64\x62\61\x2c\144\x62\x32\x27\40\55\55\x72\145\164\145\156\x74\x69\157\156\x50\145\162\x69\x6f\x64\x3d\67"); goto A2adc; Feb95: $this->addOption("\162\145\164\x65\156\164\x69\x6f\156\120\145\x72\151\x6f\144", null, InputOption::VALUE_OPTIONAL, '', self::RETENTION_PERIOD); goto badf2; A2adc: $this->addOption("\x69\147\156\157\x72\x65\104\x61\x74\141\142\x61\163\x65\163", null, InputOption::VALUE_OPTIONAL); goto Feb95; badf2: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto d6f02; E57da: $siteEntities = $this->siteEntityManager->findAll(); goto a234e; Cacd7: e04bd: goto D3793; Cdc21: foreach ($siteEntities as $siteEntity) { goto da6c5; d688d: A2148: goto c76ec; Ecfbb: foreach ($databaseEntities as $databaseEntity) { goto b9f49; B0bd6: A2f15: goto b310a; A79ec: $this->createDatabaseDump($databaseEntity); goto de9fd; E37d6: if (!(false === in_array($databaseName, $ignoredDatabases))) { goto cbcdf; } goto A79ec; de9fd: cbcdf: goto B0bd6; b9f49: $databaseName = $databaseEntity->getName(); goto E37d6; b310a: } goto abb3b; da6c5: $databaseEntities = $siteEntity->getDatabases(); goto a1f3d; a1f3d: if (!count($databaseEntities)) { goto C78d9; } goto Ecfbb; c1e29: C78d9: goto d688d; abb3b: A03bd: goto c1e29; c76ec: } goto Cacd7; D3793: f3aed: goto Cb25e; cef58: $ignoredDatabases = explode("\54", $input->getOption("\x69\147\x6e\x6f\x72\145\x44\141\x74\x61\x62\141\x73\145\163")); goto e9809; a234e: if (!count($siteEntities)) { goto f3aed; } goto Cdc21; Cb25e: return BaseCommand::SUCCESS; goto Fa40b; d6f02: $this->validateInput($input); goto cef58; e9809: $this->retentionPeriod = (int) $input->getOption("\x72\145\164\145\x6e\164\x69\x6f\156\120\145\162\x69\157\x64"); goto E57da; Fa40b: } catch (\Exception $e) { goto Eae0b; Ccbf5: $output->writeln(sprintf("\x3c\x65\x72\x72\x6f\162\76\45\x73\74\57\145\162\162\157\x72\x3e", $errorMessage)); goto Cbf20; Eae0b: $errorMessage = $e->getMessage(); goto Ccbf5; Cbf20: return BaseCommand::FAILURE; goto B8334; B8334: } } private function createDatabaseDump(DatabaseEntity $databaseEntity) : void { try { goto bf14f; bf14f: $dateTime = new \DateTime("\156\x6f\x77", new \DateTimeZone("\125\x54\x43")); goto ca1b9; d5be8: $this->resetPermissions($databaseEntity); goto Fecb7; Bd440: $outputFile = sprintf("\x25\x73\57\x25\163", rtrim($outputDirectory, "\x2f"), sprintf("\x25\x73\137\x25\163\56\x73\x71\x6c\x2e\147\172", $databaseName, $dateTime->getTimestamp())); goto e05e2; ca1b9: $siteEntity = $databaseEntity->getSite(); goto dc8fc; D7243: $databaseExporter->createOutputDirectory(); goto C87c7; e05e2: $databaseExporter = new DatabaseExporter($databaseEntity); goto fe563; Ca74a: $databaseName = $databaseEntity->getName(); goto b83c5; dc8fc: $siteUser = $siteEntity->getUser(); goto Ca74a; bdf5e: $outputDirectory = sprintf("\x25\163\57\45\x73\57\45\163\57", rtrim($backupDirectory, "\57"), $databaseName, $dateTime->format("\131\x2d\155\x2d\144")); goto Bd440; fe563: $databaseExporter->setFile($outputFile); goto D7243; Fecb7: $this->cleanUpBackups($databaseEntity); goto A7ea7; b83c5: $backupDirectory = sprintf("\x2f\x68\x6f\x6d\145\57\45\163\x2f\142\x61\143\153\x75\x70\x73\57\144\x61\x74\x61\142\x61\163\x65\x73\x2f", $siteUser); goto bdf5e; C87c7: $databaseExporter->export(); goto d5be8; A7ea7: } catch (\Exception $e) { $logger = $this->getLogger(); $logger->exception($e); } } private function resetPermissions(DatabaseEntity $databaseEntity) { goto F7085; f93ce: $backupDirectoryChownCommand->setUser($siteUser); goto ea54e; F7085: $siteEntity = $databaseEntity->getSite(); goto d50d1; Db461: $backupDirectoryChmodCommand->setFileChmod(760); goto E2f79; Bee64: $backupDirectoryChmodCommand = new FindChmodCommand(); goto b4dba; ea54e: $backupDirectoryChownCommand->setGroup($siteUser); goto Bee64; d50d1: $siteUser = $siteEntity->getUser(); goto ff858; f81ed: $backupDirectoryChmodCommand->setDirectoryChmod(750); goto Db461; ff858: $backupDirectory = sprintf("\x2f\150\157\155\x65\x2f\x25\x73\x2f\x62\x61\x63\x6b\165\160\x73\x2f\144\x61\x74\141\142\141\163\145\x73\57", $siteUser); goto ce6fb; F28b2: $this->commandExecutor->execute($backupDirectoryChmodCommand); goto f195f; ce6fb: $backupDirectoryChownCommand = new ChownCommand(); goto a2b2d; a2b2d: $backupDirectoryChownCommand->setFile($backupDirectory); goto E8d13; b4dba: $backupDirectoryChmodCommand->setFile($backupDirectory); goto f81ed; E8d13: $backupDirectoryChownCommand->setRecursive(true); goto f93ce; E2f79: $this->commandExecutor->execute($backupDirectoryChownCommand); goto F28b2; f195f: } private function cleanUpBackups(DatabaseEntity $databaseEntity) { goto d432e; fddea: $deleteOldBackupsCommand->setDirectory($databaseBackupDirectory); goto d9505; E52fe: $this->commandExecutor->execute($deleteOldBackupsCommand, 360); goto cebab; d9505: $deleteOldBackupsCommand->setRetentionPeriod($this->retentionPeriod); goto E52fe; Bff4d: $siteUser = $siteEntity->getUser(); goto E1cdb; E1cdb: $databaseBackupDirectory = sprintf("\57\x68\157\x6d\145\x2f\x25\x73\57\x62\141\x63\153\x75\x70\x73\x2f\144\141\x74\141\x62\x61\x73\x65\163\57", $siteUser); goto bccc4; d432e: $siteEntity = $databaseEntity->getSite(); goto Bff4d; bccc4: $deleteOldBackupsCommand = new DeleteOldFilesRecursiveCommand(); goto fddea; cebab: } }
