<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Symfony\Component\Console\Question\ConfirmationQuestion; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Database\Manager as DatabaseManager; class DatabaseDeleteCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private ValidatorInterface $validator; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto C949f; cfa13: $this->databaseEntityManager = $databaseEntityManager; goto a1388; a1388: $this->databaseUserEntityManager = $databaseUserEntityManager; goto ba113; C949f: $this->siteEntityManager = $siteEntityManager; goto cfa13; ff350: $this->validator = $validator; goto Fbe07; Fbe07: parent::__construct(); goto c4cb3; ba113: $this->databaseServerEntityManager = $databaseServerEntityManager; goto ff350; c4cb3: } protected function configure() : void { goto cb734; B538e: $this->addOption("\x66\x6f\162\143\145", "\146", InputOption::VALUE_NONE); goto Cbd3c; B9da4: $this->addOption("\144\x61\164\141\142\141\x73\145\x4e\141\155\x65", null, InputOption::VALUE_REQUIRED); goto B538e; cb734: $this->setName("\x64\142\x3a\x64\x65\x6c\145\164\145"); goto C8ffa; C8ffa: $this->setDescription("\143\x6c\160\x63\x74\154\x20\x64\142\72\x64\145\x6c\x65\x74\x65\x20\55\55\144\141\164\x61\142\141\x73\145\x4e\x61\x6d\x65\75\x6d\171\x2d\144\x61\x74\141\x62\141\163\145"); goto B9da4; Cbd3c: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto a0600; F8ae3: $siteEntity->removeDatabase($databaseEntity); goto Aeb44; e7525: $question = new ConfirmationQuestion(sprintf("\x3c\151\x6e\x66\x6f\x3e\x43\157\156\x66\x69\162\x6d\40\x74\157\40\x64\145\x6c\145\164\145\40\x74\x68\x65\x20\144\141\x74\141\x62\141\x73\x65\72\x20\x25\163\74\x2f\x69\156\146\157\76\x20\x3c\143\157\x6d\155\145\156\x74\x3e\50\171\x65\x73\x2f\156\x6f\x29\x3a\x3c\x2f\x63\157\155\x6d\145\x6e\164\x3e\x20", $databaseName), false, "\57\136\x28\171\x65\163\51\57\151"); goto fef62; a6062: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto Eadea; Eadea: $databaseManager = new DatabaseManager($databaseServerEntity); goto f7aca; Fc994: if (!(true === is_null($databaseEntity))) { goto Fc79b; } goto F4348; a0600: $this->validateInput($input); goto E307a; E307a: $databaseName = trim($input->getOption("\144\x61\164\141\142\141\x73\145\x4e\141\x6d\x65")); goto Facff; F4348: throw new \Exception(sprintf("\x44\141\164\141\142\x61\163\145\x20\x22\x25\163\x22\x20\144\x6f\x65\x73\x20\x6e\x6f\164\x20\x65\x78\151\x73\164\56", $databaseName)); goto f9c6c; cf6e5: $output->writeln(sprintf("\74\x69\x6e\146\x6f\x3e\104\141\x74\141\142\x61\x73\x65\x3c\x2f\151\x6e\146\x6f\x3e\40\74\x63\157\x6d\155\x65\x6e\164\x3e\x25\x73\74\57\x63\157\155\x6d\145\156\164\x3e\40\74\151\156\146\157\x3e\x68\141\x73\40\x62\x65\145\x6e\x20\144\145\x6c\145\x74\x65\x64\56\74\57\x69\x6e\146\x6f\76", $databaseName)); goto b5f23; B43a3: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto Fc994; Dedb3: if (!(false === $answer)) { goto C89be; } goto A4534; Aeb44: $this->siteEntityManager->updateEntity($siteEntity); goto cf6e5; e72d1: $helper = $this->getHelper("\161\x75\145\x73\164\x69\x6f\x6e"); goto e7525; f9c6c: Fc79b: goto f8603; f7aca: $databaseManager->deleteDatabase($databaseEntity, true); goto F8ae3; Facff: $force = $input->getOption("\x66\157\x72\143\x65") === true; goto B43a3; fef62: $answer = $helper->ask($input, $output, $question); goto Dedb3; c860e: C89be: goto d4194; A4534: return BaseCommand::SUCCESS; goto c860e; b5f23: return BaseCommand::SUCCESS; goto a7543; d4194: c1e9d: goto Ca064; f8603: if (!(false === $force)) { goto c1e9d; } goto e72d1; Ca064: $siteEntity = $databaseEntity->getSite(); goto a6062; a7543: } catch (\Exception $e) { goto Dd25c; Dd25c: $errorMessage = $e->getMessage(); goto a3bd0; b0d13: return BaseCommand::FAILURE; goto bf930; a3bd0: $output->writeln(sprintf("\x3c\145\x72\x72\x6f\x72\76\x25\163\74\57\145\x72\x72\x6f\162\76", $errorMessage)); goto b0d13; bf930: } } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\156\141\155\145", "\x64\141\x74\x61\x62\141\x73\x65\116\x61\155\145", $constraints); $this->changePropertyPath("\x75\163\x65\162\116\141\x6d\145", "\144\141\x74\141\142\141\x73\145\125\x73\145\x72\116\141\155\145", $constraints); } }
