<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Database\Importer as DatabaseImporter; use App\System\Command\CheckIfFileExistsCommand; use App\System\CommandExecutor; class DatabaseImportCommand extends BaseCommand { const SYSTEM_USER_ROOT = "\162\x6f\157\164"; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private SshUserEntityManager $sshUserEntityManager; private CommandExecutor $commandExecutor; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, SshUserEntityManager $sshUserEntityManager) { goto F0e46; F74cf: $this->databaseEntityManager = $databaseEntityManager; goto B10c2; B10c2: $this->databaseServerEntityManager = $databaseServerEntityManager; goto b2a9d; F0e46: $this->siteEntityManager = $siteEntityManager; goto F74cf; C7245: parent::__construct(); goto B203e; b2a9d: $this->sshUserEntityManager = $sshUserEntityManager; goto b652b; b652b: $this->commandExecutor = new CommandExecutor(); goto C7245; B203e: } protected function configure() : void { goto d3fe3; B52bc: $this->addOption("\144\141\164\141\142\141\163\145\x4e\x61\x6d\x65", null, InputOption::VALUE_REQUIRED); goto df8a5; d3fe3: $this->setName("\144\142\x3a\151\x6d\160\157\x72\x74"); goto a709b; a709b: $this->setDescription("\143\x6c\x70\x63\x74\154\40\x64\x62\72\151\x6d\x70\157\162\x74\40\x2d\55\x64\x61\164\x61\142\141\163\x65\116\x61\x6d\145\75\x6d\x79\x2d\x64\x61\164\141\x62\x61\163\145\x20\x2d\55\146\151\x6c\145\75\x64\x75\155\160\x2e\x73\x71\154\x2e\x67\172"); goto B52bc; df8a5: $this->addOption("\x66\151\x6c\145", null, InputOption::VALUE_REQUIRED); goto D582d; D582d: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto Eb4c5; d8351: c65e5: goto Fef99; f0628: throw new \Exception(sprintf("\x44\141\164\141\x62\x61\163\145\40\x22\x25\163\42\x20\144\x6f\145\163\x20\156\x6f\x74\40\145\170\x69\x73\164\56", $databaseName)); goto faf8f; ba984: C4995: goto a2a71; E44bd: ec3de: goto F2215; cdfe5: ff904: goto A8b53; b6476: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($systemUserName); goto D82fe; F2215: if (!(false === str_contains($importFile, "\x2f"))) { goto C4995; } goto D08aa; ee6a2: $siteUser = self::SYSTEM_USER_ROOT; goto e571e; c9b41: b7f0e: goto A493b; Db70f: if (!("\144\x65\166" == $_ENV["\101\120\x50\x5f\x45\116\x56"])) { goto ec3de; } goto cbeec; f11cd: $siteEntity = $this->siteEntityManager->findOneByUser($systemUserName); goto B5493; A493b: goto c65e5; goto cdfe5; a2a71: $this->checkIfFileExists($importFile); goto Dafec; cab57: $output->writeln(sprintf("\74\x69\x6e\146\x6f\x3e\x49\x6d\x70\157\x72\x74\x20\x69\x6e\x74\x6f\x20\144\141\164\x61\x62\141\x73\145\74\57\x69\156\x66\157\x3e\40\x3c\143\x6f\x6d\x6d\145\x6e\164\76\45\163\74\x2f\143\x6f\155\x6d\x65\x6e\x74\x3e\x20\x3c\151\156\146\x6f\x3e\x77\141\163\40\163\x75\143\x63\x65\163\163\146\165\154\x2e\74\x2f\x69\x6e\146\x6f\76", $databaseName)); goto Ebf3b; A24e7: if (!(self::SYSTEM_USER_ROOT == $systemUserName)) { goto a19f4; } goto ca38f; c8ec2: $siteUser = $siteEntity->getUser(); goto c9b41; ca38f: $isSuperUser = true; goto ee6a2; cbeec: $systemUserName = self::SYSTEM_USER_ROOT; goto E44bd; dc6b6: $databaseImporter = new DatabaseImporter($databaseEntity); goto A217e; e571e: a19f4: goto E531e; d81af: A20e6: goto ab9ea; Dafec: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto ed528; f9526: $isSuperUser = false; goto A24e7; B6dc2: $databaseName = $input->getOption("\144\141\x74\141\142\x61\x73\145\x4e\x61\x6d\x65"); goto Ab5dd; Eb4c5: $this->validateInput($input); goto B6dc2; Ab5dd: $importFile = $input->getOption("\146\151\154\x65"); goto b3e11; ed528: if (false === is_null($databaseEntity)) { goto ae3e0; } goto f0628; E531e: $userIsAllowedToImport = true === $isSuperUser || true === $userBelongsToSite; goto d8b8e; D08aa: $importFile = sprintf("\x25\x73\x2f\x25\163", rtrim(getcwd(), "\57"), $importFile); goto ba984; faf8f: goto b2f9d; goto F2f9f; c3ec7: $siteEntity = $sshUserEntity->getSite(); goto c8ec2; d8b8e: if (!(true === $userIsAllowedToImport && false === is_null($siteUser))) { goto A20e6; } goto dc6b6; afcb4: if (false === is_null($siteEntity)) { goto ff904; } goto b6476; B5493: $siteUser = null; goto afcb4; A8b53: $siteUser = $siteEntity->getUser(); goto d8351; Ebf3b: return BaseCommand::SUCCESS; goto d81af; F2f9f: ae3e0: goto f11cd; ac4a4: return BaseCommand::FAILURE; goto d5b7f; ab9ea: b2f9d: goto ac4a4; b3e11: $systemUserName = $_SERVER["\x53\x55\104\x4f\137\x55\123\x45\122"] ?? ''; goto Db70f; D82fe: if (!(false === is_null($sshUserEntity))) { goto b7f0e; } goto c3ec7; Fef99: $userBelongsToSite = false === is_null($siteEntity) && $siteUser === $databaseEntity->getSite()->getUser(); goto f9526; A217e: $databaseImporter->import($importFile); goto cab57; d5b7f: } catch (\Exception $e) { goto Ac5da; Ac5da: $errorMessage = $this->maskString($e->getMessage()); goto dc8e4; B40ac: return BaseCommand::FAILURE; goto a86e5; dc8e4: $output->writeln(sprintf("\x3c\145\x72\162\x6f\x72\76\45\x73\74\57\145\x72\x72\x6f\x72\x3e", $errorMessage)); goto B40ac; a86e5: } } private function checkIfFileExists(string $importFile) { try { goto A1cbc; C3da4: $checkIfFileExistsCommand->setFile($importFile); goto d9f40; A1cbc: $checkIfFileExistsCommand = new CheckIfFileExistsCommand(); goto C3da4; d9f40: $this->commandExecutor->execute($checkIfFileExistsCommand); goto df21e; df21e: } catch (\Exception $e) { throw new \Exception(sprintf("\x46\151\154\145\x20\42\45\163\x22\x20\144\x6f\145\x73\40\156\x6f\164\40\145\170\x69\x73\164\x2e", $importFile)); } } }
