<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\System\CommandExecutor; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Site as SiteEntity; use App\Entity\Notification; use App\Notification\NotificationQueue; use App\Backup\Rclone; use App\Backup\Dropbox\Client as DropboxClient; use App\Backup\Rclone\DropboxConfigTemplate; use App\Backup\Rclone\ConfigBuilder as RcloneConfigBuilder; use App\Backup\StorageProvider; use App\Backup\TarCreator; use App\Service\Logger; class RemoteBackupCreateCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private ?\DateTime $serverDateTime = null; private array $excludes = []; private ?string $storageProvider = null; public function __construct(SiteEntityManager $siteEntityManager, Logger $logger, ValidatorInterface $validator) { goto B43e2; ec752: $this->validator = $validator; goto A9907; A9907: parent::__construct(); goto A0cd0; B43e2: $this->siteEntityManager = $siteEntityManager; goto c9443; F626a: $this->logger = $logger; goto ec752; c9443: $this->commandExecutor = new CommandExecutor(); goto F626a; A0cd0: } protected function configure() : void { goto Eaf80; Eaf80: $this->setName("\x72\145\155\157\164\145\55\142\x61\143\x6b\165\160\72\143\162\x65\141\164\x65"); goto Bde93; C2ead: $this->addOption("\x64\x65\x6c\x61\x79", null, InputOption::VALUE_OPTIONAL, false); goto a1ebf; Bde93: $this->setDescription("\143\x6c\160\143\x74\x6c\x20\162\145\x6d\157\x74\x65\55\x62\141\143\153\165\x70\72\x63\162\x65\141\164\145"); goto C2ead; a1ebf: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto F0d99; B7f6b: Fef0f: goto A95d8; cdc88: if (!(true === $isEnabled && false === empty($this->storageProvider))) { goto D4f58; } goto b8c4f; D5259: $isEnabled = (bool) $this->getConfigValue("\162\x65\155\157\x74\x65\137\142\141\x63\153\x75\160\137\x65\156\x61\142\154\x65\144"); goto d8af4; d8af4: $this->storageProvider = $this->getConfigValue("\x72\145\x6d\157\x74\x65\137\x62\141\143\153\165\160\x5f\x73\164\x6f\162\141\x67\145\137\160\x72\157\166\x69\x64\145\x72"); goto cdc88; D6dd4: if (!count($siteEntities)) { goto F49bb; } goto c62c1; B687f: D4f58: goto b87c6; aa326: $this->refreshDropboxAccessToken($delay); goto B7f6b; D2971: $this->cleanBackups(); goto B687f; fe914: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto Fef0f; } goto Db543; e9246: F49bb: goto D2971; Db543: $delay = (bool) $input->getOption("\x64\145\x6c\141\x79"); goto aa326; F0d99: $this->validateInput($input); goto D5259; a3219: fc28d: goto e9246; b8c4f: $siteEntities = $this->siteEntityManager->findAll(); goto D6dd4; c62c1: $this->backupDatabases(clone $input, clone $output); goto fe914; A95d8: foreach ($siteEntities as $siteEntity) { $this->backupSite($siteEntity); fb233: } goto a3219; b87c6: return BaseCommand::SUCCESS; goto E6758; E6758: } catch (\Exception $e) { goto b3c77; Fcb12: $output->writeln(sprintf("\x3c\145\162\x72\157\x72\x3e\x25\x73\x3c\x2f\145\162\162\x6f\162\x3e", $errorMessage)); goto d8f4e; d8f4e: return BaseCommand::FAILURE; goto e7ddb; b3c77: $errorMessage = $e->getMessage(); goto Fcb12; e7ddb: } } private function backupDatabases(InputInterface $input, OutputInterface $output) : void { try { goto A955f; A955f: $application = $this->getApplication(); goto dc35b; dc35b: $command = $application->find("\x64\x62\x3a\142\141\143\153\165\160"); goto E2dec; E2dec: $exitCode = $command->run($input, $output); goto Fb315; Fb315: } catch (\Exception $e) { $this->logger->exception($e); } } private function backupSite(SiteEntity $siteEntity) { goto Eb9e8; f0ac7: bbf0e: goto B7b11; E6223: try { try { goto B6df9; b6165: $rclone = new Rclone(); goto E47db; E47db: switch ($this->storageProvider) { case StorageProvider::GOOGLE_DRIVE: goto e20a2; ca940: goto e8051; goto E493b; e20a2: $email = $this->getConfigValue("\x72\x65\155\x6f\x74\145\x5f\142\x61\143\153\x75\x70\137\x65\155\x61\x69\154"); goto af9f4; af9f4: $rclone->addFlag("\x2d\x2d\x64\x72\151\x76\145\55\x69\155\x70\145\162\163\157\156\141\x74\x65", $email); goto ca940; E493b: } goto a377a; a468e: $this->createSiteSettingsFile($siteSettingsFile, $siteEntity); goto e2565; Ff484: $domainName = $siteEntity->getDomainName(); goto cbeb0; Ee7b9: $destinationFile = sprintf("\57\150\x6f\x6d\x65\57\45\x73\57\164\x6d\160\57\142\141\143\153\x75\160\56\164\x61\162", $siteUser); goto F720d; E2a57: $excludes = array_merge($excludes, $siteExcludes); goto f8781; f8781: b7486: goto D412e; a3d67: $sources = [$homeDirectory, $vhostFile]; goto Cec54; F6312: if (!(false === empty($siteExcludes))) { goto b7486; } goto E2a57; B6df9: $excludes = ["\56\163\x73\150", "\x74\x6d\x70", "\154\x6f\x67\x73"]; goto D23a9; Cec54: $tarCreator = new TarCreator(); goto a7095; e2565: $this->createSiteVhostFile($siteVhostFile, $siteEntity); goto a3d67; D412e: $siteUser = $siteEntity->getUser(); goto Ff484; F720d: $siteSettingsFile = sprintf("\x2f\x68\x6f\x6d\x65\x2f\x25\163\57\163\151\x74\x65\x2d\163\x65\164\x74\151\x6e\147\163\56\x6a\x73\x6f\x6e", $siteUser); goto d1357; D23a9: $siteExcludes = $this->getSiteExcludes($siteEntity); goto F6312; baa63: $destination = $this->getDestination($siteEntity); goto b6165; a7095: $tarCreator->create($sources, $destinationFile, $excludes); goto baa63; Ddb99: $vhostFile = sprintf("\57\145\164\143\x2f\x6e\147\151\x6e\x78\57\163\x69\164\145\x73\x2d\145\x6e\141\142\x6c\x65\x64\x2f\45\163\56\143\157\156\x66", $domainName); goto Ee7b9; a377a: e6ea9: goto Cd0d8; E92d5: $rclone->copy($destinationFile, $destination); goto af3ad; d1357: $siteVhostFile = sprintf("\57\x68\x6f\155\x65\57\45\163\x2f\163\x69\164\145\x2d\166\150\x6f\163\164", $siteUser); goto a468e; cbeb0: $homeDirectory = sprintf("\x2f\150\x6f\x6d\145\57\45\163\x2f", $siteUser); goto Ddb99; Cd0d8: e8051: goto E92d5; af3ad: } catch (\Exception $e) { throw $e; } finally { $files = [$destinationFile, $siteSettingsFile, $siteVhostFile]; foreach ($files as $file) { goto Bd974; f70da: aff9a: goto Ddac2; B3619: $this->commandExecutor->execute($deleteFileCommand, 60); goto f70da; Bd974: $deleteFileCommand = new DeleteFileCommand(); goto c2636; c2636: $deleteFileCommand->setFile($file); goto B3619; Ddac2: } db98c: } } catch (\Exception $e) { goto d0e26; Bc1ec: $this->addNotification($subject, $errorMessage); goto Cc9e0; Ecc95: $subject = sprintf("\122\x65\155\x6f\x74\x65\40\102\141\x63\x6b\165\x70\40\x66\141\x69\154\x65\x64\x3a\x20\45\163", $domainName); goto Bc1ec; d0e26: $errorMessage = $e->getMessage(); goto Ecc95; Cc9e0: } goto f0ac7; D4b7b: if (!(false === $isSiteExcluded)) { goto bbf0e; } goto E6223; Eb9e8: $isSiteExcluded = $this->isSiteExcluded($siteEntity); goto D4b7b; B7b11: } private function createSiteSettingsFile(string $siteSettingsFile, SiteEntity $siteEntity) : void { goto b2d03; Bd44a: E911b: goto bfacb; De83d: $settings = ["\x74\x79\160\145" => $siteType, "\144\x6f\x6d\x61\x69\156\x4e\x61\155\x65" => $siteEntity->getDomainName(), "\x72\x6f\157\164\x44\x69\162\145\x63\164\157\162\171" => $siteEntity->getRootDirectory(), "\x73\x69\x74\145\125\163\x65\162" => $siteEntity->getUser(), "\160\141\x67\145\x53\x70\x65\145\x64" => $siteEntity->getPageSpeedSettings()]; goto C4b04; bfacb: A4dfc: goto aa5ef; D83e5: $this->commandExecutor->execute($writeFileCommand, 15); goto C4053; F5b59: $writeFileCommand->setFile($siteSettingsFile); goto E89cd; aa5ef: $fileContent = json_encode($settings, JSON_PRETTY_PRINT); goto Dcc63; E89cd: $writeFileCommand->setContent($fileContent); goto D83e5; b2d03: $siteType = $siteEntity->getType(); goto De83d; C4b04: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto e7ef0; e7ef0: $nodejsSettingsEntity = $siteEntity->getNodejsSettings(); goto d4855; d4855: $nodejsSettings = ["\x76\145\x72\x73\151\157\156" => $nodejsSettingsEntity->getNodejsVersion(), "\x70\157\162\164" => $nodejsSettingsEntity->getPort()]; goto f6d9a; deaf7: goto A4dfc; goto B9a4c; f6d9a: $settings["\x6e\157\x64\145\152\x73\x53\145\164\164\x69\x6e\x67\x73"] = $nodejsSettings; goto deaf7; B9a4c: case SiteEntity::TYPE_PHP: goto c9bfa; C7556: goto A4dfc; goto E6508; ed11a: $phpSettings = ["\x76\145\162\x73\151\157\x6e" => $phpSettingsEntity->getPhpVersion(), "\155\x65\155\x6f\x72\171\x4c\x69\155\151\164" => $phpSettingsEntity->getMemoryLimit(), "\x6d\141\x78\105\x78\145\143\x75\x74\151\157\x6e\x54\x69\x6d\x65" => $phpSettingsEntity->getMaxExecutionTime(), "\155\x61\170\111\x6e\x70\x75\x74\124\x69\x6d\145" => $phpSettingsEntity->getMaxInputTime(), "\155\141\170\111\x6e\x70\165\x74\126\x61\x72\163" => $phpSettingsEntity->getMaxInputVars(), "\160\157\163\164\x4d\141\170\123\x69\x7a\145" => $phpSettingsEntity->getPostMaxSize(), "\165\160\x6c\157\141\144\x4d\141\x78\106\151\154\145\x53\x69\172\145" => $phpSettingsEntity->getUploadMaxFileSize(), "\141\x64\x64\151\164\151\157\156\x61\154\x43\x6f\156\146\x69\x67\x75\162\141\x74\x69\x6f\x6e" => $phpSettingsEntity->getAdditionalConfiguration()]; goto Fd70f; Fd70f: $settings["\160\x68\x70\x53\145\164\x74\x69\x6e\147\163"] = $phpSettings; goto C7556; c9bfa: $phpSettingsEntity = $siteEntity->getPhpSettings(); goto ed11a; E6508: case SiteEntity::TYPE_PYTHON: goto C1a2b; f5267: $settings["\x70\171\x74\x68\x6f\156\x53\145\x74\x74\151\x6e\147\163"] = $pythonSettings; goto B0266; C1a2b: $pythonSettingsEntity = $siteEntity->getPythonSettings(); goto bc2a5; B0266: goto A4dfc; goto e060f; bc2a5: $pythonSettings = ["\166\x65\162\163\x69\x6f\x6e" => $pythonSettingsEntity->getPythonVersion(), "\160\x6f\162\164" => $pythonSettingsEntity->getPort()]; goto f5267; e060f: case SiteEntity::TYPE_REVERSE_PROXY: goto f37c8; D6e6c: $settings["\x72\145\x76\145\162\163\145\120\162\157\170\x79\123\x65\x74\x74\151\156\147\x73"] = $reverseProxySettings; goto a8258; a8258: goto A4dfc; goto e44a8; f37c8: $reverseProxySettings = ["\165\x72\154" => $siteEntity->getReverseProxyUrl()]; goto D6e6c; e44a8: } goto Bd44a; Dcc63: $writeFileCommand = new WriteFileCommand(); goto F5b59; C4053: } private function createSiteVhostFile(string $siteVhostFile, SiteEntity $siteEntity) : void { goto ab1cb; ab1cb: $vhost = $siteEntity->getVhostTemplate(); goto d25d9; eeec8: $this->commandExecutor->execute($writeFileCommand, 15); goto d4282; d25d9: $writeFileCommand = new WriteFileCommand(); goto Ccd54; Ccd54: $writeFileCommand->setFile($siteVhostFile); goto c630e; c630e: $writeFileCommand->setContent($vhost); goto eeec8; d4282: } private function isSiteExcluded(SiteEntity $siteEntity) : bool { goto c3a65; Ceeec: $excludes = $this->getExcludes(); goto Ff6e6; Ff6e6: if (!(false === empty($excludes))) { goto a6cbc; } goto b7860; C77fc: $homeDirectory = sprintf("\57\150\157\x6d\145\57\x25\163", $siteUser); goto Ce016; c3a65: $isSiteExcluded = false; goto Ceeec; e5c0c: return $isSiteExcluded; goto Dd296; B69b8: a6cbc: goto e5c0c; e41b6: Cbb59: goto B69b8; Ce016: foreach ($excludes as $exclude) { goto a9a94; a9a94: $exclude = rtrim($exclude, "\x2f"); goto F16ff; F16ff: if (!($homeDirectory == $exclude)) { goto ddfb2; } goto E568d; Bf73c: ddfb2: goto F9691; E568d: $isSiteExcluded = true; goto bc910; F9691: C11bd: goto e520f; bc910: goto Cbb59; goto Bf73c; e520f: } goto e41b6; b7860: $siteUser = $siteEntity->getUser(); goto C77fc; Dd296: } private function getExcludes() : array { goto B7d3c; Bdab2: return $this->excludes; goto bb554; F1f9b: C90a4: goto Bdab2; Da095: $this->excludes = json_decode($excludes); goto A99df; A99df: e9554: goto F1f9b; B7d3c: if (!(true === empty($this->excludes))) { goto C90a4; } goto C965d; C965d: $excludes = $this->getConfigValue("\162\x65\x6d\x6f\164\145\137\142\141\143\x6b\165\160\x5f\x65\x78\x63\x6c\x75\x64\x65\x73"); goto C524c; C524c: if (!(false === empty($excludes))) { goto e9554; } goto Da095; bb554: } private function getSiteExcludes(SiteEntity $siteEntity) : array { goto F7a58; F2ea7: $siteUser = $siteEntity->getUser(); goto Dac98; d63a2: foreach ($excludes as $exclude) { goto Da2e2; Fda06: F888f: goto E7124; E7124: be245: goto b9f69; D812e: if (!(false === empty($exclude))) { goto F888f; } goto E9423; E9423: $siteExcludes[] = rtrim(ltrim($exclude, "\57"), "\x2f"); goto Fda06; b9f69: f94f1: goto ce4e2; D0f81: $exclude = substr($exclude, strlen($homeDirectory) - 1); goto D812e; Da2e2: if (!($homeDirectory == substr($exclude, 0, strlen($homeDirectory)))) { goto be245; } goto D0f81; ce4e2: } goto Fc098; b1fcf: return $siteExcludes; goto Ce74d; Dac98: $homeDirectory = sprintf("\x2f\x68\157\x6d\145\57\45\x73\57", $siteUser); goto d63a2; Fc098: Ba55a: goto De1ec; Bc894: if (!(false === empty($excludes))) { goto A83f3; } goto F2ea7; De1ec: A83f3: goto b1fcf; F7a58: $siteExcludes = []; goto a4c63; a4c63: $excludes = $this->getExcludes(); goto Bc894; Ce74d: } private function getServerDateTime() : \DateTime { goto ccd54; C3c5e: $this->serverDateTime->setTimezone(new \DateTimeZone($timezone)); goto A0082; f4359: $this->serverDateTime = new \DateTime("\156\x6f\167"); goto ebc77; A0082: C4f2f: goto e4dc2; ccd54: if (!(true === is_null($this->serverDateTime))) { goto fdace; } goto D994d; e4dc2: fdace: goto abbf8; D994d: $timezone = $this->getConfigValue("\x74\151\x6d\145\172\x6f\156\x65"); goto f4359; abbf8: return $this->serverDateTime; goto ae477; bd148: if (!(false === empty($timezone))) { goto C4f2f; } goto C3c5e; ebc77: $this->serverDateTime->setTimezone(new \DateTimeZone("\x55\x54\x43")); goto bd148; ae477: } private function getDestination(SiteEntity $siteEntity) : string { goto F0cdc; Aa378: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto f5227; } goto Ac39c; c3959: b7dd7: goto a9691; a123e: $serverDateTime = $this->getServerDateTime(); goto C190a; F663b: $siteUser = $siteEntity->getUser(); goto A9f3e; a9691: Cfa70: goto F663b; Ac39c: $destination = ltrim($destination, "\x2f"); goto d22ec; F0cdc: $destination = ''; goto Bbd0b; A9f3e: $storageDirectory = $this->getConfigValue("\x72\x65\x6d\x6f\164\145\x5f\x62\141\143\x6b\x75\x70\x5f\x73\164\157\x72\141\147\145\x5f\144\x69\x72\145\143\164\x6f\x72\171"); goto a123e; E85d6: return $destination; goto cd1f7; d22ec: f5227: goto E85d6; C190a: $destination = sprintf("\x25\x73\x2f\45\163\x2f\45\x73\57\45\x73\x2f\150\x6f\x6d\145\x2f\x25\163\x2f", $destination, rtrim(ltrim($storageDirectory, "\x2f"), "\57"), $serverDateTime->format("\131\55\155\55\x64"), $serverDateTime->format("\110\x2e\151"), $siteUser); goto Aa378; Bbd0b: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $destination = $this->getConfigValue("\x72\x65\155\x6f\164\x65\x5f\x62\141\x63\x6b\x75\160\x5f\142\x75\x63\153\145\164"); goto Cfa70; case StorageProvider::DIGITAL_OCEAN_SPACES: $destination = $this->getConfigValue("\x72\x65\x6d\x6f\164\x65\x5f\142\x61\x63\153\x75\x70\x5f\x73\160\141\x63\145"); goto Cfa70; } goto c3959; cd1f7: } private function cleanBackups() : void { goto D5e0e; f6ce1: if (!($retentionPeriod && false === empty($storageDirectory))) { goto eacb7; } goto aed4b; aed4b: try { goto C2626; df8ca: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto E5510; } goto f7906; C2626: $dateTime = new \DateTime(); goto c4582; F82c6: df392: goto c5921; f7906: $remotePath = ltrim($remotePath, "\x2f"); goto C2f13; Ab1dc: B18fb: goto Dea64; e9f55: foreach ($directories as $directory) { goto b8234; b8234: $directoryName = $directory["\x4e\141\x6d\x65"] ?? null; goto ec215; B1da8: c3baf: goto b3f8b; c4dcc: if (!(true === $isValidDate)) { goto Afd9f; } goto Bbd1b; B5403: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto a1fa9; } goto D4dec; eeb4d: F8c8f: goto f3e55; fa63c: a1fa9: goto c5a17; Ee1a6: $purgeRemotePath = sprintf("\x2f\45\x73", ltrim($purgeRemotePath, "\57")); goto aba57; b3f8b: f2785: goto Db1d4; D4dec: $purgeRemotePath = ltrim($purgeRemotePath, "\x2f"); goto fa63c; a6ed8: $purgeRemotePath = sprintf("\45\x73\x2f\45\x73\57", rtrim(ltrim($remotePath, "\x2f"), "\x2f"), $directoryName); goto B5403; a6210: try { $isValidDate = true; $directoryDate = new \DateTime($directoryName); } catch (\Exception $e) { $isValidDate = false; } goto c4dcc; f3e55: Afd9f: goto B1da8; Acf7a: $rclone->purge($purgeRemotePath); goto eeb4d; aba57: f2622: goto Acf7a; c5a17: if (!(StorageProvider::SFTP == $this->storageProvider)) { goto f2622; } goto Ee1a6; ec215: if (!(false === is_null($directoryName))) { goto c3baf; } goto a6210; Bbd1b: if (!(true === isset($directoryDate) && $directoryDate <= $deleteDateTime)) { goto F8c8f; } goto a6ed8; Db1d4: } goto Ab1dc; Bce09: A2a23: goto F82c6; C7880: $directories = (array) $rclone->lsJson($remotePath, true); goto afcf9; Af93b: $deleteDateTime->setTimezone(new \DateTimeZone("\125\x54\x43")); goto e31ed; afcf9: if (!(false === empty($directories))) { goto a76de; } goto e9f55; e31ed: $deleteDateTime->setTime(0, 0, 0, 0); goto af917; Dea64: a76de: goto B367f; af917: $remotePath = ''; goto De566; c4582: $deleteDateTime = clone $dateTime; goto F6c7e; cfd36: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $remotePath = $this->getConfigValue("\x72\145\x6d\157\164\145\137\142\x61\x63\x6b\x75\x70\x5f\142\x75\143\x6b\x65\164"); goto df392; case StorageProvider::DIGITAL_OCEAN_SPACES: $remotePath = $this->getConfigValue("\x72\x65\155\157\x74\145\137\142\141\x63\x6b\165\160\137\x73\160\141\143\145"); goto df392; case StorageProvider::GOOGLE_DRIVE: goto Bff18; B0049: $rclone->addFlag("\55\55\144\162\151\x76\x65\55\151\155\x70\145\162\x73\157\156\141\x74\145", $email); goto C51eb; Bff18: $email = $this->getConfigValue("\x72\145\155\157\164\145\x5f\x62\x61\x63\153\x75\x70\137\x65\x6d\141\151\154"); goto B0049; C51eb: goto df392; goto e46c2; e46c2: } goto Bce09; C2f13: E5510: goto C7880; c5921: $remotePath = sprintf("\x25\163\x2f\x25\x73\x2f", $remotePath, rtrim(ltrim($storageDirectory, "\57"), "\57")); goto df8ca; F6c7e: $deleteDateTime->modify(sprintf("\55\x25\163\40\x64\x61\171\163", $retentionPeriod)); goto Af93b; De566: $rclone = new Rclone(); goto cfd36; B367f: } catch (\Exception $e) { goto F7b1c; F7b1c: $errorMessage = $e->getMessage(); goto c7405; c7405: $subject = sprintf("\x52\145\x6d\x6f\164\x65\40\102\141\x63\x6b\165\160\x20\143\154\x65\141\156\165\160\40\146\x61\151\x6c\145\144\56"); goto B014f; B014f: $this->addNotification($subject, $errorMessage); goto E3f18; E3f18: } goto ac68b; ac68b: eacb7: goto Ebcde; Eb69e: $storageDirectory = $this->getConfigValue("\162\x65\x6d\157\x74\x65\137\x62\x61\x63\153\165\x70\137\163\x74\x6f\162\141\x67\x65\137\x64\x69\x72\x65\x63\x74\157\162\x79"); goto f6ce1; D5e0e: $retentionPeriod = (int) $this->getConfigValue("\x72\145\155\x6f\x74\145\x5f\142\x61\x63\x6b\165\160\x5f\x72\x65\x74\145\x6e\164\151\x6f\x6e\137\160\145\162\x69\x6f\144"); goto Eb69e; Ebcde: } private function refreshDropboxAccessToken(bool $delay) { try { goto ea40a; B518a: c8073: goto f0dd3; F8254: $refreshToken = $this->getConfigValue("\162\x65\155\x6f\x74\x65\x5f\x62\x61\143\x6b\x75\x70\x5f\162\x65\146\x72\145\163\150\137\164\157\x6b\x65\x6e"); goto b249c; b1a0d: Ff859: goto F8254; ea40a: if (!(true === $delay)) { goto Ff859; } goto B38e3; E0654: db5de: goto ae117; F680a: $rcloneConfig = $rcloneConfigBuilder->build(); goto ca892; Cab4d: $rcloneConfigTemplate->setToken($token); goto C7e9b; ff76d: if (false === empty($token)) { goto c8073; } goto Bb578; ca892: $rclone = new Rclone(); goto C121c; ca084: $token = $dropboxClient->getAccessToken($refreshToken); goto ff76d; C7e9b: $rcloneConfigBuilder = new RcloneConfigBuilder($rcloneConfigTemplate); goto F680a; b249c: $dropboxClient = new DropboxClient(); goto ca084; f0dd3: $rcloneConfigTemplate = new DropboxConfigTemplate(); goto Cab4d; C121c: $rclone->writeConfig($rcloneConfig); goto E0654; Bb578: throw new \Exception("\101\143\x63\x65\x73\163\x20\124\157\153\x65\156\40\143\141\x6e\x6e\x6f\x74\x20\142\x65\40\x65\x6d\x70\x74\x79\56"); goto Dcad7; Dcad7: goto db5de; goto B518a; B38e3: sleep(rand(5, 60)); goto b1a0d; ae117: } catch (\Exception $e) { $errorMessage = $e->getMessage(); $this->addNotification("\122\145\146\162\145\163\x68\x69\x6e\x67\40\x44\x72\157\x70\x62\157\x78\x20\x41\x63\143\145\163\163\x20\124\x6f\x6b\x65\156\40\x46\x61\151\x6c\145\x64", $errorMessage); } } private function addNotification(string $subject, string $errorMessage) : void { goto a3fdb; Bd845: $notification->setSeverity(Notification::SEVERITY_CRITICAL); goto cb98b; Ec0c7: $notification->setSubject($subject); goto f0ef9; a3fdb: $notification = new Notification(); goto Ec0c7; f0ef9: $notification->setMessage($errorMessage); goto Bd845; cb98b: NotificationQueue::addNotification($notification); goto cbef5; cbef5: } }
