<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\NodejsSettings as NodejsSettingsEntity; use App\Site\NodejsSite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\NodejsTemplate as NodejsVhostTemplate; use App\Site\Creator\NodejsSite as NodejsSiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddNodejsCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\116\157\x64\x65\x6a\163"; protected function configure() : void { goto f6188; fd3f4: $this->setDescription("\x63\x6c\160\143\x74\x6c\40\163\151\164\145\x3a\x61\144\144\72\x6e\x6f\x64\145\x6a\x73\40\x2d\x2d\x64\x6f\155\x61\x69\156\116\141\x6d\x65\75\167\167\167\x2e\144\x6f\155\x61\151\x6e\x2e\143\x6f\x6d\x20\x2d\x2d\x6e\x6f\144\x65\152\x73\126\x65\x72\x73\x69\157\156\75\x32\x32\40\55\55\x61\160\160\120\x6f\x72\164\x3d\63\x30\x30\60\x20\55\x2d\163\x69\164\145\125\163\x65\162\x3d\x6a\x6f\150\x6e\x20\x2d\x2d\163\x69\164\145\125\x73\145\x72\120\141\163\163\x77\157\x72\144\x3d\x27\41\x73\x65\143\162\x65\x74\x50\x61\163\163\167\157\x72\x64\41\47"); goto D9731; f6188: $this->setName("\163\151\164\145\72\141\x64\x64\72\x6e\157\144\145\152\163"); goto fd3f4; Cedaf: $this->addOption("\163\151\x74\145\125\x73\145\162\x50\141\163\163\x77\157\162\144", null, InputOption::VALUE_REQUIRED); goto F78da; a62e9: $this->addOption("\x61\x70\160\x50\157\162\164", null, InputOption::VALUE_REQUIRED); goto acdd3; acdd3: $this->addOption("\x73\x69\164\145\x55\163\x65\162", null, InputOption::VALUE_REQUIRED); goto Cedaf; A3481: $this->addOption("\156\157\144\x65\x6a\163\126\145\x72\x73\x69\157\156", null, InputOption::VALUE_REQUIRED); goto a62e9; D2795: $this->addOption("\144\157\x6d\x61\151\x6e\x4e\141\x6d\145", null, InputOption::VALUE_REQUIRED); goto A3481; D9731: $this->setComment("\101\144\144\x69\156\147\40\141\40\116\157\x64\145\x2e\152\x73\x20\123\x69\x74\x65"); goto D2795; F78da: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto a4ef9; a27fb: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto B9c9a; ed048: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto b29b9; D1664: $subjectAlternativeNames[] = $registrableDomain; goto Ec480; f55a8: $nodejsVersion = (int) $input->getOption("\x6e\x6f\144\145\x6a\163\126\145\162\163\151\157\156"); goto a3ad8; E5ff9: $siteEntity->setNodejsSettings($nodejsSettingsEntity); goto Dae0f; C35f5: D4e7e: goto A5757; A4514: goto D4e7e; goto A12af; dc80c: $nodejsSite->setSubdomain($subdomain); goto Ea9bd; B920c: E9a68: goto A5266; ea475: c5132: goto d53f1; c6de0: $domainName = mb_strtolower(trim($input->getOption("\x64\x6f\155\x61\151\156\x4e\x61\x6d\145"))); goto C6767; ab92d: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto a141b; a2a21: $nodejsSite->setRegistrableDomain($registrableDomain); goto dc80c; C95b0: $certificateEntity->setCertificate($selfSignedCertificate); goto Be34c; D441e: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto Cd373; F4edf: $csr = $csrGenerator->generate(); goto c5d6b; B96f8: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto a7c8b; c4cb6: return $this->renderConstraints($constraints, $output); goto aa116; D1398: if (!(true === is_null($subdomain))) { goto c5132; } goto b60ce; Fe44f: $nodejsSite->setCertificate($certificateEntity); goto b0af4; A453b: $siteEntity->setRootDirectory($rootDirectory); goto a8dce; a0595: $nodejsSite->setUserPassword($siteEntity->getUserPassword()); goto Df193; C6767: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto A2990; fd552: $nodejsSiteCreator->createUser(); goto Cf838; C3437: $nodejsSettingsEntity->setSite($siteEntity); goto eca1c; F6fe5: if (!(true === is_null($subdomain) || "\167\x77\x77" == $subdomain)) { goto c8fe3; } goto fef99; f8dc8: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto C95b0; b60ce: $subjectAlternativeNames[] = sprintf("\x77\x77\167\x2e\x25\x73", $domainName); goto ea475; a3976: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto E05e8; c1545: $nodejsSiteCreator->createLogrotateFile(); goto E52c4; f6ca2: c8fe3: goto A1d15; E79a9: $vhostTemplate->build(); goto A9b76; d6adf: $nodejsSettingsConstraints = $this->validator->validate($nodejsSettingsEntity); goto ffd53; E05e8: if (!(false === empty($redirectionVhostTemplate))) { goto e3998; } goto E5a55; a6004: $siteUser = trim($input->getOption("\163\151\164\x65\125\x73\x65\162")); goto d7c3a; Ad945: $constraints = new ConstraintViolationList(); goto e29f1; A5bfa: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\56\56\x2f\56\x2e\x2f\x72\x65\163\157\165\x72\143\x65\163\x2f\156\147\x69\x6e\170\57\x76\150\157\163\164\137\164\x65\155\x70\x6c\x61\x74\145\x2f\162\x65\x64\x69\162\x65\x63\x74"); goto ed860; A1d15: $siteEntity->setVhostTemplate($vhostTemplate); goto Fc576; Be34c: $siteEntity->setCertificate($certificateEntity); goto a8b33; a163d: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto B96f8; a8b33: $nodejsSite = new NodejsSite(); goto f01bc; aa116: goto a6950; goto B920c; A0544: $nodejsSiteCreator = new NodejsSiteCreator($nodejsSite); goto fd552; a8dce: $siteEntity->setUser($siteUser); goto a3106; a141b: $siteEntity = $this->siteEntityManager->createEntity(); goto e1bdf; Fc576: $nodejsSettingsEntity = new NodejsSettingsEntity(); goto E5ff9; a3ad8: $appPort = (int) $input->getOption("\x61\x70\160\120\x6f\162\x74"); goto a6004; Bc12f: $nodejsSite->setNodejsSettings($nodejsSettingsEntity); goto Fe44f; a746f: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto A3d6c; Db624: throw new \Exception(sprintf("\126\150\157\x73\164\x20\124\145\155\160\154\x61\x74\x65\x20\42\45\x73\x22\x20\144\157\145\x73\x20\x6e\157\164\40\145\170\x69\x73\x74\56", $vhostTemplate)); goto A4514; C3bed: $nodejsSiteCreator->createNginxVhost(); goto B0ea6; Cac6a: $nodejsSiteCreator->installNodejs(); goto d8764; a86bb: $siteEntity->setDomainName($domainName); goto A453b; Eccba: d8165: goto a3976; A5f5c: $nodejsSettingsEntity->setPort($appPort); goto C3437; e5155: $output->writeln(sprintf("\74\151\x6e\146\x6f\x3e\123\151\164\x65\74\x2f\x69\156\x66\x6f\76\40\74\x63\157\x6d\155\145\156\x74\x3e\x25\x73\x3c\x2f\143\157\155\155\145\x6e\164\76\x20\74\x69\156\146\157\x3e\150\x61\163\40\x62\x65\145\x6e\40\141\144\144\x65\144\56\x3c\x2f\151\156\146\157\76", $domainName)); goto A14ab; dba37: a6950: goto C35f5; Cf838: $nodejsSiteCreator->createRootDirectory(); goto c1545; c642b: a4cb1: goto A743e; b6313: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto D5c79; A3d6c: $this->siteEntityManager->updateEntity($siteEntity); goto e5155; A743e: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\x2e\x2e\57\56\56\x2f\x72\x65\x73\x6f\x75\162\143\x65\163\57\156\147\151\x6e\170\57\166\x68\x6f\163\164\137\164\145\155\x70\x6c\141\164\x65\x2f\162\x65\144\151\x72\145\x63\x74\x2d\150\164\164\x70\x33"); goto Eccba; b7eb4: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto b14a4; e29f1: $constraints->addAll($siteConstraints); goto b6152; b29b9: $subjectAlternativeNames = []; goto D1398; E5a55: $vhostTemplate = sprintf("\45\163\45\163", $redirectionVhostTemplate, $vhostTemplate); goto e31ee; A5266: $certificateEntity = $this->certificateEntityManager->createEntity(); goto c5bad; B9c9a: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto c872b; d7c3a: $siteUserPassword = trim($input->getOption("\163\x69\x74\145\125\x73\145\x72\x50\141\163\x73\x77\x6f\x72\x64")); goto a163d; b14a4: $vhostTemplate->resetProcessors(); goto a27fb; F0e83: $nodejsSiteCreator->resetPermissions(); goto D1f03; b0af4: $nodejsSite->setVhostTemplate($siteEntity->getVhostTemplate()); goto A0544; Dae0f: $nodejsSettingsEntity->setNodejsVersion($nodejsVersion); goto A5f5c; Ea60e: $subdomain = false === empty($subdomain) ? $subdomain : null; goto b6313; Df193: $nodejsSite->setDomainName($domainName); goto a2a21; e1bdf: $siteEntity->setType(SiteEntity::TYPE_NODEJS); goto a86bb; D5c79: if (false === is_null($vhostTemplateEntity)) { goto Ae08a; } goto Db624; a3106: $siteEntity->setUserPassword($siteUserPassword); goto F6fe5; B0ea6: $nodejsSiteCreator->reloadNginxService(); goto F0e83; ed860: goto d8165; goto c642b; b6152: $constraints->addAll($nodejsSettingsConstraints); goto c4cb6; d7bfa: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto af995; a4ef9: $this->validateInput($input); goto c6de0; d53f1: if (!(false === is_null($subdomain) && "\167\167\167" == $subdomain)) { goto B3d7b; } goto D1664; d8764: $nodejsSiteCreator->createPrivateKeyAndCertificate(); goto C3bed; D1f03: $vhostTemplate = new NodejsVhostTemplate($nodejsSite); goto b7eb4; A12af: Ae08a: goto ab92d; Cba81: $rsaKeyGenerator = new RsaKeyGenerator(); goto ed048; Ec480: B3d7b: goto d7bfa; a9ae6: $certificateEntity->setDefaultCertificate(true); goto D441e; af995: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto F4edf; A9b76: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto a746f; e31ee: e3998: goto f6ca2; fef99: if (true === isset($_ENV["\101\x50\x50\x5f\110\124\124\120\63"]) && "\x74\x72\x75\145" === $_ENV["\x41\x50\x50\x5f\x48\x54\x54\x50\x33"]) { goto a4cb1; } goto A5bfa; ffd53: if (0 == count($siteConstraints) && 0 == count($nodejsSettingsConstraints)) { goto E9a68; } goto Ad945; A14ab: return SiteCommand::SUCCESS; goto dba37; Ea9bd: $nodejsSite->setRootDirectory($siteEntity->getRootDirectory()); goto Bc12f; c5d6b: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto a9ae6; A2990: $rootDirectory = $domainName; goto f55a8; a7c8b: $subdomain = $resolvedDomainName->subDomain()->toString(); goto Ea60e; f01bc: $nodejsSite->setUser($siteEntity->getUser()); goto a0595; E52c4: $nodejsSiteCreator->createNvmDirectory(); goto Cac6a; c5bad: $certificateEntity->setSite($siteEntity); goto Cba81; c872b: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto E79a9; Cd373: $certificateEntity->setCsr($csr); goto f8dc8; eca1c: $siteConstraints = $this->validator->validate($siteEntity); goto d6adf; A5757: } catch (\Exception $e) { goto D3447; C4a88: $output->writeln(sprintf("\74\x65\x72\x72\157\162\76\x25\163\x3c\x2f\145\162\162\x6f\x72\76", $errorMessage)); goto e27d7; D3447: $errorMessage = $e->getMessage(); goto C4a88; e27d7: return SiteCommand::FAILURE; goto F8bc3; F8bc3: } } }
