<?php
 namespace App\Command; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Doctrine\Common\Collections\ArrayCollection; use App\Command\Command as BaseCommand; use App\Entity\Site as SiteEntity; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Site\Deleter as SiteDeleter; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Site\Parser\DomainName as DomainNameParser; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\VhostTemplateManager as VhostTemplateEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; class SiteCommand extends BaseCommand { protected DomainNameParser $domainNameParser; protected SiteEntityManager $siteEntityManager; protected CertificateEntityManager $certificateEntityManager; protected DatabaseServerEntityManager $databaseServerEntityManager; protected VhostTemplateEntityManager $vhostTemplateEntityManager; protected ValidatorInterface $validator; public function __construct(DomainNameParser $domainNameParser, SiteEntityManager $siteEntityManager, CertificateEntityManager $certificateEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, VhostTemplateEntityManager $vhostTemplateEntityManager, ValidatorInterface $validator) { goto Fa402; Fa402: $this->domainNameParser = $domainNameParser; goto Fdaef; Fdaef: $this->siteEntityManager = $siteEntityManager; goto bc85f; bc85f: $this->certificateEntityManager = $certificateEntityManager; goto Cc9e6; Dc50a: parent::__construct(); goto F5d4a; d2d86: $this->validator = $validator; goto Dc50a; Cc9e6: $this->databaseServerEntityManager = $databaseServerEntityManager; goto fc5f9; fc5f9: $this->vhostTemplateEntityManager = $vhostTemplateEntityManager; goto d2d86; F5d4a: } protected function configure() : void { $this->setName("\163\151\164\145\x3a\x74\x6d\160"); } protected function getSite(string $domainName) : ?Site { goto Dd23d; Afb56: if (!(false === is_null($site))) { goto ca6dd; } goto ea286; C3c60: $site->setFtpUsers($siteEntity->getFtpUsers()); goto E24e1; E24e1: $site->setSshUsers($siteEntity->getSshUsers()); goto Ec06d; b750b: $site->setCronJobs($siteEntity->getCronJobs()); goto C3c60; Cad15: $siteEntity = $this->getSiteEntity($domainName); goto cb57e; A5680: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto C53f5; C53f5: $subdomain = $resolvedDomainName->subDomain()->toString(); goto A3944; ea286: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto A5680; Ec06d: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto De6d7; e3940: goto Cbf78; goto Ded45; a1d3b: $site->setSubdomain($subdomain); goto Dc90d; B8c78: $site->setCertificate($siteEntity->getCertificate()); goto d81de; d21e7: $site->setDomainName($siteEntity->getDomainName()); goto afcdd; d81de: $site->setCertificates($siteEntity->getCertificates()); goto b750b; A3c60: $siteType = $siteEntity->getType(); goto B0387; B0387: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto e8ea8; e8ea8: $site = new NodejsSite(); goto cb767; cb767: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto c44e1; c44e1: goto a89ac; goto fad61; fad61: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto a89ac; case SiteEntity::TYPE_PHP: goto Bc5af; Bc5af: $site = new PhpSite(); goto fd9a4; fd9a4: $site->setPhpSettings($siteEntity->getPhpSettings()); goto Fe342; Fe342: $site->setVarnishCache($siteEntity->getVarnishCache()); goto B4346; B4346: goto a89ac; goto F16f6; F16f6: case SiteEntity::TYPE_PYTHON: goto dfdd9; dfdd9: $site = new PythonSite(); goto Bed86; Bed86: $site->setPythonSettings($siteEntity->getPythonSettings()); goto f4fb8; f4fb8: goto a89ac; goto D7ec2; D7ec2: case SiteEntity::TYPE_REVERSE_PROXY: goto c91d7; b1e1e: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto C6a90; c91d7: $site = new ReverseProxySite(); goto b1e1e; C6a90: goto a89ac; goto D982c; D982c: } goto Af094; F4e4f: $site->setUser($siteEntity->getUser()); goto d21e7; A6370: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto bf55e; Dd23d: $site = null; goto Cad15; bf55e: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto b36d4; afcdd: $site->setRegistrableDomain($registrableDomain); goto a1d3b; ff62c: Cbf78: goto A5290; B36ae: $site->setBlockedBots($siteEntity->getBlockedBots()); goto cc7eb; Dc90d: $site->setRootDirectory($siteEntity->getRootDirectory()); goto d2bf5; A5290: return $site; goto Fcaf2; Aae29: throw new \Exception(sprintf("\x53\x69\x74\x65\x20\42\45\163\x22\40\x64\x6f\x65\163\x20\x6e\x6f\164\40\145\x78\151\163\164\56", $domainName)); goto e3940; b36d4: ca6dd: goto ff62c; A3944: $subdomain = false === empty($subdomain) ? $subdomain : null; goto be2ac; De6d7: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto A6370; d2bf5: $site->setDatabases($siteDatabases); goto c54aa; Ca1dc: a89ac: goto Afb56; c54aa: $site->setBasicAuth($siteEntity->getBasicAuth()); goto B36ae; Af094: e303f: goto Ca1dc; Ded45: f9c9a: goto A3c60; cc7eb: $site->setBlockedIps($siteEntity->getBlockedIps()); goto B8c78; be2ac: $siteDatabases = $this->getSiteDatabases($siteEntity); goto F4e4f; cb57e: if (false === is_null($siteEntity)) { goto f9c9a; } goto Aae29; Fcaf2: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto c30aa; c30aa: $siteDatabases = new ArrayCollection(); goto A2b23; D8871: $databaseEntities = $siteEntity->getDatabases(); goto ccde3; ccde3: foreach ($databaseEntities as $databaseEntity) { goto b2f81; f9048: $siteDatabases->add($databaseEntity); goto e1772; b2f81: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto b0f4a; e1772: D8155: goto Efdbf; b0f4a: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto D8155; } goto f9048; Efdbf: C7734: goto c7ff9; c7ff9: } goto e45f8; e45f8: b3e76: goto be3d4; be3d4: return $siteDatabases; goto A25f4; A2b23: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto D8871; A25f4: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto Ea8ce; Ea8ce: $siteDeleter = null; goto C0688; C0688: $siteType = $site->getType(); goto a9364; F5543: return $siteDeleter; goto Ab220; E9683: db718: goto F5543; a9364: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto db718; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto db718; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto db718; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto db718; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto db718; } goto c8956; c8956: B8d33: goto E9683; Ab220: } protected function getSiteUpdater(Site $site) : ?SiteUpdater { goto e94a8; Ccf02: return $siteUpdater; goto d0966; Bc984: $siteType = $site->getType(); goto d3477; baeaa: ea3ab: goto F59e4; d3477: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto ea5eb; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto ea5eb; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto ea5eb; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto ea5eb; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto ea5eb; } goto baeaa; e94a8: $siteUpdater = null; goto Bc984; F59e4: ea5eb: goto Ccf02; d0966: } protected function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } protected function getSiteEntityBySiteUser(string $siteUser) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByUser($siteUser); return $siteEntity; } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\x75\163\145\x72", "\163\151\164\145\x55\x73\145\x72", $constraints); $this->changePropertyPath("\x75\x73\x65\x72\120\141\x73\x73\167\157\162\x64", "\163\x69\164\x65\x55\163\145\162\120\x61\x73\x73\167\157\x72\x64", $constraints); } }
