<?php
 namespace App\Controller\Admin; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Form\Form; use App\Controller\Controller; use Symfony\Contracts\Translation\TranslatorInterface; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\UserManager as UserEntityManager; use App\Entity\Manager\TimezoneManager as TimezoneEntityManager; use App\Entity\User as UserEntity; use App\Event\EventQueue; use App\Service\Logger; class UserController extends Controller { private UserEntityManager $userEntityManager; private SiteEntityManager $siteEntityManager; private TimezoneEntityManager $timezoneEntityManager; public function __construct(UserEntityManager $userEntityManager, SiteEntityManager $siteEntityManager, TimezoneEntityManager $timezoneEntityManager, TranslatorInterface $translator, Logger $logger) { goto ddb4f; ac522: $this->timezoneEntityManager = $timezoneEntityManager; goto d70d1; ddb4f: $this->userEntityManager = $userEntityManager; goto Fcc65; Fcc65: $this->siteEntityManager = $siteEntityManager; goto ac522; d70d1: parent::__construct($translator, $logger); goto e106c; e106c: } public function index(Request $request) : Response { goto d2565; Bcaf5: $users = array_filter($users, function ($user) use($currentUser) { return $currentUser->getId() != $user->getId(); }); goto C98a0; C98a0: $response = $this->render("\101\144\155\151\156\57\125\163\x65\162\57\x69\156\x64\x65\170\x2e\150\164\155\154\56\164\167\x69\x67", ["\165\x73\145\162\163" => $users]); goto B654a; d2565: $currentUser = $this->getUser(); goto a2b59; B654a: return $response; goto A23d9; a2b59: $users = $this->userEntityManager->findAll([], ["\165\163\145\162\116\141\155\145" => "\x61\163\143"]); goto Bcaf5; A23d9: } public function new(Request $request) : Response { goto e03c1; Ee5a8: $response = $this->render("\101\x64\x6d\151\x6e\57\125\163\x65\162\x2f\156\x65\167\56\x68\x74\155\154\56\x74\167\x69\147", ["\165\163\x65\x72" => $userEntity, "\163\151\164\x65\x73" => $sites, "\146\x6f\x72\x6d" => $form->createView(), "\146\157\x72\x6d\x45\x72\162\x6f\162\x73" => $this->formErrors]); goto ac0f4; Bb0c5: e8549: goto Ee5a8; Df32f: if (!(false === is_null($response))) { goto E9da2; } goto e9dbb; e9dbb: return $response; goto B8e7d; bab8e: $sites = $this->siteEntityManager->findAll([], ["\x64\157\155\x61\151\x6e\x4e\x61\x6d\x65" => "\x41\x53\103"]); goto C3a3b; C71d7: $defaultTimezone = $this->timezoneEntityManager->findOneByName(UserEntity::DEFAULT_TIMEZONE); goto bab8e; F871b: $form->handleRequest($request); goto Ab0b7; ac0f4: return $response; goto C4e95; Efe4b: if (!(true === $request->isMethod("\x50\x4f\x53\x54"))) { goto e8549; } goto F871b; Beac7: b868c: goto Bb0c5; Ab0b7: if (!(true === $form->isSubmitted())) { goto b868c; } goto e939c; e939c: $response = $this->handleUserForm($request, $form); goto Df32f; ff7ed: $form = $this->createUserForm($userEntity); goto Efe4b; B8e7d: E9da2: goto Beac7; e03c1: $userEntity = $this->userEntityManager->createEntity(); goto C71d7; C3a3b: $userEntity->setTimezone($defaultTimezone); goto ff7ed; C4e95: } private function createUserForm(UserEntity $userEntity) : Form { goto a622d; cd2d6: $form->add("\163\x75\142\155\151\x74", SubmitType::class, ["\x61\x74\x74\x72" => ["\143\x6c\141\x73\x73" => "\x62\x74\x6e\x20\x62\x74\x6e\x2d\142\154\x75\145\40\142\x74\x6e\55\154\147"], "\x6c\141\x62\145\154" => "\x41\144\144\40\125\163\x65\x72"]); goto Ad8c1; Ad8c1: return $form; goto Da5ef; a622d: $form = $this->createForm("\101\x70\160\134\x46\157\x72\155\134\101\x64\x6d\x69\156\125\163\145\162\124\171\160\145", $userEntity, ["\141\x63\164\151\x6f\x6e" => $this->generateUrl("\143\x6c\160\x5f\x61\144\155\x69\x6e\137\x75\x73\145\x72\137\156\145\167"), "\155\x65\164\150\157\x64" => "\120\117\x53\124", "\x61\x74\164\x72" => []]); goto cd2d6; Da5ef: } private function handleUserForm(Request $request, Form $form) { goto Cfd4d; E9d18: D9488: goto e19a4; Dbdcf: $this->formErrors = $this->getErrorMessages($form); goto e2bde; e19a4: try { goto E8004; Ecd4c: $domainNames = []; goto B563b; bbdb9: $session->getFlashBag()->set("\x73\165\x63\x63\145\163\x73", $this->translator->trans("\x55\163\145\162\40\150\141\x73\40\142\x65\145\x6e\x20\x61\144\x64\145\144\56")); goto D4b5c; a9ae9: $sites = $userEntity->getSites(); goto Ecd4c; D4b5c: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x61\144\155\151\156\x5f\165\163\x65\162\163")); goto C17da; Baef4: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); A5246: } goto e5d1f; C17da: return $response; goto bfb1e; E8004: $currentUser = $this->getUser(); goto ca24d; A76d1: $userEntity = $form->getData(); goto a9ae9; def94: sort($domainNames); goto F0dd6; F0dd6: $this->userEntityManager->updateUser($userEntity); goto c865f; ca24d: $session = $request->getSession(); goto A76d1; e5d1f: f85fa: goto E8136; d7e34: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_ADD, $currentUser, $eventData, $request); goto bbdb9; c865f: $eventData = ["\x75\x73\x65\162\116\x61\x6d\145" => $userEntity->getUserName(), "\x66\x69\162\163\x74\116\141\x6d\145" => $userEntity->getFirstName(), "\154\x61\x73\164\116\141\x6d\145" => $userEntity->getLastName(), "\145\x6d\x61\151\154" => $userEntity->getEMail(), "\x72\x6f\154\x65" => $userEntity->getRole(), "\163\x69\x74\145\163" => implode("\x2c\x20", $domainNames)]; goto d7e34; B563b: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto Fcbaf; } goto Baef4; E8136: Fcbaf: goto def94; bfb1e: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\x65\x72", $this->translator->trans("\101\156\x20\145\162\x72\x6f\162\40\x68\x61\163\40\x6f\x63\143\x75\162\x72\x65\144\x2c\40\145\x72\162\157\162\40\x6d\x65\163\x73\x61\x67\145\72\x20\x25\145\162\162\157\162\x4d\145\163\x73\x61\x67\145\45", ["\45\x65\x72\x72\157\162\x4d\145\x73\x73\x61\x67\x65\x25" => $e->getMessage()])); } goto A0838; e2bde: goto A8d5e; goto E9d18; A0838: A8d5e: goto Ac989; Cfd4d: if (true === $form->isValid()) { goto D9488; } goto Dbdcf; Ac989: } public function edit(Request $request) : Response { goto feb37; feb37: $id = (int) $request->get("\x69\x64"); goto Cd166; b82ed: $sites = $this->siteEntityManager->findAll([], ["\x64\157\x6d\x61\x69\x6e\x4e\x61\x6d\145" => "\x41\123\x43"]); goto f16d8; f2db9: if (!(false === is_null($response))) { goto F49a0; } goto c5b1c; cdea0: B114d: goto bfba4; Bfe5c: if (!(true === $form->isSubmitted())) { goto B114d; } goto a98e6; bfba4: D451b: goto efd3a; B7317: goto ecdd6; goto Df7b1; bed0f: if (!(true === $request->isMethod("\120\117\123\124"))) { goto D451b; } goto eeab9; Df7b1: dbedb: goto b82ed; Dcb83: F49a0: goto cdea0; a98e6: $response = $this->handleUserEditForm($request, $form); goto f2db9; c5b1c: return $response; goto Dcb83; f1041: return $response; goto b4b32; a7e70: if (false === is_null($userEntity)) { goto dbedb; } goto E3748; E3748: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\141\144\155\151\156\137\165\163\145\x72\x73")); goto B7317; Cd166: $userEntity = $this->userEntityManager->findOneById($id); goto a7e70; C9b05: ecdd6: goto f1041; eeab9: $form->handleRequest($request); goto Bfe5c; efd3a: $response = $this->render("\101\x64\155\151\x6e\57\x55\163\x65\162\x2f\x65\x64\151\164\56\150\x74\x6d\x6c\x2e\x74\x77\151\x67", ["\165\x73\145\162" => $userEntity, "\x73\x69\164\145\163" => $sites, "\146\157\x72\155" => $form->createView(), "\x66\x6f\162\155\105\x72\x72\x6f\162\163" => $this->formErrors]); goto C9b05; f16d8: $form = $this->createUserEditForm($userEntity); goto bed0f; b4b32: } private function createUserEditForm(UserEntity $userEntity) : Form { goto f33e4; D8928: $form->add("\x73\165\x62\x6d\151\164", SubmitType::class, ["\141\x74\164\162" => ["\143\154\141\x73\x73" => "\x62\x74\x6e\x20\142\x74\x6e\55\142\154\x75\x65\x20\x62\x74\156\55\x6c\147"], "\x6c\141\142\145\x6c" => "\123\x61\166\145"]); goto c9e71; f33e4: $form = $this->createForm("\x41\x70\160\134\x46\x6f\x72\x6d\134\101\x64\x6d\151\x6e\x55\x73\145\162\105\144\x69\x74\124\171\160\145", $userEntity, ["\x61\x63\164\x69\157\156" => $this->generateUrl("\143\x6c\160\x5f\141\144\x6d\x69\x6e\x5f\165\163\145\162\x5f\145\x64\151\164", ["\x69\x64" => $userEntity->getId()]), "\x6d\145\164\150\157\x64" => "\120\117\123\124", "\141\x74\x74\x72" => []]); goto D8928; c9e71: return $form; goto b242b; b242b: } private function handleUserEditForm(Request $request, Form $form) { goto be00e; be00e: if (true === $form->isValid()) { goto b238d; } goto a8f21; aa69a: try { goto C9213; C09f6: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); E5857: } goto d2f05; B6d58: goto B60f7; goto ef994; Dede1: $this->userEntityManager->updateUser($userEntity, true, true); goto c43e3; Cc98c: $eventData = ["\x75\163\x65\x72\x4e\141\x6d\x65" => $userEntity->getUserName(), "\x66\151\162\x73\x74\x4e\x61\x6d\145" => $userEntity->getFirstName(), "\154\x61\x73\164\116\141\x6d\x65" => $userEntity->getLastName(), "\x65\x6d\x61\151\154" => $userEntity->getEMail(), "\x72\x6f\154\x65" => $userEntity->getRole(), "\163\x74\141\164\x75\163" => (int) $userEntity->getStatus(), "\163\151\x74\x65\163" => implode("\x2c\x20", $domainNames)]; goto a402e; d94f7: $session->getFlashBag()->set("\x73\165\x63\x63\145\x73\x73", $this->translator->trans("\x55\163\145\x72\x20\x68\141\163\x20\142\x65\145\156\40\x75\160\144\x61\x74\x65\x64\56")); goto e401a; aa065: $userEntity = $form->getData(); goto f9f87; Edf88: $domainNames = []; goto Cc2ce; ef994: e470d: goto Dede1; f9f87: $plainPassword = $userEntity->getPlainPassword(); goto E3695; c43e3: B60f7: goto Cc98c; e401a: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x61\144\x6d\151\156\137\165\163\145\162\137\145\144\x69\x74", ["\x69\x64" => $userEntity->getId()])); goto Ed166; Ed166: return $response; goto ea0ac; d2f05: D5e67: goto f4fb9; D1ec6: if (false === empty($plainPassword)) { goto e470d; } goto E044d; Dee11: $session = $request->getSession(); goto aa065; E044d: $this->userEntityManager->updateUser($userEntity); goto B6d58; f4fb9: E31eb: goto c53f3; a402e: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_UPDATE, $currentUser, $eventData, $request); goto d94f7; C9213: $currentUser = $this->getUser(); goto Dee11; Cc2ce: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto E31eb; } goto C09f6; E3695: $sites = $userEntity->getSites(); goto Edf88; c53f3: sort($domainNames); goto D1ec6; ea0ac: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\x65\162", $this->translator->trans("\101\156\x20\x65\162\x72\157\x72\40\x68\141\163\x20\x6f\x63\143\165\x72\162\x65\x64\54\40\x65\162\x72\x6f\162\x20\x6d\145\163\x73\141\147\145\72\40\45\x65\162\162\x6f\162\115\x65\x73\163\x61\x67\x65\x25", ["\x25\145\x72\162\157\x72\x4d\145\x73\163\141\x67\145\x25" => $e->getMessage()])); } goto A24f9; a8f21: $this->formErrors = $this->getErrorMessages($form); goto e22cb; d1d2c: b238d: goto aa69a; A24f9: Df6c9: goto a0fa9; e22cb: goto Df6c9; goto d1d2c; a0fa9: } public function delete(Request $request) : Response { goto Ce993; f65d8: $session = $request->getSession(); goto Db8ac; A79e7: $id = (int) $request->get("\x69\x64"); goto F1476; Ce993: $currentUser = $this->getUser(); goto A79e7; b0975: D6c71: goto D7c69; C9f0e: $session->getFlashBag()->set("\x73\x75\x63\143\145\163\x73", $this->translator->trans("\125\163\x65\162\40\x68\141\163\x20\142\145\145\x6e\40\144\x65\154\x65\164\x65\x64\x2e")); goto f50d4; Db8ac: $eventData = ["\x75\x73\x65\162\x4e\x61\155\145" => $userEntity->getUserName(), "\146\151\x72\x73\164\116\x61\x6d\145" => $userEntity->getFirstName(), "\154\x61\x73\164\x4e\141\155\x65" => $userEntity->getLastName(), "\145\x6d\141\x69\154" => $userEntity->getEMail(), "\162\157\154\145" => $userEntity->getRole()]; goto C6653; F6a8d: return $response; goto f9fcd; E621a: if (!(true === isset($id) && $id != $currentUser->getId())) { goto D6c71; } goto Ee66c; F1476: $this->checkCsrfToken($request, "\144\x65\x6c\x65\164\x65\55\165\163\145\x72"); goto E621a; C6653: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_DELETE, $currentUser, $eventData, $request); goto Bc5b2; Bc5b2: $this->userEntityManager->deleteUser($userEntity); goto C9f0e; f50d4: E62a2: goto b0975; Ee66c: $userEntity = $this->userEntityManager->findOneById($id); goto Ebcdf; D7c69: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\141\144\x6d\151\156\x5f\165\x73\x65\162\x73")); goto F6a8d; Ebcdf: if (!(false === is_null($userEntity))) { goto E62a2; } goto f65d8; f9fcd: } }
