<?php
 namespace App\Controller\Frontend; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Contracts\Translation\TranslatorInterface; use App\Controller\Controller; use App\Entity\Manager\InstanceCpuManager as InstanceCpuEntityManager; use App\Entity\Manager\InstanceMemoryManager as InstanceMemoryEntityManager; use App\Entity\Manager\InstanceDiskUsageManager as InstanceDiskUsageEntityManager; use App\Entity\Manager\InstanceLoadAverageManager as InstanceLoadAverageEntityManager; use App\System\CommandExecutor; use App\System\Command\MemoryInformationCommand; use App\System\Command\ProcessorCoresCommand; use App\Entity\InstanceDiskUsage as InstanceDiskUsageEntity; use App\Entity\InstanceLoadAverage as InstanceLoadAverageEntity; use App\Monitoring\Chart; use App\Monitoring\LoadAverageChart; use App\Util\HumanFileSize as HumanFileSizeUtil; use App\Util\Time as TimeUtil; use App\Service\Logger; use App\Entity\User; class DashboardController extends Controller { public const TIME_RANGE_LAST_THIRTY_MINUTES = 1; public const TIME_RANGE_LAST_HOUR = 2; public const TIME_RANGE_LAST_THREE_HOURS = 3; public const TIME_RANGE_LAST_SIX_HOURS = 4; public const TIME_RANGE_LAST_TWELVE_HOURS = 5; private static array $timeRanges = [self::TIME_RANGE_LAST_THIRTY_MINUTES, self::TIME_RANGE_LAST_HOUR, self::TIME_RANGE_LAST_THREE_HOURS, self::TIME_RANGE_LAST_SIX_HOURS, self::TIME_RANGE_LAST_TWELVE_HOURS]; private InstanceCpuEntityManager $instanceCpuEntityManager; private InstanceMemoryEntityManager $instanceMemoryEntityManager; private InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager; private InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager; public function __construct(InstanceCpuEntityManager $instanceCpuEntityManager, InstanceMemoryEntityManager $instanceMemoryEntityManager, InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager, InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager, TranslatorInterface $translator, Logger $logger) { goto A1f04; Af539: $this->instanceMemoryEntityManager = $instanceMemoryEntityManager; goto Eec3d; Eec3d: $this->instanceDiskUsageEntityManager = $instanceDiskUsageEntityManager; goto C7303; e6700: parent::__construct($translator, $logger); goto E82b8; C7303: $this->instanceLoadAverageEntityManager = $instanceLoadAverageEntityManager; goto e6700; A1f04: $this->instanceCpuEntityManager = $instanceCpuEntityManager; goto Af539; E82b8: } public function index(Request $request) : Response { goto e0f5a; d4d05: c6111: goto D2ffe; d6887: try { goto B275a; D0281: $totalMemory = HumanFileSizeUtil::convert($totalMemoryInBytes, "\x47\102", 0); goto f480e; Abdf5: $memoryInformationCommand = new MemoryInformationCommand(); goto d1c17; eafca: $numberOfProcessorCores = $processorCoresCommand->getNumberOfProcessorCores(); goto Ee7d3; Be70c: $totalMemoryInBytes = $memoryInformationCommand->getTotalMemoryInBytes(); goto D0281; B275a: $commandExecutor = new CommandExecutor(); goto Abdf5; f480e: $processorCoresCommand = new ProcessorCoresCommand(); goto Acf1e; Acf1e: $commandExecutor->execute($processorCoresCommand); goto eafca; d1c17: $commandExecutor->execute($memoryInformationCommand); goto Be70c; Ee7d3: } catch (\Exception $e) { $this->logger->exception($e); } goto Df77f; D268c: $rootDiskSize = HumanFileSizeUtil::convert($rootDiskSizeInBytes, "\107\102", 0); goto Dcfea; F47a7: $loadAverageChart = new LoadAverageChart("\114\x6f\141\144\x20\x41\x76\x65\x72\x61\147\x65"); goto Adb8a; dc560: $cloud = $environment->getCloudProvider(); goto Fb4f2; Dcfea: $homeDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_HOME); goto f3b4a; fc3e9: $dateTime = new \DateTime(); goto e1806; bf178: F1bad: goto f0267; b548f: switch ($timeRange) { case self::TIME_RANGE_LAST_THIRTY_MINUTES: goto d0d73; d8889: $startTime = (clone $endTime)->modify("\x2d\x33\x30\40\155\151\x6e\165\164\x65\163"); goto b35df; d0d73: $minuteInterval = 5; goto d8889; b35df: goto C10cb; goto E675a; E675a: case self::TIME_RANGE_LAST_HOUR: goto Ddc62; Ddc62: $minuteInterval = 10; goto C2893; C2893: $startTime = (clone $endTime)->modify("\55\x31\40\x68\x6f\x75\162"); goto B8abc; B8abc: goto C10cb; goto c3ff1; c3ff1: case self::TIME_RANGE_LAST_THREE_HOURS: goto Ee062; c23cc: goto C10cb; goto E7763; B60f5: $startTime = (clone $dateTime)->modify("\55\x33\x20\x68\157\165\162\x73"); goto c23cc; Ee062: $minuteInterval = 30; goto B60f5; E7763: case self::TIME_RANGE_LAST_SIX_HOURS: goto E53ea; da1bb: $startTime = (clone $dateTime)->modify("\x2d\x36\40\150\x6f\165\x72\163"); goto b9f24; b9f24: goto C10cb; goto b5be0; E53ea: $minuteInterval = 60; goto da1bb; b5be0: case self::TIME_RANGE_LAST_TWELVE_HOURS: goto F460d; a4db6: goto C10cb; goto F6c4e; fb016: $startTime = (clone $dateTime)->modify("\x2d\x31\x32\40\x68\157\165\x72\163"); goto a4db6; F460d: $minuteInterval = 120; goto fb016; F6c4e: } goto bf178; A15f8: $diskChart->setCategories($categories); goto Cd759; Bef49: $loadAverageData = [["\156\x61\155\x65" => $this->translator->trans("\x31\x20\115\151\x6e\165\164\145"), "\x63\157\x6c\157\x72" => "\x23\x37\67\64\141\141\64", "\144\x61\164\141" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_ONE_MINUTE] ?? []], ["\156\x61\155\x65" => $this->translator->trans("\65\x20\x4d\151\x6e\x75\x74\145\163"), "\143\x6f\x6c\157\162" => "\43\145\142\65\x38\66\x63", "\x64\x61\x74\141" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES] ?? []], ["\x6e\141\x6d\x65" => $this->translator->trans("\61\65\40\115\151\x6e\165\164\145\x73"), "\x63\x6f\154\x6f\x72" => "\43\60\60\67\x38\144\64", "\144\x61\164\141" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] ?? []]]; goto ea39a; E81e9: $cpuChart->setCategories($categories); goto A3042; aa538: $diskData = [["\x6e\141\x6d\145" => sprintf("\57\x20\50\x25\x73\51", $rootDiskSize), "\x63\157\x6c\x6f\162" => "\x23\67\63\x62\x66\x34\x63", "\x64\x61\x74\x61" => $diskData["\162\157\x6f\164"] ?: []]]; goto E708c; Adb8a: $loadAverageChart->setInformation($loadAverageChartInformation); goto Bc06e; E6b51: return $response; goto D446d; b9006: $cpuChart->setInformation($cpuInformation); goto e5730; e0f5a: $user = $this->getUser(); goto Ae861; d61c3: $categories = $this->getCategoriesForTimeRange($user, $startTime, $endTime, $minuteInterval); goto e8837; F5987: $environment = $instance->getEnvironment(); goto dc560; e1806: $endTime = TimeUtil::roundToNearestMinuteInterval($dateTime, 5); goto b548f; A332b: $memoryChart->setInformation($totalMemory); goto Acb02; c109f: $timeRange = true === is_null($timeRange) ? self::TIME_RANGE_LAST_THIRTY_MINUTES : (true === in_array($timeRange, self::$timeRanges) ? $timeRange : self::TIME_RANGE_LAST_THIRTY_MINUTES); goto Ec00d; F526a: $diskData = $this->getDiskDataForTimeRange($startTime, $endTime, $minuteInterval); goto D2f69; E2b56: $memoryData = $this->getMemoryDataForTimeRange($startTime, $endTime, $minuteInterval); goto F526a; Cd759: $loadAverageChartInformation = sprintf("\x25\x73\40\x25\x73", $numberOfProcessorCores, $this->translator->trans("\x43\x50\x55")); goto F47a7; Bc791: $diskChart = new Chart("\104\151\163\x6b\40\125\x73\141\x67\x65"); goto A7e67; A7e67: $diskChart->setData($diskData); goto A15f8; d92be: $loadAverageRawData = $this->getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval); goto Bef49; Df77f: $rootDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_ROOT); goto D268c; e5730: $cpuChart->setData($cpuData); goto E81e9; Ae861: $instance = $request->attributes->get("\151\x6e\163\164\141\156\143\145"); goto F5987; C4e38: $loadAverageChart->setCategories($categories); goto bf948; A926e: $numberOfProcessorCores = 0; goto d6887; A3042: $memoryChart = new Chart("\x4d\x65\155\157\x72\171\x20\125\163\x61\x67\x65"); goto A332b; Fbcc0: $memoryChart->setCategories($categories); goto Bc791; f0267: C10cb: goto d61c3; Bc06e: $loadAverageChart->setData($loadAverageData); goto C4e38; f3b4a: $homeDiskSize = HumanFileSizeUtil::convert($homeDiskSizeInBytes, "\107\102", 0); goto fc3e9; e8837: $cpuData = $this->getCpuDataForTimeRange($startTime, $endTime, $minuteInterval); goto E2b56; E708c: goto e2b15; goto d4d05; Ec00d: $totalMemory = ''; goto A926e; Acb02: $memoryChart->setData($memoryData); goto Fbcc0; Fb4f2: $timeRange = $request->get("\x74\x69\x6d\145\x52\141\156\147\145"); goto c109f; ea39a: $cpuInformation = sprintf("\45\163\40\x25\x73", $numberOfProcessorCores, $this->translator->trans("\x43\120\125")); goto E1067; bf948: $response = $this->render("\x46\162\x6f\x6e\164\145\156\x64\57\104\141\163\x68\x62\x6f\141\x72\144\57\151\156\144\145\170\56\150\x74\155\x6c\x2e\164\167\x69\x67", ["\x63\x6c\157\x75\x64" => $cloud, "\x69\156\163\164\141\156\x63\145" => $instance, "\165\x73\x65\x72" => $user, "\164\151\x6d\145\122\x61\156\x67\x65" => $timeRange, "\x63\160\x75\103\x68\x61\x72\164" => $cpuChart, "\155\145\155\157\162\171\103\x68\141\162\x74" => $memoryChart, "\x64\151\x73\153\103\x68\x61\162\164" => $diskChart, "\154\x6f\x61\144\101\166\145\162\x61\147\x65\x43\150\141\x72\164" => $loadAverageChart]); goto E6b51; ca7e3: e2b15: goto d92be; D2f69: if ($homeDiskSize != $rootDiskSize) { goto c6111; } goto aa538; E1067: $cpuChart = new Chart("\103\x50\x55\40\125\163\x61\147\x65"); goto b9006; D2ffe: $diskData = [["\x6e\141\155\x65" => sprintf("\57\x20\50\x25\x73\51", $rootDiskSize), "\x63\x6f\154\157\x72" => "\x23\x37\x33\x62\x66\x34\x63", "\x64\x61\x74\x61" => $diskData["\162\x6f\157\x74"] ?: []], ["\x6e\141\x6d\145" => sprintf("\57\x68\157\x6d\x65\40\x28\x25\163\x29", $homeDiskSize), "\x63\157\x6c\157\x72" => "\43\x66\63\142\146\x30\x30", "\x64\x61\164\141" => $diskData["\x68\157\155\145"] ?: []]]; goto ca7e3; D446d: } private function getCategoriesForTimeRange(User $user, \DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto c286e; b088d: $endDataDate = clone $startTime; goto a225d; Ef76e: $categoryDateTime->setTimezone(new \DateTimeZone($user->getTimezone())); goto d9cfc; d9cfc: $categories[] = $categoryDateTime->format("\110\x3a\151"); goto A7a8d; b92af: $endDataDate->modify(sprintf("\x2b\45\60\65\144\40\155\151\x6e\165\x74\x65\163", $minuteInterval)); goto A284b; a225d: f8e25: goto a9f36; F971b: $categoryDateTime = clone $endDataDate; goto Ef76e; e12b8: e7b2f: goto e41a9; A284b: goto f8e25; goto e12b8; e41a9: return $categories; goto e7cb5; A7a8d: $startDataDate->modify(sprintf("\53\x25\x30\65\144\40\x6d\151\156\x75\164\x65\x73", $minuteInterval)); goto b92af; c286e: $categories = []; goto Dcb70; Dcb70: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\45\x30\65\x64\40\x6d\151\156\165\164\x65\x73", $minuteInterval)); goto b088d; a9f36: if (!($endDataDate <= $endTime)) { goto e7b2f; } goto F971b; e7cb5: } private function getCpuDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto D470e; A691b: $cpuData[] = $averageCpuValue; goto Ece82; Cf7f0: c2484: goto E5c44; Ece82: $startDataDate->modify(sprintf("\53\45\60\65\x64\x20\155\151\156\x75\x74\x65\x73", $minuteInterval)); goto d12cb; Ab807: a047f: goto Bca01; E5c44: if (!($endDataDate <= $endTime)) { goto a047f; } goto Ab0cb; b299f: $startDataDate = (clone $startTime)->modify(sprintf("\55\x25\x30\x35\x64\40\155\151\x6e\165\164\x65\163", $minuteInterval)); goto c34c4; Bca01: return $cpuData; goto a917c; d12cb: $endDataDate->modify(sprintf("\x2b\45\60\x35\x64\x20\x6d\x69\156\165\x74\x65\163", $minuteInterval)); goto Ec28d; c34c4: $endDataDate = clone $startTime; goto Cf7f0; Ec28d: goto c2484; goto Ab807; D470e: $cpuData = []; goto b299f; Ab0cb: $averageCpuValue = $this->instanceCpuEntityManager->getAverageCpuValue($startDataDate, $endDataDate); goto A691b; a917c: } private function getMemoryDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto a0449; afbd6: goto cca74; goto D2589; c0119: $averageMemoryValue = $this->instanceMemoryEntityManager->getAverageMemoryValue($startDataDate, $endDataDate); goto b9cc9; d636a: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\x30\65\144\40\x6d\x69\x6e\165\164\x65\x73", $minuteInterval)); goto e06e3; D2589: C0da7: goto bc1c8; ebd9c: cca74: goto d1005; b9cc9: $memoryData[] = (int) $averageMemoryValue; goto D8564; bc1c8: return $memoryData; goto Dd7da; Cead2: $endDataDate->modify(sprintf("\53\45\60\65\x64\x20\155\151\x6e\165\164\x65\x73", $minuteInterval)); goto afbd6; a0449: $memoryData = []; goto d636a; d1005: if (!($endDataDate <= $endTime)) { goto C0da7; } goto c0119; D8564: $startDataDate->modify(sprintf("\53\x25\x30\65\x64\x20\x6d\151\x6e\165\164\x65\x73", $minuteInterval)); goto Cead2; e06e3: $endDataDate = clone $startTime; goto ebd9c; Dd7da: } private function getDiskDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto b3f29; Aed08: $endDataDate = clone $startTime; goto ff0b1; bb54e: $endDataDate->modify(sprintf("\x2b\x25\60\65\144\x20\155\151\x6e\165\x74\x65\x73", $minuteInterval)); goto F6545; ab261: if (!($endDataDate <= $endTime)) { goto B2b9f; } goto a7c28; F6545: goto Af514; goto e3311; b3f29: $diskData = []; goto D26b1; a7c28: foreach (["\57", "\x2f\150\x6f\x6d\x65"] as $disk) { goto B738f; C13f8: e739d: goto D0adb; c09ca: goto D3755; goto f1ff3; B738f: $averageDiskSizeValue = (int) $this->instanceDiskUsageEntityManager->getAverageDiskSizeValue($disk, $startDataDate, $endDataDate); goto B4e7b; Bf402: D3755: goto C13f8; b5572: $diskData["\x72\157\x6f\164"][] = (int) $averageDiskSizeValue; goto Bf402; f1ff3: c934f: goto b5572; B4e7b: if ("\x2f" == $disk) { goto c934f; } goto cdfee; cdfee: $diskData["\x68\x6f\155\145"][] = (int) $averageDiskSizeValue; goto c09ca; D0adb: } goto E49f5; cbea3: return $diskData; goto C31fe; b1ac9: $startDataDate->modify(sprintf("\x2b\45\60\65\144\40\155\x69\x6e\165\x74\145\163", $minuteInterval)); goto bb54e; D26b1: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\60\x35\144\x20\x6d\151\x6e\165\x74\x65\163", $minuteInterval)); goto Aed08; ff0b1: Af514: goto ab261; e3311: B2b9f: goto cbea3; E49f5: cee59: goto b1ac9; C31fe: } private function getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto ffb9d; eccde: if (!($endDataDate <= $endTime)) { goto B0969; } goto b5747; c16bd: $endDataDate = clone $startTime; goto Eaca1; Eeeff: $startDataDate->modify(sprintf("\53\x25\60\x35\144\x20\x6d\x69\156\165\x74\145\x73", $minuteInterval)); goto f3aa2; D8f7a: return $loadAverageData; goto C1e04; F3a94: B0969: goto D8f7a; f3aa2: $endDataDate->modify(sprintf("\x2b\x25\x30\x35\x64\x20\x6d\x69\x6e\165\164\x65\x73", $minuteInterval)); goto edaab; Eaca1: cff4e: goto eccde; De090: C769a: goto Eeeff; edaab: goto cff4e; goto F3a94; dffed: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\x25\60\65\x64\40\x6d\x69\x6e\165\164\x65\x73", $minuteInterval)); goto c16bd; b5747: foreach ([InstanceLoadAverageEntity::PERIOD_ONE_MINUTE, InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES, InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] as $period) { goto d977a; d977a: $loadAverageValue = $this->instanceLoadAverageEntityManager->getLoadAverageValue($period, $startDataDate, $endDataDate); goto F7307; C8093: ff3cc: goto dfae1; F7307: $loadAverageData[$period][] = round($loadAverageValue, 2); goto C8093; dfae1: } goto De090; ffb9d: $loadAverageData = []; goto dffed; C1e04: } }
