<?php
 namespace App\Controller\Frontend; use Symfony\Component\Form\FormError; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\HttpFoundation\RedirectResponse; use Symfony\Component\Form\Extension\Core\Type\ButtonType; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Security\Core\Exception\InvalidCsrfTokenException; use Symfony\Contracts\Translation\TranslatorInterface; use Symfony\Component\HttpFoundation\Cookie; use Symfony\Component\Form\Form; use Twig\Environment as Twig; use Doctrine\Common\Collections\ArrayCollection; use App\Controller\Controller; use App\Event\EventQueue; use App\Service\Crypto; use App\Service\Logger; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Entity\Site as SiteEntity; use App\Entity\NodejsSettings; use App\Entity\PhpSettings; use App\Entity\PythonSettings; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\BlockedBot as BlockedBotEntity; use App\Entity\BlockedIp as BlockedIpEntity; use App\Entity\Database as DatabaseEntity; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Entity\User as UserEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\CronJob as CronJobEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter as SiteDeleter; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Database\Manager as DatabaseManager; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\BasicAuthManager as BasicAuthEntityManager; use App\Entity\Manager\BlockedIpManager as BlockedIpEntityManager; use App\Entity\Manager\BlockedBotManager as BlockedBotEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\CronJobManager as CronJobEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\NodejsSettingsManager as NodejsSettingsEntityManager; use App\Entity\Manager\FtpUserManager as FtpUserEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Log\LogfileReader; use App\Log\LogsFinder; use App\Log\Parser\NginxAccessLogParser; use App\Log\Parser\NginxErrorLogParser; use App\Log\Parser\PhpFpmErrorLogParser; use App\Site\Parser\DomainName as DomainNameParser; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\PrivateKey; use App\Site\Ssl\LetsEncryptClient; use App\Site\VarnishCache\Client as VarnishCacheClient; class SitesController extends Controller { private const FILE_MANAGER_COOKIE_EXPIRATION = 3; private ConfigManager $configManager; private SiteEntityManager $siteEntityManager; private BasicAuthEntityManager $basicAuthEntityManager; private BlockedIpEntityManager $blockedIpEntityManager; private BlockedBotEntityManager $blockedBotEntityManager; private CertificateEntityManager $certificateEntityManager; private CronJobEntityManager $cronJobEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private NodejsSettingsEntityManager $nodejsSettingsEntityManager; private FtpUserEntityManager $ftpUserEntityManager; private SshUserEntityManager $sshUserEntityManager; private DomainNameParser $domainNameParser; public function __construct(ConfigManager $configManager, SiteEntityManager $siteEntityManager, BasicAuthEntityManager $basicAuthEntityManager, BlockedIpEntityManager $blockedIpEntityManager, BlockedBotEntityManager $blockedBotEntityManager, CertificateEntityManager $certificateEntityManager, CronJobEntityManager $cronJobEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, NodejsSettingsEntityManager $nodejsSettingsEntityManager, FtpUserEntityManager $ftpUserEntityManager, SshUserEntityManager $sshUserEntityManager, DomainNameParser $domainNameParser, TranslatorInterface $translator, Logger $logger) { goto fb8bb; d6376: $this->databaseEntityManager = $databaseEntityManager; goto bca03; C1832: $this->nodejsSettingsEntityManager = $nodejsSettingsEntityManager; goto D4ef5; B3ba3: $this->databaseServerEntityManager = $databaseServerEntityManager; goto C1832; f01c8: $this->sshUserEntityManager = $sshUserEntityManager; goto d9a30; b3da4: parent::__construct($translator, $logger); goto cbadd; d9a30: $this->domainNameParser = $domainNameParser; goto b3da4; c7ecc: $this->blockedBotEntityManager = $blockedBotEntityManager; goto A9a61; B4a86: $this->basicAuthEntityManager = $basicAuthEntityManager; goto Fc732; fb8bb: $this->configManager = $configManager; goto D2522; D4ef5: $this->ftpUserEntityManager = $ftpUserEntityManager; goto f01c8; e5929: $this->cronJobEntityManager = $cronJobEntityManager; goto d6376; A9a61: $this->certificateEntityManager = $certificateEntityManager; goto e5929; bca03: $this->databaseUserEntityManager = $databaseUserEntityManager; goto B3ba3; Fc732: $this->blockedIpEntityManager = $blockedIpEntityManager; goto c7ecc; D2522: $this->siteEntityManager = $siteEntityManager; goto B4a86; cbadd: } public function index(Request $request) : Response { goto d7408; d7408: $user = $this->getUser(); goto d6e9b; D10b3: $response = $this->render("\x46\x72\x6f\x6e\x74\145\156\144\x2f\123\x69\x74\x65\57\151\156\x64\x65\170\56\150\164\155\x6c\x2e\x74\167\x69\147", ["\x75\x73\145\162" => $user, "\163\151\x74\145\163" => $sites]); goto F831b; d6e9b: $sites = $this->siteEntityManager->getUserSites($user, ["\144\157\x6d\x61\x69\156\116\x61\x6d\145" => "\141\163\x63"]); goto D10b3; F831b: return $response; goto D72b2; D72b2: } public function fileManager(Request $request) : Response { goto F8870; Ec5eb: $response = $this->render("\x46\162\157\x6e\164\145\x6e\x64\x2f\x53\151\x74\145\x2f\146\151\x6c\145\55\155\141\x6e\x61\x67\x65\162\56\150\164\155\154\x2e\x74\x77\x69\x67", ["\163\151\164\145" => $site, "\146\151\x6c\x65\x4d\141\x6e\141\x67\x65\162\x55\162\x6c" => $fileManagerUrl, "\146\157\162\x6d\x45\x72\162\x6f\x72\163" => $this->formErrors]); goto A2f4e; A9ee8: b060e: goto eb795; A2f4e: ecd11: goto eb2a1; c59e3: $data = ["\165\163\x65\x72" => $siteUser, "\x6c\x6f\143\141\x6c\x65" => $locale]; goto be014; a21da: $locale = $request->getLocale(); goto b995e; F8870: $site = $this->getSite($request); goto fcfcf; Ae524: goto ecd11; goto A9ee8; eb795: $siteUser = $site->getUser(); goto cbf1b; dcc9c: $fileManagerUrl = sprintf("\x25\x73\x2f\146\151\154\145\55\x6d\x61\x6e\141\x67\x65\x72\57", rtrim($request->getSchemeAndHttpHost(), "\x2f")); goto Ec5eb; eb2a1: return $response; goto a4bab; be014: $session->set("\x63\x6c\160\x2d\146\x69\x6c\145\55\155\141\156\x61\x67\x65\162", $data); goto dcc9c; cbf1b: $session = $request->getSession(); goto a21da; bf4f2: $cookieExpirationDate->modify(sprintf("\53\x25\163\x20\150\x6f\165\162\163", self::FILE_MANAGER_COOKIE_EXPIRATION)); goto c59e3; Ba95b: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\x69\164\x65\163")); goto Ae524; b995e: $cookieExpirationDate = new \DateTime("\156\157\x77"); goto bf4f2; fcfcf: if (false === is_null($site)) { goto b060e; } goto Ba95b; a4bab: } public function view(Request $request) : Response { goto a9677; a9677: $domainName = $request->get("\144\157\155\141\151\x6e\x4e\x61\155\145"); goto D8413; f690a: return $response; goto ce72c; D8413: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\151\164\x65\137\163\x65\x74\164\x69\156\147\163", ["\x64\x6f\x6d\141\151\156\116\x61\155\x65" => $domainName])); goto f690a; ce72c: } public function logs(Request $request) : Response { goto da025; E0835: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto C009c; F941f: if (false === is_null($site)) { goto ea6c0; } goto A761e; C009c: $form = $this->createLogsForm($siteEntity); goto c0697; E1dd7: ea6c0: goto E0835; A761e: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\x69\x74\145\x73")); goto d0ee9; b58e4: e0065: goto fcea4; da025: $site = $this->getSite($request); goto F941f; fcea4: return $response; goto F6b86; d0ee9: goto e0065; goto E1dd7; c0697: $response = $this->render("\x46\x72\x6f\156\164\145\156\144\57\123\x69\164\x65\x2f\154\157\147\163\x2e\150\164\x6d\x6c\56\x74\x77\151\147", ["\163\151\164\145" => $site, "\146\x6f\162\155\105\162\162\x6f\162\163" => $this->formErrors, "\x66\x6f\162\155" => $form->createView()]); goto b58e4; F6b86: } private function createLogsForm(SiteEntity $siteEntity) : Form { goto Fe666; f76aa: $form->add("\165\160\x64\x61\164\x65", ButtonType::class, ["\141\x74\164\x72" => ["\143\154\x61\x73\163" => "\142\164\x6e\40\142\164\156\55\x6c\x67\x20\x62\x74\x6e\55\142\x6c\x75\145\x20\142\164\x6e\x2d\x75\x70\x64\141\164\145"], "\x6c\x61\142\x65\x6c" => "\x55\x70\x64\x61\x74\145"]); goto C2a90; C2a90: return $form; goto B9ee9; Fe666: $form = $this->createForm("\101\160\160\134\106\157\x72\155\x5c\123\151\x74\x65\x4c\157\x67\x73\x54\x79\x70\145", [], ["\x61\x63\x74\151\x6f\156" => $this->generateUrl("\143\x6c\x70\137\x73\x69\x74\145\137\x6c\157\147\x73", ["\144\157\155\x61\x69\156\116\x61\155\x65" => $siteEntity->getDomainName()]), "\x6d\145\x74\150\157\144" => "\x50\117\123\124", "\x61\x74\x74\162" => []]); goto f76aa; B9ee9: } public function logFileContent(Request $request, Twig $twig) : Response { goto E1468; a57b9: F1c37: goto D85ec; D3aaf: $service = trim($request->get("\x73\145\162\x76\151\x63\145")); goto F26b9; C2b74: $site = $this->getSite($request); goto de540; D85ec: d12a6: goto a79cf; de540: if (!(false === is_null($site))) { goto d12a6; } goto D3aaf; C0069: try { goto Dda98; a8c2d: $logMessages = $nginxAccessLogParser->parse(); goto Fbf58; a8aeb: $logMessagesHtml = $twig->render("\x46\162\157\x6e\x74\x65\x6e\x64\x2f\x53\151\164\145\57\114\x6f\147\x73\57\x70\x68\160\55\x66\x70\155\x2d\x65\x72\x72\x6f\162\x2d\154\x6f\x67\x2d\155\x65\x73\x73\x61\147\x65\x73\x2e\x68\x74\x6d\x6c\56\164\167\151\147", ["\x6c\x6f\x67\x4d\145\x73\163\x61\x67\x65\163" => $logMessages]); goto D0164; Fbf58: $logMessagesHtml = $twig->render("\x46\x72\157\x6e\164\145\x6e\x64\x2f\123\x69\x74\x65\57\x4c\x6f\147\163\x2f\156\147\151\x6e\x78\55\141\x63\143\145\x73\x73\55\x6c\157\x67\55\x6d\x65\163\x73\x61\x67\x65\x73\56\x68\x74\x6d\154\56\164\x77\151\147", ["\x6c\157\147\115\x65\163\163\x61\x67\x65\163" => $logMessages]); goto dd6d6; b3251: $nginxAccessLogParser = new NginxAccessLogParser($logLines); goto c7459; d0414: $nginxErrorLogParser = new NginxErrorLogParser($logLines); goto E0a5b; f0fba: d6cf7: goto Bd8d7; b7574: $phpFpmErrorLogParser = new PhpFpmErrorLogParser($logLines); goto A59ba; A59ba: $logMessages = $phpFpmErrorLogParser->parse(); goto a8aeb; c4f16: $logMessagesHtml = $twig->render("\x46\162\157\156\x74\x65\x6e\144\57\x53\151\164\145\x2f\114\157\147\x73\57\156\147\151\156\170\55\145\x72\x72\x6f\162\55\154\157\x67\55\155\x65\x73\x73\x61\147\145\x73\x2e\150\164\x6d\154\56\x74\x77\x69\x67", ["\154\157\147\115\145\163\x73\141\x67\145\x73" => $logMessages]); goto F424f; E0a5b: $logMessages = $nginxErrorLogParser->parse(); goto c4f16; Dda98: $service = basename($service); goto Dda57; Dda57: $logfile = sprintf("\57\150\x6f\155\145\57\45\163\x2f\x6c\x6f\x67\163\57\x25\163\57\x25\163", $site->getUser(), $service, $logfileName); goto b33a1; Bd8d7: if (!("\160\x68\x70" == $service)) { goto e0319; } goto b7574; E4d25: $user = $this->getUser(); goto Fdf9f; f71fb: $logMessagesHtml = ''; goto E4d25; E30c8: $userTimezone = $user->getTimezone(); goto C2d75; Fdf9f: if (!("\x6e\147\151\x6e\x78" == $service)) { goto d6cf7; } goto E30c8; F424f: goto ef023; goto C0354; D0164: e0319: goto Ab513; dd6d6: ef023: goto f0fba; c7459: $nginxAccessLogParser->setTimezone($userTimezone->getName()); goto a8c2d; b33a1: $logfileReader = new LogfileReader($logfile); goto B8eef; C2d75: if ("\141\143\143\x65\x73\x73\x2e\154\157\x67" == substr($logfileName, 0, 10)) { goto C483b; } goto d0414; Ab513: $data["\154\x6f\x67\115\x65\x73\x73\141\147\145\x73\x48\x74\x6d\154"] = $logMessagesHtml; goto Ff542; B8eef: $logLines = $logfileReader->getLines($numberOfLines); goto f71fb; C0354: C483b: goto b3251; Ff542: } catch (\Exception $e) { $this->logger->exception($e); } goto a57b9; E1468: $data = []; goto C2b74; d17f9: if (!(false === empty($service) && false === empty($logfileName))) { goto F1c37; } goto C0069; F26b9: $logfileName = trim($request->get("\154\157\147\106\x69\x6c\x65")); goto C7584; D00ab: return $response; goto Ff140; C7584: $numberOfLines = (int) $request->get("\156\x75\155\142\x65\x72\117\x66\114\x69\156\145\x73"); goto d17f9; a79cf: $response = $this->json($data); goto D00ab; Ff140: } public function loadLogfilesForService(Request $request) : Response { goto f8b95; be93a: return $response; goto a79ff; d0e95: $service = trim($request->get("\x73\145\162\x76\151\x63\x65")); goto D9dcb; a1651: $site = $this->getSite($request); goto f205c; b5ae6: af79e: goto ffdbd; f8b95: $data = []; goto a1651; ffdbd: $response = $this->json($data); goto be93a; Daf9e: Aa9ad: goto b5ae6; dcea3: try { goto efd99; e6345: $logfiles = $logsFinder->getLogfiles(); goto Df4e3; a0613: Fc463: goto d6906; C6f21: $data["\154\157\x67\x66\151\154\145\163"] = $logfiles; goto a0613; efd99: $service = basename($service); goto Fcb85; Fcb85: $logfilesDirectory = sprintf("\57\x68\x6f\155\145\x2f\x25\x73\x2f\154\x6f\147\x73\57\x25\163\57", $site->getUser(), $service); goto F0b5c; F0b5c: $logsFinder = new LogsFinder($logfilesDirectory); goto e6345; Df4e3: if (!(false === empty($logfiles))) { goto Fc463; } goto C6f21; d6906: } catch (\Exception $e) { $this->logger->exception($e); } goto Daf9e; f205c: if (!(false === is_null($site))) { goto af79e; } goto d0e95; D9dcb: if (!(false === empty($service))) { goto Aa9ad; } goto dcea3; a79ff: } public function cronJobs(Request $request) : Response { goto b6453; b302a: return $response; goto c707f; fda98: goto B9868; goto A7629; b6453: $site = $this->getSite($request); goto dd746; Abaad: $response = $this->render("\106\x72\157\156\x74\x65\x6e\x64\57\123\x69\164\145\57\143\162\x6f\156\55\x6a\x6f\142\x73\56\x68\164\155\x6c\x2e\x74\x77\151\147", ["\163\151\x74\x65" => $site, "\x66\x6f\162\155\105\162\x72\157\x72\x73" => $this->formErrors]); goto e6feb; e6feb: B9868: goto b302a; Fc976: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\151\x74\x65\163")); goto fda98; dd746: if (false === is_null($site)) { goto Ca745; } goto Fc976; A7629: Ca745: goto Abaad; c707f: } public function newCronJob(Request $request) : Response { goto da33d; a295f: $response = $this->render("\106\x72\x6f\x6e\x74\145\156\144\57\123\x69\164\x65\x2f\156\x65\167\x2d\x63\162\157\156\55\152\x6f\142\56\x68\164\x6d\x6c\56\164\167\x69\147", ["\163\x69\164\x65" => $site, "\146\x6f\162\155" => $form->createView(), "\x66\157\162\x6d\105\162\x72\157\162\x73" => $this->formErrors]); goto ee6ee; ee6ee: A3483: goto E7249; a61af: $response = $this->handleCronJobForm($request, $form, $site); goto F559b; Aa3ab: $cronJobEntity->setSite($siteEntity); goto a4588; a9c7b: D60b2: goto e7770; da33d: $site = $this->getSite($request); goto C100c; E7249: return $response; goto d289e; F559b: if (!(false === is_null($response))) { goto f5ee6; } goto d61b1; D2f16: goto A3483; goto a9c7b; f5657: C2504: goto a295f; e7770: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto dcd69; d61b1: return $response; goto aa3a6; bbdbc: if (!(true === $request->isMethod("\x50\117\x53\x54"))) { goto C2504; } goto eaa74; aa3a6: f5ee6: goto e3985; fe53f: if (!(true === $form->isSubmitted())) { goto aa9d0; } goto a61af; dcd69: $cronJobEntity = $this->cronJobEntityManager->createEntity(); goto Aa3ab; e3985: aa9d0: goto f5657; eaa74: $form->handleRequest($request); goto fe53f; a4588: $form = $this->createCronJobForm($cronJobEntity); goto bbdbc; F632d: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\x69\164\145\x73")); goto D2f16; C100c: if (false === is_null($site)) { goto D60b2; } goto F632d; d289e: } private function createCronJobForm(CronJobEntity $cronJobEntity) : Form { goto Bc297; f9bb3: $form = $this->createForm("\x41\x70\x70\134\106\x6f\162\155\134\x53\151\164\145\103\x72\x6f\x6e\x4a\x6f\x62\124\x79\x70\x65", $cronJobEntity, ["\x61\143\x74\151\157\156" => $this->generateUrl("\x63\154\160\137\163\x69\x74\145\x5f\x63\162\157\x6e\137\152\157\x62\137\x6e\x65\167", ["\x64\157\155\x61\151\x6e\x4e\141\x6d\145" => $siteEntity->getDomainName()]), "\x6d\145\164\150\157\x64" => "\120\117\123\x54", "\x61\164\164\162" => []]); goto a7382; bf346: return $form; goto e4796; a7382: $form->add("\x73\165\x62\155\151\164", SubmitType::class, ["\141\x74\x74\x72" => ["\143\154\141\163\x73" => "\x62\164\x6e\40\x62\164\156\55\142\x6c\x75\x65\40\142\x74\x6e\55\154\147"], "\154\141\142\x65\x6c" => "\101\144\x64\x20\x43\x72\157\156\x20\112\x6f\142"]); goto bf346; Bc297: $siteEntity = $cronJobEntity->getSite(); goto f9bb3; e4796: } private function handleCronJobForm(Request $request, Form $form, Site $site) { goto E18a7; E6e47: goto a2de7; goto F97c3; f57d1: $this->formErrors = $this->getErrorMessages($form); goto E6e47; E18a7: if (true === $form->isValid()) { goto B735c; } goto f57d1; d2976: try { goto E4509; d0202: $domainName = $site->getDomainName(); goto b50f0; b50f0: $siteEntity = $this->getSiteEntity($domainName); goto e0976; a1c02: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\151\164\x65\x73")); goto F5e75; F1c99: $siteUpdater->updateUserCrontab(); goto F9ea8; acd51: $session->getFlashBag()->set("\x73\x75\143\x63\145\163\x73", $this->translator->trans("\x43\x72\157\156\40\x4a\x6f\142\x20\150\141\x73\40\142\145\x65\x6e\40\141\x64\x64\145\144\56")); goto d1a52; F5e75: goto Afbf8; goto af2c1; F9ea8: $eventData = ["\163\x69\164\x65" => $domainName, "\x63\162\x6f\x6e\x74\x61\x62\105\170\x70\x72\x65\163\x73\151\157\156" => $cronJobEntity->getCrontabExpression()]; goto C9a67; C9a67: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_ADD, $user, $eventData, $request); goto acd51; d1a52: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\151\164\x65\137\143\x72\157\156\x5f\152\157\x62\x73", ["\144\x6f\x6d\141\x69\x6e\116\x61\x6d\145" => $site->getDomainName()])); goto bf597; E4509: $session = $request->getSession(); goto d0202; bf597: Afbf8: goto F2e38; Ced85: $cronJobEntity = $form->getData(); goto Effcb; af2c1: a9b1d: goto C5021; Fb640: $siteUpdater = $this->getSiteUpdater($site); goto F1c99; C5021: $user = $this->getUser(); goto Ced85; e0976: if (false === is_null($siteEntity)) { goto a9b1d; } goto a1c02; B6fa2: $this->siteEntityManager->updateEntity($siteEntity); goto Fb640; Effcb: $siteEntity->addCronJob($cronJobEntity); goto Bfa6a; Bfa6a: $site->setCronJobs($siteEntity->getCronJobs()); goto B6fa2; F2e38: return $response; goto Eaf62; Eaf62: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\145\x72", $this->translator->trans("\x41\156\40\145\162\162\x6f\x72\40\x68\141\163\40\x6f\x63\143\x75\162\x72\x65\x64\x2c\40\145\162\162\157\162\40\155\145\163\x73\141\x67\x65\x3a\40\x25\x65\x72\162\157\162\115\x65\x73\163\x61\147\145\45", ["\45\145\162\x72\157\x72\115\x65\x73\163\141\147\x65\x25" => $e->getMessage()])); } goto F5b5d; F97c3: B735c: goto d2976; F5b5d: a2de7: goto Bec91; Bec91: } public function deleteCronJob(Request $request) : Response { goto a1b16; a8933: try { goto c45d1; ad395: C060f: goto f3287; cb9c1: $siteEntity = $this->getSiteEntity($domainName); goto F5308; B214f: $evenData = ["\x73\x69\x74\145" => $domainName, "\143\x6f\x6d\x6d\x61\x6e\144" => $cronJobEntity->getCommand()]; goto Cc840; eec8c: $domainName = $site->getDomainName(); goto cb9c1; Fe30d: $id = (int) $request->get("\151\144"); goto eec8c; A20c3: if (!(false === is_null($siteEntity) && false === is_null($cronJobEntity))) { goto c9e40; } goto c5d9d; Be38e: $siteUpdater->updateUserCrontab(); goto B214f; Aa579: $site->setCronJobs($siteEntity->getCronJobs()); goto A6896; f3287: c9e40: goto Bae00; c45d1: $session = $request->getSession(); goto Fe30d; c5d9d: $cronJobSiteEntity = $cronJobEntity->getSite(); goto d53d9; c6d8b: $siteEntity->removeCronJob($cronJobEntity); goto Aa579; Cc840: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_DELETE, $user, $evenData, $request); goto D9bc5; a4f32: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\x74\145\x5f\x63\162\x6f\x6e\x5f\x6a\157\x62\x73", ["\x64\x6f\155\141\x69\156\116\141\x6d\x65" => $site->getDomainName()])); goto F630a; D9bc5: $session->getFlashBag()->set("\163\165\x63\x63\x65\x73\x73", $this->translator->trans("\103\x72\x6f\x6e\40\x4a\157\x62\40\150\x61\163\x20\142\x65\x65\156\x20\x64\145\x6c\x65\x74\145\x64\56")); goto a4f32; F5308: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto A20c3; Dddd4: $siteUpdater = $this->getSiteUpdater($site); goto Be38e; A6896: $this->siteEntityManager->updateEntity($siteEntity); goto Dddd4; d53d9: if (!($siteEntity->getDomainName() == $cronJobSiteEntity->getDomainName())) { goto C060f; } goto C4bf9; C4bf9: $user = $this->getUser(); goto c6d8b; F630a: return $response; goto ad395; Bae00: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\x65\x72", $this->translator->trans("\x41\x6e\40\x65\x72\x72\x6f\x72\40\x68\x61\x73\x20\x6f\x63\143\x75\162\x72\145\144\54\x20\145\x72\x72\x6f\162\40\155\145\163\163\141\147\x65\x3a\40\45\145\x72\x72\x6f\162\115\145\163\x73\141\x67\x65\45", ["\45\145\162\x72\157\162\x4d\x65\163\163\141\147\x65\45" => $e->getMessage()])); } goto c22e5; f65b9: return $response; goto ddf5d; C6661: if (!(false === is_null($site))) { goto D98f9; } goto a8933; de68d: $this->checkCsrfToken($request, "\143\x72\x6f\x6e\152\x6f\x62\x2d\x64\145\154\145\164\x65"); goto C6661; c22e5: D98f9: goto c01a7; c01a7: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\151\x74\x65\x73")); goto f65b9; a1b16: $site = $this->getSite($request); goto de68d; ddf5d: } public function editCronJob(Request $request) : Response { goto F777f; e3058: $response = $this->render("\106\x72\x6f\x6e\164\145\156\144\x2f\x53\151\164\145\x2f\x65\144\151\x74\55\143\x72\157\156\55\x6a\157\x62\x2e\150\x74\x6d\154\56\x74\x77\151\147", ["\x73\151\x74\145" => $site, "\146\157\162\x6d" => $form->createView(), "\146\157\x72\x6d\105\162\x72\157\162\163" => $this->formErrors]); goto ef122; Ed4aa: Db0d4: goto db520; a747a: if (!(true === $form->isSubmitted())) { goto Bad35; } goto D63ba; fc098: $form = $this->createCronJobEditForm($cronJobEntity); goto bfd11; A56ec: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto Ebc92; F777f: $id = (int) $request->get("\151\144"); goto A3345; Be9a0: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\x69\x74\145\163")); goto e7580; c2de2: $form->handleRequest($request); goto a747a; bfd11: if (!(true === $request->isMethod("\120\117\123\124"))) { goto A59de; } goto c2de2; Ebc92: if (false === is_null($cronJobEntity) && false === is_null($site) && $cronJobEntity->getSite()->getDomainName() == $site->getDomainName()) { goto a6680; } goto Be9a0; A3345: $site = $this->getSite($request); goto A56ec; db520: Bad35: goto Dee79; e7580: goto F9917; goto f2fd1; f2fd1: a6680: goto fc098; D63ba: $response = $this->handleCronJobEditForm($request, $form, $site); goto B2a2b; A04bc: return $response; goto A4468; fe2f1: return $response; goto Ed4aa; B2a2b: if (!(false === is_null($response))) { goto Db0d4; } goto fe2f1; ef122: F9917: goto A04bc; Dee79: A59de: goto e3058; A4468: } private function createCronJobEditForm(CronJobEntity $cronJobEntity) : Form { goto D6a51; D6a51: $siteEntity = $cronJobEntity->getSite(); goto B20ff; Fc2f7: $form->add("\x73\165\x62\x6d\x69\164", SubmitType::class, ["\x61\x74\164\162" => ["\143\x6c\141\x73\x73" => "\142\x74\156\x20\142\x74\156\x2d\x62\154\x75\x65\x20\x62\164\x6e\x2d\154\147"], "\x6c\x61\x62\145\x6c" => "\123\x61\166\145"]); goto d0e11; d0e11: return $form; goto d3fd4; B20ff: $form = $this->createForm("\x41\160\160\x5c\x46\157\162\x6d\x5c\x53\x69\x74\145\103\162\157\156\x4a\x6f\x62\105\x64\x69\164\124\x79\x70\145", $cronJobEntity, ["\141\x63\164\151\157\x6e" => $this->generateUrl("\143\x6c\x70\137\163\151\x74\x65\137\x63\x72\x6f\x6e\137\152\157\142\x5f\x65\144\x69\x74", ["\144\x6f\155\141\151\156\x4e\141\x6d\145" => $siteEntity->getDomainName(), "\151\x64" => $cronJobEntity->getId()]), "\155\x65\x74\150\x6f\144" => "\120\117\123\124", "\x61\164\x74\162" => []]); goto Fc2f7; d3fd4: } private function handleCronJobEditForm(Request $request, Form $form, Site $site) { goto f05cd; Bbc4d: $this->formErrors = $this->getErrorMessages($form); goto a983b; f05cd: if (true === $form->isValid()) { goto A2df2; } goto Bbc4d; E13cc: A2df2: goto F66a7; e197d: a5fa5: goto d2656; a983b: goto a5fa5; goto E13cc; F66a7: try { goto Be59a; Dc215: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\x74\145\x5f\143\x72\x6f\x6e\x5f\x6a\x6f\x62\163", ["\x64\x6f\155\x61\151\156\116\x61\155\145" => $site->getDomainName()])); goto f2503; f2503: Bbaf8: goto C106b; b4f12: $session->getFlashBag()->set("\163\x75\143\x63\145\163\163", $this->translator->trans("\103\162\157\156\40\x4a\157\x62\40\x68\141\163\40\142\x65\x65\x6e\40\x73\141\x76\145\144\x2e")); goto Dc215; e7338: $siteUpdater = $this->getSiteUpdater($site); goto Cbf15; df65c: goto Bbaf8; goto A944b; E615c: $siteEntity->addCronJob($cronJobEntity); goto C0b66; A5059: $siteEntity = $this->getSiteEntity($domainName); goto d2c22; B3368: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_EDIT, $user, $eventData, $request); goto b4f12; Cbf15: $siteUpdater->updateUserCrontab(); goto f6078; A0a90: $this->siteEntityManager->updateEntity($siteEntity); goto e7338; Fedcd: $domainName = $site->getDomainName(); goto A5059; D59b8: $cronJobEntity = $form->getData(); goto E615c; e28b5: $user = $this->getUser(); goto D59b8; Be59a: $session = $request->getSession(); goto Fedcd; d2480: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\151\x74\145\163")); goto df65c; f6078: $eventData = ["\163\151\x74\x65" => $domainName, "\x63\x72\157\156\x74\141\142\x45\170\160\x72\145\x73\163\151\x6f\x6e" => $cronJobEntity->getCrontabExpression()]; goto B3368; d2c22: if (false === is_null($siteEntity)) { goto A14ef; } goto d2480; C106b: return $response; goto eb5cc; A944b: A14ef: goto e28b5; C0b66: $site->setCronJobs($siteEntity->getCronJobs()); goto A0a90; eb5cc: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\x72", $this->translator->trans("\101\156\x20\x65\x72\162\157\x72\40\150\x61\x73\40\157\x63\x63\x75\x72\162\145\x64\x2c\x20\x65\162\162\157\x72\40\x6d\x65\163\x73\141\147\145\x3a\40\x25\x65\x72\x72\157\162\115\145\x73\x73\x61\x67\145\x25", ["\45\x65\x72\162\157\162\115\145\x73\163\x61\147\x65\x25" => $e->getMessage()])); } goto e197d; d2656: } public function users(Request $request) : Response { goto c4d3c; Dc17b: if (false === is_null($site)) { goto E28ff; } goto eebb7; B6ac4: Bde7d: goto Fa69d; ce920: goto Bde7d; goto a57fe; Fa69d: return $response; goto E46ff; eebb7: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\151\x74\x65\163")); goto ce920; d0af3: $response = $this->render("\x46\162\x6f\x6e\x74\145\156\x64\x2f\123\x69\164\x65\x2f\165\x73\x65\x72\x73\56\x68\164\x6d\x6c\x2e\164\167\x69\147", ["\x73\151\164\145" => $site, "\146\157\162\155\105\162\162\x6f\x72\163" => $this->formErrors]); goto B6ac4; a57fe: E28ff: goto d0af3; c4d3c: $site = $this->getSite($request); goto Dc17b; E46ff: } public function newFtpUser(Request $request) : Response { goto d8695; d8695: $site = $this->getSite($request); goto Bb7c7; d66f1: f306d: goto d3af6; b420c: Aa21c: goto d66f1; a16d5: $form->handleRequest($request); goto a5c87; A1226: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto cd1b5; d402a: $response = $this->render("\106\162\157\156\164\x65\156\x64\x2f\x53\151\x74\x65\57\x6e\145\167\x2d\x66\x74\x70\x2d\x75\x73\x65\162\56\x68\x74\155\x6c\x2e\164\x77\151\x67", ["\163\151\x74\145" => $site, "\x66\157\162\155" => $form->createView(), "\x66\x6f\x72\x6d\x45\x72\162\157\x72\163" => $this->formErrors]); goto E42c6; C7c3d: return $response; goto b420c; A2839: $form = $this->createFtpUserForm($ftpUserEntity); goto Ce7f9; Bb7c7: if (false === is_null($site)) { goto b56d7; } goto bb5c8; e5ff5: b56d7: goto A1226; E42c6: ac324: goto D58f0; a769d: goto ac324; goto e5ff5; cd1b5: $ftpUserEntity = $this->ftpUserEntityManager->createEntity(); goto E52ff; a5c87: if (!(true === $form->isSubmitted())) { goto f306d; } goto Db010; bb5c8: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\151\x74\145\163")); goto a769d; Db010: $response = $this->handleFtpUserForm($request, $form, $site); goto da949; E52ff: $ftpUserEntity->setSite($siteEntity); goto A2839; d3af6: Ac2ce: goto d402a; da949: if (!(false === is_null($response))) { goto Aa21c; } goto C7c3d; D58f0: return $response; goto b045a; Ce7f9: if (!(true === $request->isMethod("\x50\117\x53\124"))) { goto Ac2ce; } goto a16d5; b045a: } private function createFtpUserForm(FtpUserEntity $ftpUserEntity) : Form { goto d7df2; E5184: return $form; goto a95af; Dca2d: $form = $this->createForm("\x41\x70\160\x5c\106\x6f\162\x6d\134\x53\151\x74\145\x46\x74\160\125\163\145\x72\x54\x79\160\145", $ftpUserEntity, ["\x61\x63\164\x69\x6f\156" => $this->generateUrl("\143\154\160\x5f\163\151\164\145\x5f\x66\x74\x70\137\x75\x73\x65\162\x5f\x6e\x65\x77", ["\x64\x6f\x6d\x61\x69\x6e\116\141\155\145" => $siteEntity->getDomainName()]), "\155\x65\164\150\157\144" => "\120\x4f\123\124", "\141\164\164\x72" => []]); goto B2a2a; B2a2a: $form->add("\163\165\x62\x6d\x69\x74", SubmitType::class, ["\141\x74\164\x72" => ["\143\154\x61\163\x73" => "\142\164\x6e\40\x62\x74\156\x2d\x62\154\165\145\x20\142\x74\156\x2d\x6c\x67"], "\x6c\141\x62\x65\154" => "\101\144\144\x20\x55\163\145\162"]); goto E5184; d7df2: $siteEntity = $ftpUserEntity->getSite(); goto Dca2d; a95af: } private function handleFtpUserForm(Request $request, Form $form, Site $site) { goto C17ec; C17ec: if (true === $form->isValid()) { goto ea34f; } goto bfc1d; D928c: goto c5e5f; goto Eb02e; Eb02e: ea34f: goto Ea0df; Ea0df: try { goto Fd94c; E0c6c: ddab1: goto C3829; E3c26: $siteUpdater->createFtpUser($ftpUserEntity); goto bc1c4; Fd94c: $session = $request->getSession(); goto bba10; E8749: goto Bc8f2; goto E0c6c; f767d: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_ADD, $user, $eventData, $request); goto b0d4a; ea9cf: $ftpUserEntity = $form->getData(); goto e769f; b6565: if (false === is_null($siteEntity)) { goto ddab1; } goto A7e4c; bba10: $domainName = $site->getDomainName(); goto D06a1; Ebb82: $siteEntity->addFtpUser($ftpUserEntity); goto c8419; Abfe4: $ftpUserEntity->setPassword($ftpUserPassword); goto Ebb82; ea96e: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\164\145\x5f\x75\x73\x65\x72\x73", ["\144\157\x6d\141\x69\x6e\x4e\x61\x6d\x65" => $site->getDomainName()])); goto d8fab; E87d6: return $response; goto d7a4c; d8fab: Bc8f2: goto E87d6; A7e4c: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\x69\x74\145\x73")); goto E8749; c8419: $this->siteEntityManager->updateEntity($siteEntity); goto Cdc48; D06a1: $siteEntity = $this->getSiteEntity($domainName); goto b6565; Cdc48: $siteUpdater = $this->getSiteUpdater($site); goto E3c26; bc1c4: $eventData = ["\163\151\164\x65" => $domainName, "\165\163\x65\162\116\141\x6d\x65" => $ftpUserName, "\x68\x6f\x6d\145\x44\151\162\x65\143\x74\157\x72\171" => $ftpUserEntity->getHomeDirectory()]; goto f767d; e769f: $ftpUserName = $ftpUserEntity->getUserName(); goto bfed7; b0d4a: $session->getFlashBag()->set("\x73\x75\143\x63\x65\163\163", $this->translator->trans("\125\163\x65\x72\40\x68\141\163\x20\x62\x65\145\x6e\40\141\144\x64\x65\x64\x2e")); goto ea96e; C3829: $user = $this->getUser(); goto ea9cf; bfed7: $ftpUserPassword = $form->get("\160\141\163\x73\x77\157\162\x64")->getData(); goto Abfe4; d7a4c: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\x65\162", $this->translator->trans("\x41\156\x20\145\x72\x72\157\x72\x20\x68\x61\163\40\157\143\x63\165\162\x72\x65\x64\x2c\x20\145\x72\x72\x6f\162\40\x6d\145\163\163\x61\147\145\x3a\x20\45\x65\x72\162\x6f\162\x4d\x65\163\x73\x61\147\145\45", ["\45\145\162\162\157\162\115\x65\x73\x73\x61\x67\145\x25" => $e->getMessage()])); } goto Db292; Db292: c5e5f: goto ca648; bfc1d: $this->formErrors = $this->getErrorMessages($form); goto D928c; ca648: } public function editFtpUser(Request $request) : Response { goto b013d; A0376: return $response; goto Eda0e; F8ade: ef2ed: goto A0376; A0e70: return $response; goto Aa7f6; f7625: F4adb: goto d6365; D2e85: if (!(true === $request->isMethod("\120\117\x53\x54"))) { goto F4adb; } goto Ba653; d6365: $response = $this->render("\106\x72\x6f\156\164\145\x6e\x64\x2f\123\x69\164\145\x2f\x65\144\x69\x74\55\x66\164\x70\x2d\x75\x73\x65\162\56\x68\x74\155\154\x2e\164\167\151\147", ["\163\151\x74\145" => $site, "\x66\157\162\155" => $form->createView(), "\x66\x6f\162\155\x45\162\x72\157\162\x73" => $this->formErrors]); goto F8ade; Ca055: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\x69\164\145\163")); goto B7fff; B7fff: goto ef2ed; goto Cbc78; C4528: $response = $this->handleFtpUserEditForm($request, $form, $site); goto c62ce; Aa7f6: C1ed8: goto ef8a6; E4f5f: $site = $this->getSite($request); goto A442b; Ba653: $form->handleRequest($request); goto C69a2; Cb57d: if (false === is_null($ftpUserEntity) && false === is_null($site) && $ftpUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto cba28; } goto Ca055; A442b: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto Cb57d; C69a2: if (!(true === $form->isSubmitted())) { goto dc26c; } goto C4528; b013d: $userName = $request->get("\165\x73\x65\x72\x4e\x61\x6d\x65"); goto E4f5f; c62ce: if (!(false === is_null($response))) { goto C1ed8; } goto A0e70; ca5aa: $form = $this->createFtpUserEditForm($ftpUserEntity); goto D2e85; Cbc78: cba28: goto ca5aa; ef8a6: dc26c: goto f7625; Eda0e: } private function createFtpUserEditForm(FtpUserEntity $ftpUserEntity) : Form { goto f468f; c74c5: return $form; goto fc5c0; Fdba6: $form = $this->createForm("\x41\160\x70\134\106\x6f\162\x6d\134\123\151\x74\x65\x46\x74\160\125\x73\x65\162\105\144\151\x74\x54\171\x70\145", $ftpUserEntity, ["\x61\143\164\151\x6f\x6e" => $this->generateUrl("\143\154\x70\137\x73\x69\x74\x65\137\146\164\x70\x5f\x75\163\x65\x72\x5f\x65\144\151\x74", ["\144\x6f\155\x61\151\x6e\116\x61\155\x65" => $siteEntity->getDomainName(), "\x75\163\145\162\116\x61\155\145" => $ftpUserEntity->getUserName()]), "\x6d\x65\x74\150\157\x64" => "\120\117\x53\124", "\x61\x74\164\x72" => []]); goto D2391; D2391: $form->add("\163\x75\x62\155\151\164", SubmitType::class, ["\x61\164\x74\x72" => ["\143\x6c\141\163\163" => "\x62\x74\156\40\142\x74\156\55\x62\x6c\x75\145\40\x62\x74\156\x2d\154\x67"], "\x6c\x61\x62\x65\154" => "\x53\x61\166\x65"]); goto c74c5; f468f: $siteEntity = $ftpUserEntity->getSite(); goto Fdba6; fc5c0: } private function handleFtpUserEditForm(Request $request, Form $form, Site $site) { goto Cc8ec; Cc8ec: if (true === $form->isValid()) { goto Aa513; } goto D5174; C0809: Aa513: goto F23e4; Da339: B0ea7: goto d803f; D5174: $this->formErrors = $this->getErrorMessages($form); goto b8f14; F23e4: try { goto a6c22; A6b87: if (!(false === empty($ftpUserPassword))) { goto c2306; } goto f90d0; d9c27: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\151\x74\x65\x73")); goto B1caa; adbbd: $siteEntity = $this->getSiteEntity($domainName); goto D26ce; Fb6dd: $ftpUserPassword = $form->get("\x70\x61\x73\163\x77\157\x72\x64")->getData(); goto fc358; f90d0: $siteUpdater->changeUserPassword($ftpUserName, $ftpUserPassword); goto cab63; C6d62: $eventData = ["\x73\151\164\145" => $domainName, "\165\x73\145\162\x4e\141\x6d\x65" => $ftpUserName, "\150\x6f\155\x65\104\x69\x72\145\143\164\x6f\162\171" => $ftpUserHomeDirectory]; goto C51da; D26ce: if (false === is_null($siteEntity)) { goto ff4a9; } goto d9c27; D74c8: $this->siteEntityManager->updateEntity($siteEntity); goto Bc822; dd041: b24ee: goto cbcfe; Bc822: $siteUpdater = $this->getSiteUpdater($site); goto D7670; dbec0: $domainName = $site->getDomainName(); goto adbbd; a6c22: $session = $request->getSession(); goto dbec0; cbcfe: return $response; goto f5909; E8ec7: $user = $this->getUser(); goto Edc13; aaf10: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\151\164\x65\137\165\x73\x65\162\x73", ["\x64\x6f\155\141\x69\156\116\x61\x6d\x65" => $site->getDomainName()])); goto dd041; ea321: ff4a9: goto E8ec7; fc358: $ftpUserHomeDirectory = $ftpUserEntity->getHomeDirectory(); goto D74c8; E160e: $ftpUserName = $ftpUserEntity->getUserName(); goto Fb6dd; B1caa: goto b24ee; goto ea321; C51da: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_EDIT, $user, $eventData, $request); goto Ca5dc; Edc13: $ftpUserEntity = $form->getData(); goto E160e; cab63: c2306: goto C6d62; Ca5dc: $session->getFlashBag()->set("\163\x75\x63\143\145\163\x73", $this->translator->trans("\125\163\145\x72\40\150\x61\x73\40\x62\x65\x65\x6e\40\x73\x61\x76\145\144\56")); goto aaf10; D7670: $siteUpdater->changeUserHomeDirectory($ftpUserName, $ftpUserHomeDirectory); goto A6b87; f5909: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\145\162", $this->translator->trans("\x41\156\x20\x65\162\162\x6f\162\x20\x68\141\163\40\157\x63\x63\165\162\x72\x65\144\x2c\x20\145\162\162\x6f\162\x20\x6d\x65\163\163\141\x67\x65\x3a\x20\x25\x65\162\x72\157\x72\x4d\145\x73\163\141\x67\x65\x25", ["\x25\145\162\162\x6f\162\115\x65\163\163\141\147\x65\45" => $e->getMessage()])); } goto Da339; b8f14: goto B0ea7; goto C0809; d803f: } public function deleteFtpUser(Request $request) : Response { goto cb7c0; C6e82: Ae77b: goto c6a62; D96aa: $this->checkCsrfToken($request, "\165\x73\145\x72\x2d\144\x65\154\x65\164\x65"); goto c541e; cb7c0: $site = $this->getSite($request); goto D96aa; Ffced: try { goto d54b9; C0c99: $user = $this->getUser(); goto b9dfc; E2ae1: $siteUpdater->deleteUser($userName, false); goto c2513; D1835: $session->getFlashBag()->set("\x73\165\x63\143\145\x73\163", $this->translator->trans("\x55\163\145\162\x20\x68\141\x73\x20\x62\x65\145\156\40\144\145\x6c\145\x74\145\144\x2e")); goto a48dc; f61d7: $siteEntity = $this->getSiteEntity($domainName); goto C0827; c2513: $evenData = ["\x73\151\164\145" => $domainName, "\x75\163\145\x72\x4e\141\x6d\x65" => $userName]; goto Deb14; Deb14: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_DELETE, $user, $evenData, $request); goto D1835; b9dfc: $userName = $ftpUserEntity->getUserName(); goto a5e29; B278a: return $response; goto Df261; Aa782: $ftpUserSiteEntity = $ftpUserEntity->getSite(); goto ee58b; d54b9: $session = $request->getSession(); goto Da99b; C0827: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto E381b; c8e1c: $this->siteEntityManager->updateEntity($siteEntity); goto A92e5; ee58b: if (!($siteEntity->getDomainName() == $ftpUserSiteEntity->getDomainName())) { goto Adca2; } goto C0c99; Da99b: $userName = $request->get("\x75\x73\x65\x72\116\141\x6d\145"); goto Fdb2b; Df261: Adca2: goto De8ea; Fdb2b: $domainName = $site->getDomainName(); goto f61d7; a5e29: $siteEntity->removeFtpUser($ftpUserEntity); goto c8e1c; E381b: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($ftpUserEntity))) { goto E0aa0; } goto Aa782; De8ea: E0aa0: goto e2ab7; a48dc: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\151\x74\145\137\x75\163\145\162\x73", ["\144\157\155\x61\x69\156\x4e\141\155\145" => $site->getDomainName()])); goto B278a; A92e5: $siteUpdater = $this->getSiteUpdater($site); goto E2ae1; e2ab7: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\145\x72", $this->translator->trans("\x41\x6e\40\x65\x72\162\157\x72\x20\x68\141\x73\40\x6f\143\x63\x75\162\162\145\144\x2c\x20\x65\x72\x72\157\162\40\155\x65\x73\x73\141\x67\145\72\x20\45\x65\x72\162\157\x72\115\145\x73\x73\x61\x67\145\45", ["\45\x65\x72\162\157\162\x4d\x65\x73\163\x61\x67\145\45" => $e->getMessage()])); } goto C6e82; c541e: if (!(false === is_null($site))) { goto Ae77b; } goto Ffced; c6a62: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\164\145\163")); goto A9cf4; A9cf4: return $response; goto C537a; C537a: } public function newSshUser(Request $request) : Response { goto a96cd; Ddb39: a30df: goto c40ee; B1cf9: $sshUserEntity = $this->sshUserEntityManager->createEntity(); goto dbde7; fc73a: if (false === is_null($site)) { goto d3b5b; } goto c5a1e; F65ca: $form->handleRequest($request); goto ebd93; ebd93: if (!(true === $form->isSubmitted())) { goto b6049; } goto b311d; E6b1f: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto B1cf9; b311d: $response = $this->handleSshUserForm($request, $form, $site); goto e7ca7; dbde7: $sshUserEntity->setSite($siteEntity); goto Edb6a; f96db: b6049: goto Fd91a; e7ca7: if (!(false === is_null($response))) { goto a061f; } goto cdda3; cdda3: return $response; goto ad12e; a96cd: $site = $this->getSite($request); goto fc73a; B20d3: $response = $this->render("\106\x72\157\x6e\164\145\x6e\144\x2f\123\x69\x74\145\57\156\145\167\55\x73\163\x68\x2d\x75\x73\x65\x72\56\x68\x74\155\154\56\164\x77\151\x67", ["\163\151\x74\145" => $site, "\146\157\162\155" => $form->createView(), "\x66\157\162\x6d\x45\x72\x72\x6f\162\x73" => $this->formErrors]); goto Ddb39; c5a1e: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\151\x74\x65\163")); goto Ab346; c40ee: return $response; goto c992b; Edb6a: $form = $this->createSshUserForm($sshUserEntity); goto a4cbf; ad12e: a061f: goto f96db; Ab346: goto a30df; goto b1188; b1188: d3b5b: goto E6b1f; a4cbf: if (!(true === $request->isMethod("\x50\117\123\x54"))) { goto d5ee7; } goto F65ca; Fd91a: d5ee7: goto B20d3; c992b: } private function createSshUserForm(SshUserEntity $sshUserEntity) : Form { goto d2091; d2091: $siteEntity = $sshUserEntity->getSite(); goto C04d2; fb5ad: return $form; goto A49c7; C04d2: $form = $this->createForm("\x41\x70\160\134\106\157\x72\x6d\134\123\151\x74\145\x53\163\x68\125\x73\x65\x72\124\171\160\x65", $sshUserEntity, ["\x61\143\x74\x69\157\x6e" => $this->generateUrl("\143\154\160\137\x73\151\164\x65\137\163\163\150\137\165\163\x65\x72\137\x6e\145\x77", ["\x64\157\x6d\x61\151\x6e\116\x61\155\145" => $siteEntity->getDomainName()]), "\x6d\145\164\150\157\144" => "\120\117\x53\x54", "\141\164\x74\x72" => []]); goto A7435; A7435: $form->add("\x73\x75\x62\155\x69\x74", SubmitType::class, ["\141\x74\x74\x72" => ["\143\x6c\141\163\163" => "\142\164\156\40\x62\x74\x6e\55\x62\154\165\145\40\142\x74\x6e\55\x6c\x67"], "\x6c\x61\x62\x65\x6c" => "\x41\x64\x64\40\125\x73\x65\162"]); goto fb5ad; A49c7: } private function handleSshUserForm(Request $request, Form $form, Site $site) { goto a5ba1; f3dc7: $this->formErrors = $this->getErrorMessages($form); goto c0cd6; a5ba1: if (true === $form->isValid()) { goto d6c26; } goto f3dc7; E54d8: fa478: goto d2560; c0cd6: goto fa478; goto a5864; a5864: d6c26: goto D50e8; D50e8: try { goto Fa269; D4dcd: $sshUserEntity = $form->getData(); goto b7471; Ef6ad: $sshKeys = $sshUserEntity->getSshKeys(); goto A53f7; d0016: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\151\x74\x65\x5f\x75\x73\x65\x72\163", ["\x64\157\155\x61\x69\156\x4e\141\155\x65" => $site->getDomainName()])); goto dacd5; Aa101: $domainName = $site->getDomainName(); goto c7372; Abdd7: $sshUserPassword = $form->get("\x70\141\x73\163\x77\157\x72\x64")->getData(); goto Bfe57; A4b17: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_ADD, $user, $eventData, $request); goto B104e; E7cda: Caaa7: goto e5cc9; B104e: $session->getFlashBag()->set("\163\165\143\143\x65\x73\163", $this->translator->trans("\125\163\145\x72\x20\x68\x61\x73\x20\x62\145\145\x6e\x20\141\x64\x64\x65\144\x2e")); goto d0016; E5df3: if (false === is_null($siteEntity)) { goto dfb6c; } goto c844d; d04e2: $siteUpdater->createSshUser($sshUserEntity); goto B20ac; a8ead: return $response; goto aeef1; dd5f1: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto E7cda; A53f7: $siteEntity->addSshUser($sshUserEntity); goto Dd2e6; D2991: $siteUpdater = $this->getSiteUpdater($site); goto d04e2; D439e: $user = $this->getUser(); goto D4dcd; F7568: dfb6c: goto D439e; c7372: $siteEntity = $this->getSiteEntity($domainName); goto E5df3; B20ac: if (!(false === empty($sshKeys))) { goto Caaa7; } goto dd5f1; Bfe57: $sshUserEntity->setPassword($sshUserPassword); goto Ef6ad; b7471: $sshUserName = $sshUserEntity->getUserName(); goto Abdd7; a23f9: goto e0901; goto F7568; e5cc9: $eventData = ["\x73\151\x74\x65" => $domainName, "\x75\x73\x65\162\116\141\x6d\145" => $sshUserName, "\163\163\150\x4b\x65\171\x73" => $sshKeys]; goto A4b17; Dd2e6: $this->siteEntityManager->updateEntity($siteEntity); goto D2991; dacd5: e0901: goto a8ead; c844d: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\151\x74\x65\163")); goto a23f9; Fa269: $session = $request->getSession(); goto Aa101; aeef1: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\145\162", $this->translator->trans("\101\x6e\40\x65\x72\x72\x6f\x72\40\x68\x61\x73\x20\157\x63\x63\165\x72\x72\145\x64\54\x20\x65\x72\x72\157\x72\40\155\x65\163\x73\x61\147\x65\72\x20\45\x65\162\x72\157\x72\x4d\x65\x73\x73\141\147\x65\45", ["\x25\145\162\162\x6f\162\x4d\145\163\163\141\147\145\x25" => $e->getMessage()])); } goto E54d8; d2560: } public function editSshUser(Request $request) : Response { goto f6bd8; C364a: Fc091: goto aa106; F6ebc: $site = $this->getSite($request); goto e9387; C9bfc: B3f6b: goto C3043; c0029: E45d3: goto A0504; E16c6: if (!(true === $request->isMethod("\120\117\123\124"))) { goto Fc091; } goto F1204; b33f8: return $response; goto C9bfc; A0504: return $response; goto a5505; ed887: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\x69\x74\145\x73")); goto b706a; b706a: goto E45d3; goto f369c; f4cee: if (false === is_null($sshUserEntity) && false === is_null($site) && $sshUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto Ceaee; } goto ed887; a3deb: if (!(true === $form->isSubmitted())) { goto Fe47b; } goto ec26a; e9387: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto f4cee; F1204: $form->handleRequest($request); goto a3deb; f6bd8: $userName = $request->get("\x75\163\x65\x72\x4e\141\x6d\x65"); goto F6ebc; Dc183: $form = $this->createSshUserEditForm($sshUserEntity); goto E16c6; C3043: Fe47b: goto C364a; A9996: if (!(false === is_null($response))) { goto B3f6b; } goto b33f8; aa106: $response = $this->render("\106\162\157\x6e\164\x65\x6e\144\x2f\x53\x69\164\145\x2f\x65\x64\151\164\x2d\163\x73\150\x2d\x75\x73\145\162\56\150\164\x6d\x6c\56\164\x77\151\x67", ["\x73\151\x74\x65" => $site, "\x66\x6f\162\x6d" => $form->createView(), "\x66\x6f\x72\155\x45\x72\x72\x6f\x72\163" => $this->formErrors]); goto c0029; f369c: Ceaee: goto Dc183; ec26a: $response = $this->handleSshUserEditForm($request, $form, $site); goto A9996; a5505: } private function createSshUserEditForm(SshUserEntity $sshUserEntity) : Form { goto D42bb; d69b8: $form = $this->createForm("\101\160\160\134\106\x6f\x72\155\x5c\x53\x69\x74\145\123\163\150\125\163\x65\x72\105\x64\151\x74\x54\x79\160\145", $sshUserEntity, ["\x61\143\x74\x69\157\x6e" => $this->generateUrl("\x63\154\160\137\163\x69\164\145\x5f\163\163\150\x5f\165\163\145\162\x5f\145\144\151\164", ["\x64\157\x6d\x61\151\x6e\116\141\155\145" => $siteEntity->getDomainName(), "\x75\x73\145\x72\x4e\x61\x6d\x65" => $sshUserEntity->getUserName()]), "\155\x65\x74\x68\157\x64" => "\120\117\123\124", "\141\164\x74\162" => []]); goto a6d6f; a6d6f: $form->add("\x73\165\142\155\x69\164", SubmitType::class, ["\x61\164\x74\162" => ["\143\154\141\163\163" => "\142\164\156\x20\x62\x74\x6e\x2d\142\x6c\165\145\x20\x62\164\x6e\x2d\154\x67"], "\x6c\x61\142\145\154" => "\x53\x61\x76\x65"]); goto C1b34; C1b34: return $form; goto A8b9f; D42bb: $siteEntity = $sshUserEntity->getSite(); goto d69b8; A8b9f: } private function handleSshUserEditForm(Request $request, Form $form, Site $site) { goto ae2de; d7611: goto b452e; goto a927a; Cdd5d: $this->formErrors = $this->getErrorMessages($form); goto d7611; D2bc4: b452e: goto Ff828; a927a: B5e3c: goto Ff61a; Ff61a: try { goto Ffd19; fbc86: $sshUserName = $sshUserEntity->getUserName(); goto ffa09; Edafe: $siteUpdater = $this->getSiteUpdater($site); goto aa811; ffa09: $sshUserPassword = $form->get("\x70\x61\163\163\x77\x6f\162\144")->getData(); goto A8dd1; Ffd19: $session = $request->getSession(); goto fe433; A2754: e3fb3: goto D8a0d; aa811: if (!(false === empty($sshUserPassword))) { goto Ae966; } goto Cc34b; A8dd1: $sshKeys = false === is_null($sshUserEntity->getSshKeys()) ? $sshUserEntity->getSshKeys() : ''; goto ef323; D8a0d: return $response; goto cd2b6; Df52a: goto e3fb3; goto D7d0d; D56ad: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\164\x65\x5f\165\x73\x65\x72\x73", ["\144\157\x6d\x61\x69\x6e\x4e\x61\155\x65" => $site->getDomainName()])); goto A2754; fe433: $domainName = $site->getDomainName(); goto B87cf; e5cfc: $session->getFlashBag()->set("\x73\x75\143\143\145\163\x73", $this->translator->trans("\x55\x73\x65\162\40\150\141\163\x20\x62\x65\x65\156\x20\x73\141\x76\145\144\56")); goto D56ad; Ef4d6: $sshUserEntity = $form->getData(); goto fbc86; D5c9d: Ae966: goto A16d3; b2daf: $eventData = ["\163\151\x74\x65" => $domainName, "\x75\x73\x65\x72\116\141\x6d\x65" => $sshUserName, "\163\x73\150\x4b\145\x79\163" => $sshKeys]; goto c596d; ef323: $this->siteEntityManager->updateEntity($siteEntity); goto Edafe; c596d: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_EDIT, $user, $eventData, $request); goto e5cfc; A687d: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\151\164\x65\163")); goto Df52a; B87cf: $siteEntity = $this->getSiteEntity($domainName); goto A38ee; A38ee: if (false === is_null($siteEntity)) { goto B787e; } goto A687d; A16d3: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto b2daf; D7d0d: B787e: goto b4106; b4106: $user = $this->getUser(); goto Ef4d6; Cc34b: $siteUpdater->changeUserPassword($sshUserName, $sshUserPassword); goto D5c9d; cd2b6: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\x72", $this->translator->trans("\101\156\40\145\162\x72\157\x72\x20\x68\x61\163\40\x6f\143\x63\165\x72\162\x65\x64\x2c\40\145\x72\162\x6f\162\40\x6d\x65\x73\x73\x61\147\145\x3a\x20\x25\145\162\162\157\162\115\x65\163\x73\x61\x67\145\x25", ["\x25\x65\162\162\x6f\x72\x4d\x65\x73\x73\141\x67\145\x25" => $e->getMessage()])); } goto D2bc4; ae2de: if (true === $form->isValid()) { goto B5e3c; } goto Cdd5d; Ff828: } public function deleteSshUser(Request $request) : Response { goto B0777; D0314: if (!(false === is_null($site))) { goto Cff48; } goto E4e84; E4e84: try { goto bdcfa; E586f: return $response; goto e7c3b; A9c31: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\151\x74\x65\137\165\163\145\162\x73", ["\144\x6f\155\141\151\x6e\116\141\x6d\x65" => $site->getDomainName()])); goto E586f; A486d: $siteUpdater->deleteUser($userName, true); goto Edd65; ce0d0: $siteEntity->removeSshUser($sshUserEntity); goto Fb810; f4b97: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto B7d56; Edd65: $evenData = ["\163\x69\164\x65" => $domainName, "\x75\163\145\x72\116\141\155\x65" => $userName]; goto c22a1; A1dfd: $user = $this->getUser(); goto ef6f4; B2dd6: if (!($siteEntity->getDomainName() == $sshUserSiteEntity->getDomainName())) { goto E44ec; } goto A1dfd; c11ac: $siteEntity = $this->getSiteEntity($domainName); goto f4b97; B7d56: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($sshUserEntity))) { goto dcc9e; } goto Ad616; d4a60: $siteUpdater = $this->getSiteUpdater($site); goto A486d; bdcfa: $session = $request->getSession(); goto A306c; c22a1: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_DELETE, $user, $evenData, $request); goto Cef90; Ad616: $sshUserSiteEntity = $sshUserEntity->getSite(); goto B2dd6; A306c: $userName = $request->get("\165\163\x65\x72\x4e\x61\155\145"); goto f3368; c2d00: dcc9e: goto b1af2; Fb810: $this->siteEntityManager->updateEntity($siteEntity); goto d4a60; e7c3b: E44ec: goto c2d00; Cef90: $session->getFlashBag()->set("\x73\x75\143\143\145\163\x73", $this->translator->trans("\125\x73\145\162\40\150\141\163\x20\x62\x65\145\x6e\x20\144\x65\x6c\145\164\x65\144\56")); goto A9c31; ef6f4: $userName = $sshUserEntity->getUserName(); goto ce0d0; f3368: $domainName = $site->getDomainName(); goto c11ac; b1af2: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\x65\x72", $this->translator->trans("\x41\156\40\145\x72\x72\157\162\x20\x68\141\x73\x20\x6f\143\143\x75\162\162\x65\144\54\x20\145\x72\x72\x6f\x72\x20\155\145\x73\163\141\x67\x65\x3a\x20\x25\145\162\x72\157\162\115\x65\163\x73\141\x67\145\x25", ["\45\x65\162\162\x6f\x72\115\145\x73\x73\141\x67\x65\x25" => $e->getMessage()])); } goto B6e70; ad117: $this->checkCsrfToken($request, "\x75\x73\x65\x72\55\x64\145\x6c\145\164\x65"); goto D0314; ca848: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\x69\x74\x65\x73")); goto F66d7; B6e70: Cff48: goto ca848; F66d7: return $response; goto c95b6; B0777: $site = $this->getSite($request); goto ad117; c95b6: } public function security(Request $request) : Response { goto C2a4c; A5bfd: $response = $this->render("\x46\162\x6f\x6e\164\145\x6e\144\57\123\151\x74\145\x2f\x73\x65\x63\x75\162\151\x74\171\x2e\x68\x74\155\154\56\164\x77\x69\147", ["\x73\151\x74\145" => $site, "\142\x6c\x6f\x63\153\145\144\111\160\x73" => $blockedIps, "\142\154\x6f\x63\153\145\144\102\157\x74\163" => $blockedBots, "\x62\141\163\151\143\x41\x75\x74\x68\x46\157\162\155" => $basicAuthForm->createView(), "\x63\154\157\165\144\146\x6c\141\162\145\x46\x6f\x72\x6d" => $cloudflareForm->createView(), "\x66\x6f\x72\x6d\x45\162\x72\157\x72\163" => $this->formErrors]); goto C8d2d; f008c: Abb89: goto f9129; Deff6: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto f1a9f; } goto E611d; A1617: if (!(false === is_null($response))) { goto Abb89; } goto E9478; cc69a: $cloudflareForm = $this->createCloudflareForm($siteEntity, $cloudflareData); goto Deff6; c6baa: if (!(false === is_null($response))) { goto C2258; } goto e8b3d; f5d84: $response = $this->handleCloudflareForm($request, $cloudflareForm, $site); goto c6baa; C6ed2: $basicAuthEntity = $site->getBasicAuth(); goto Bc401; d65e0: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto cf818; dc8e0: $cloudflareForm->handleRequest($request); goto A23e7; f581f: $basicAuthEntity = $this->basicAuthEntityManager->createEntity(); goto a49df; cebb5: $basicAuthForm = $this->createBasicAuthForm($basicAuthEntity); goto cc69a; b2180: goto eef8f; goto c7a0a; f9129: b93c9: goto fc508; B4012: if (false === is_null($site)) { goto c15f1; } goto Cfb24; a9a49: return $response; goto a1d63; fc47f: $blockedIps = $site->getBlockedIps(); goto C6ed2; A23e7: if (!(true === $basicAuthForm->isSubmitted())) { goto b93c9; } goto D7728; b987d: $blockedBots = $site->getBlockedBots(); goto fc47f; e8b3d: return $response; goto fb492; a49df: af23a: goto e9a45; e9a45: $basicAuthEntity->setSite($siteEntity); goto cebb5; Bc401: if (!(true === is_null($basicAuthEntity))) { goto af23a; } goto f581f; de786: f1a9f: goto A5bfd; Cfb24: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\x74\145\x73")); goto b2180; C2a4c: $site = $this->getSite($request); goto B4012; D7728: $response = $this->handleBasicAuthForm($request, $basicAuthForm, $site); goto A1617; c7a0a: c15f1: goto d65e0; f8147: bb044: goto de786; E9478: return $response; goto f008c; fb492: C2258: goto f8147; cf818: $cloudflareData = ["\x61\154\154\x6f\167\124\162\x61\x66\146\151\x63\x46\x72\157\x6d\x43\154\157\165\144\146\x6c\x61\x72\x65\x4f\156\x6c\x79" => $siteEntity->allowTrafficFromCloudflareOnly()]; goto b987d; E611d: $basicAuthForm->handleRequest($request); goto dc8e0; fc508: if (!(true === $cloudflareForm->isSubmitted())) { goto bb044; } goto f5d84; C8d2d: eef8f: goto a9a49; a1d63: } private function createCloudflareForm(SiteEntity $siteEntity, array $data) : Form { goto A3780; B3931: $form->add("\x73\x75\x62\x6d\x69\164", SubmitType::class, ["\x61\164\x74\x72" => ["\143\x6c\x61\163\163" => "\x62\164\156\40\x62\x74\x6e\x2d\x62\x6c\165\145\40\142\164\156\55\x6c\x67"], "\x6c\141\142\145\154" => "\x53\x61\x76\x65"]); goto fecec; fecec: return $form; goto ece78; A3780: $form = $this->createForm("\x41\x70\160\134\x46\x6f\162\155\134\123\x69\x74\x65\103\x6c\157\165\x64\x66\x6c\141\162\145\124\x79\x70\x65", $data, ["\x61\143\x74\151\157\156" => $this->generateUrl("\143\154\x70\137\163\151\164\145\137\163\x65\x63\165\162\151\x74\x79", ["\144\157\x6d\141\x69\x6e\x4e\x61\x6d\x65" => $siteEntity->getDomainName()]), "\x6d\145\164\150\157\144" => "\120\x4f\x53\x54", "\x61\x74\x74\x72" => []]); goto B3931; ece78: } private function createBasicAuthForm(BasicAuthEntity $basicAuthEntity) : Form { goto E2326; F2a3a: $form = $this->createForm("\101\x70\x70\x5c\x46\x6f\x72\155\134\123\151\164\145\102\141\163\151\x63\101\165\164\x68\x54\171\160\x65", $basicAuthEntity, ["\141\x63\x74\x69\157\x6e" => $this->generateUrl("\143\154\x70\137\163\x69\x74\x65\137\x73\145\143\x75\x72\151\164\x79", ["\x64\x6f\x6d\141\x69\x6e\116\x61\155\145" => $siteEntity->getDomainName()]), "\x6d\x65\x74\x68\157\x64" => "\120\117\123\124", "\x61\164\x74\162" => []]); goto C6606; ed5bf: return $form; goto D7325; E2326: $siteEntity = $basicAuthEntity->getSite(); goto F2a3a; C6606: $form->add("\x73\165\x62\155\151\164", SubmitType::class, ["\141\x74\x74\x72" => ["\143\154\x61\163\163" => "\142\x74\x6e\40\142\164\156\55\x62\x6c\165\145\x20\142\x74\x6e\55\154\x67"], "\x6c\141\x62\145\154" => "\x53\141\x76\145"]); goto ed5bf; D7325: } private function handleBasicAuthForm(Request $request, Form $form, Site $site) { goto D0139; D0139: if (true === $form->isValid()) { goto df016; } goto a2195; B28a3: try { goto E1323; ba4cd: $eventData = ["\163\151\164\x65" => $domainName, "\x61\x63\x74\x69\166\x65" => true === $basicAuthEntity->getIsActive() ? "\x31" : "\x30", "\x75\163\x65\162\x4e\x61\155\x65" => $basicAuthEntity->getUserName(), "\x77\x68\151\164\145\154\151\163\x74\145\144\x49\x70\163" => $basicAuthEntity->getWhitelistedIps()]; goto D73de; c63c0: $basicAuthEntity = $form->getData(); goto A94d1; C82e7: goto Db074; goto e87ba; d10c1: Db074: goto ed50a; F4656: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\164\145\163")); goto C82e7; E1323: $session = $request->getSession(); goto D4c7b; C61ad: $siteUpdater = $this->getSiteUpdater($site); goto F0243; e9815: $this->siteEntityManager->updateEntity($siteEntity); goto C61ad; e87ba: be41c: goto aa806; f5654: if (false === is_null($siteEntity)) { goto be41c; } goto F4656; A94d1: $siteEntity->setBasicAuth($basicAuthEntity); goto f3a0b; Cd619: $siteUpdater->updateNginxVhost(); goto a03ab; C63f4: $siteEntity = $this->getSiteEntity($domainName); goto f5654; bb072: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\151\164\145\x5f\163\145\x63\165\162\x69\x74\x79", ["\x64\157\155\141\151\x6e\116\x61\x6d\145" => $site->getDomainName()])); goto d10c1; a03ab: $siteUpdater->reloadNginxService(); goto ba4cd; c803b: $session->getFlashBag()->set("\x73\x75\x63\143\x65\x73\163", $this->translator->trans("\x42\x61\x73\151\143\40\101\x75\164\150\x65\156\x74\x69\x63\141\x74\x69\157\x6e\40\163\145\x74\164\151\156\x67\163\x20\x68\x61\166\x65\40\x62\x65\x65\156\x20\163\141\x76\x65\144\56")); goto bb072; F0243: $siteUpdater->createBasicAuthFile($basicAuthEntity); goto Cd619; f3a0b: $site->setBasicAuth($basicAuthEntity); goto e9815; D4c7b: $domainName = $site->getDomainName(); goto C63f4; ed50a: return $response; goto bcd72; D73de: EventQueue::addEvent(EventQueue::EVENT_SITE_BASIC_AUTHENTIFICATION_SETTINGS, $user, $eventData, $request); goto c803b; aa806: $user = $this->getUser(); goto c63c0; bcd72: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\145\162", $this->translator->trans("\101\156\x20\x65\x72\162\x6f\162\x20\150\x61\x73\40\157\x63\143\x75\162\x72\145\x64\54\x20\145\162\162\157\x72\x20\155\145\x73\x73\x61\x67\x65\x3a\x20\x25\145\x72\162\157\x72\x4d\x65\x73\163\x61\x67\145\x25", ["\x25\x65\162\x72\157\x72\x4d\x65\163\163\x61\147\145\x25" => $e->getMessage()])); } goto fa8c0; d7efd: df016: goto B28a3; fa8c0: c15a8: goto B2ea2; d9f9f: goto c15a8; goto d7efd; a2195: $this->formErrors = $this->getErrorMessages($form); goto d9f9f; B2ea2: } private function handleCloudflareForm(Request $request, Form $form, Site $site) { goto Ae5e3; E1050: goto Df65a; goto E3c01; Ebd0f: Df65a: goto f5761; Ae5e3: if (true === $form->isValid()) { goto C3c49; } goto b4a65; eb917: try { goto d4e95; A090e: $this->siteEntityManager->updateEntity($siteEntity); goto B7872; Aa276: $eventData = ["\163\151\x74\145" => $domainName, "\141\x6c\154\x6f\167\x54\162\x61\x66\146\151\143\106\x72\x6f\155\103\x6c\x6f\x75\144\x66\x6c\x61\162\x65\117\x6e\x6c\x79" => true === $allowTrafficFromCloudflareOnly ? "\61" : "\x30"]; goto dcd51; d8e57: $siteEntity = $this->getSiteEntity($domainName); goto f601d; B7872: $siteUpdater = $this->getSiteUpdater($site); goto c8948; d9fcb: return $response; goto aad71; c8948: $siteUpdater->updateNginxVhost(); goto e59b6; C8e59: $site->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto A090e; D83e2: Cd6d7: goto d9fcb; cc752: $allowTrafficFromCloudflareOnly = $form->get("\x61\x6c\x6c\x6f\167\124\162\141\146\x66\x69\x63\x46\x72\157\155\x43\x6c\157\165\x64\146\x6c\141\162\145\117\156\154\171")->getData(); goto Ed31c; e59b6: $siteUpdater->reloadNginxService(); goto Aa276; f601d: if (false === is_null($siteEntity)) { goto Ec2da; } goto F7dab; F1e2a: Ec2da: goto f8c42; Ed31c: $siteEntity->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto C8e59; a160c: goto Cd6d7; goto F1e2a; f8c42: $user = $this->getUser(); goto cc752; d4e95: $session = $request->getSession(); goto C9fce; F7dab: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\x69\x74\145\163")); goto a160c; dcd51: EventQueue::addEvent(EventQueue::EVENT_SITE_CLOUDFLARE_SETTINGS, $user, $eventData, $request); goto Ceb86; Ceb86: $session->getFlashBag()->set("\163\165\143\143\145\163\x73", $this->translator->trans("\103\154\157\165\144\x66\x6c\141\x72\145\x20\163\145\164\164\x69\x6e\x67\x73\40\x68\x61\x76\145\x20\142\145\x65\x6e\40\x73\141\x76\145\x64\x2e")); goto be9ae; be9ae: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\164\x65\137\x73\x65\143\165\x72\x69\164\x79", ["\144\157\155\x61\x69\156\116\141\x6d\x65" => $site->getDomainName()])); goto D83e2; C9fce: $domainName = $site->getDomainName(); goto d8e57; aad71: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\145\162", $this->translator->trans("\x41\156\40\145\x72\x72\157\162\40\x68\141\163\40\157\x63\x63\x75\x72\162\x65\x64\54\x20\x65\162\x72\157\x72\40\155\145\163\163\141\147\x65\x3a\40\45\145\162\162\157\162\115\x65\163\163\141\x67\145\x25", ["\45\x65\x72\x72\x6f\162\x4d\145\163\163\x61\147\x65\45" => $e->getMessage()])); } goto Ebd0f; E3c01: C3c49: goto eb917; b4a65: $this->formErrors = $this->getErrorMessages($form); goto E1050; f5761: } public function newBlockedIp(Request $request) : Response { goto e2a08; Cb42e: ec27d: goto be7f0; e2a08: $site = $this->getSite($request); goto d3c1f; A281b: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto e173f; } goto Ef95e; E65c4: beeda: goto f787c; C0741: if (!(true === $form->isSubmitted())) { goto E1282; } goto C731f; Cfdfa: e173f: goto fca4b; c76c2: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\164\145\163")); goto F704f; caf0b: E1282: goto Cfdfa; Af8f3: $blockedIpEntity->setSite($siteEntity); goto b23ce; d3c1f: if (false === is_null($site)) { goto ec27d; } goto c76c2; F704f: goto beeda; goto Cb42e; Ef95e: $form->handleRequest($request); goto C0741; fca4b: $response = $this->render("\x46\x72\x6f\156\x74\145\x6e\x64\57\123\151\x74\145\57\156\x65\x77\55\x62\x6c\157\x63\153\145\x64\55\x69\160\56\x68\164\x6d\154\56\164\167\x69\147", ["\x73\x69\164\145" => $site, "\146\157\x72\155" => $form->createView(), "\146\157\162\155\x45\162\162\x6f\x72\163" => $this->formErrors]); goto E65c4; af925: b8c86: goto caf0b; f787c: return $response; goto E7db5; C72a5: if (!(false === is_null($response))) { goto b8c86; } goto dcdc7; dcdc7: return $response; goto af925; b23ce: $form = $this->createBlockedIpForm($blockedIpEntity); goto A281b; C731f: $response = $this->handleBlockedIpForm($request, $form, $site); goto C72a5; ade49: $blockedIpEntity = $this->blockedIpEntityManager->createEntity(); goto Af8f3; be7f0: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto ade49; E7db5: } private function createBlockedIpForm(BlockedIpEntity $blockedIpEntity) : Form { goto Bbe5e; C025c: $form = $this->createForm("\x41\160\x70\x5c\x46\x6f\x72\155\x5c\123\151\x74\145\102\154\x6f\143\x6b\x65\x64\111\120\x54\x79\x70\x65", $blockedIpEntity, ["\x61\x63\x74\151\157\x6e" => $this->generateUrl("\x63\x6c\160\x5f\163\151\164\x65\x5f\163\x65\x63\165\162\151\164\171\137\142\154\x6f\x63\x6b\x65\x64\x5f\x69\160\x5f\x6e\x65\x77", ["\x64\x6f\155\141\x69\156\116\141\155\145" => $siteEntity->getDomainName()]), "\x6d\x65\x74\x68\x6f\x64" => "\x50\x4f\123\124", "\141\164\164\162" => []]); goto C96c7; a3b13: return $form; goto b3802; C96c7: $form->add("\163\x75\142\155\151\x74", SubmitType::class, ["\x61\164\x74\x72" => ["\143\154\x61\x73\163" => "\142\x74\156\40\142\x74\156\55\142\154\165\x65\x20\142\164\156\x2d\154\147"], "\154\x61\x62\x65\154" => "\x41\144\x64\x20\111\120"]); goto a3b13; Bbe5e: $siteEntity = $blockedIpEntity->getSite(); goto C025c; b3802: } private function handleBlockedIpForm(Request $request, Form $form, Site $site) { goto ce158; b20fc: try { goto de88e; B2371: $siteEntity->addBlockedIp($blockedIp); goto Ecc17; C21b2: $siteUpdater->reloadNginxService(); goto edea4; Fd848: $siteEntity = $this->getSiteEntity($domainName); goto C4fc0; d02f5: $siteUpdater = $this->getSiteUpdater($site); goto D2574; B29d5: Cea1c: goto bee7c; bee7c: $user = $this->getUser(); goto F497b; edea4: $eventData = ["\163\151\x74\x65" => $domainName, "\151\x70" => $blockedIp->getIp()]; goto f2450; F497b: $blockedIp = $form->getData(); goto B2371; c1f57: $domainName = $site->getDomainName(); goto Fd848; bb62b: C6e4d: goto Aed25; Ecc17: $this->siteEntityManager->updateEntity($siteEntity); goto d02f5; C3019: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\164\145\163")); goto D634e; ecb12: $session->getFlashBag()->set("\x73\165\x63\143\145\163\x73", $this->translator->trans("\x49\x50\x20\150\x61\163\x20\x62\145\x65\x6e\40\141\x64\x64\145\144\x2e")); goto A4e21; D634e: goto C6e4d; goto B29d5; Aed25: return $response; goto a8c7d; de88e: $session = $request->getSession(); goto c1f57; D2574: $siteUpdater->updateNginxVhost(); goto C21b2; A4e21: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\x74\x65\x5f\x73\x65\x63\x75\162\x69\x74\x79", ["\x64\157\155\x61\151\x6e\116\141\155\145" => $site->getDomainName()])); goto bb62b; f2450: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_ADD, $user, $eventData, $request); goto ecb12; C4fc0: if (false === is_null($siteEntity)) { goto Cea1c; } goto C3019; a8c7d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\162", $this->translator->trans("\101\x6e\x20\145\162\x72\157\162\x20\150\x61\163\x20\157\x63\x63\x75\162\x72\145\x64\54\40\145\x72\162\x6f\x72\x20\x6d\x65\163\x73\141\147\145\72\40\45\145\162\x72\157\162\x4d\145\x73\x73\x61\x67\x65\45", ["\45\145\162\x72\157\x72\115\x65\163\x73\x61\147\145\45" => $e->getMessage()])); } goto B2a5c; ad9bf: $this->formErrors = $this->getErrorMessages($form); goto C27e7; C27e7: goto e1f0a; goto F6424; B2a5c: e1f0a: goto ea87f; F6424: Ef642: goto b20fc; ce158: if (true === $form->isValid()) { goto Ef642; } goto ad9bf; ea87f: } public function deleteBlockedIp(Request $request) : Response { goto B1d87; B1d87: $site = $this->getSite($request); goto Cd883; Cd883: $this->checkCsrfToken($request, "\x69\160\55\144\x65\154\x65\x74\145"); goto d8612; a3040: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\x74\x65\163")); goto ca520; d8612: if (!(false === is_null($site))) { goto B615f; } goto f69c5; f69c5: try { goto Cbc63; f6953: $eventData = ["\163\151\164\145" => $domainName, "\151\160" => $blockedIpEntity->getIp()]; goto Ed9fc; d8a2e: $siteUpdater = $this->getSiteUpdater($site); goto d3d37; F0081: $siteEntity->removeBlockedIp($blockedIpEntity); goto c07ad; d7cae: $user = $this->getUser(); goto F0081; e5c41: $siteEntity = $this->getSiteEntity($domainName); goto Ecc3d; A7a05: $siteUpdater->reloadNginxService(); goto f6953; B1caf: return $response; goto d5ff6; d3d37: $siteUpdater->updateNginxVhost(); goto A7a05; C8b67: $id = (int) $request->get("\151\144"); goto b4645; Ecc3d: $blockedIpEntity = $this->blockedIpEntityManager->findOneById($id); goto Cc0cc; Cc0cc: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedIpEntity) && $siteEntity == $blockedIpEntity->getSite())) { goto a7934; } goto d7cae; Cc592: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\x74\x65\x5f\163\x65\x63\x75\x72\151\x74\171", ["\x64\157\155\141\151\x6e\116\x61\155\x65" => $site->getDomainName()])); goto B1caf; d5ff6: a7934: goto f3858; C45f5: $session->getFlashBag()->set("\x73\x75\143\143\145\x73\x73", $this->translator->trans("\x49\x50\40\x68\141\163\40\142\x65\x65\156\40\144\145\x6c\x65\x74\145\144\x2e")); goto Cc592; Ed9fc: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_DELETE, $user, $eventData, $request); goto C45f5; c07ad: $this->siteEntityManager->updateEntity($siteEntity); goto d8a2e; Cbc63: $session = $request->getSession(); goto C8b67; b4645: $domainName = $site->getDomainName(); goto e5c41; f3858: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\145\x72", $this->translator->trans("\101\x6e\x20\145\162\x72\157\162\40\150\x61\163\40\157\143\143\x75\162\162\145\144\x2c\40\x65\162\162\x6f\162\x20\x6d\145\x73\x73\x61\147\145\72\40\x25\x65\162\x72\157\162\115\x65\163\x73\x61\x67\145\45", ["\x25\x65\162\162\157\162\115\x65\x73\x73\x61\147\145\x25" => $e->getMessage()])); } goto ddd11; ddd11: B615f: goto a3040; ca520: return $response; goto c08be; c08be: } public function newBlockedBot(Request $request) : Response { goto ff88a; c59f1: $response = $this->handleBlockedBotForm($request, $form, $site); goto E8563; cd2d8: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\x69\164\145\163")); goto D2294; a110b: $blockedBotEntity->setSite($siteEntity); goto b9f72; E8563: if (!(false === is_null($response))) { goto d1be4; } goto B3a81; Ec9f7: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto f9cca; } goto a13a4; E4a2e: d1be4: goto b1df9; e44a7: if (false === is_null($site)) { goto b6b6c; } goto cd2d8; B3a81: return $response; goto E4a2e; a13a4: $form->handleRequest($request); goto C7345; D2294: goto a6f78; goto fc283; cfd1a: return $response; goto C6bca; C7345: if (!(true === $form->isSubmitted())) { goto Fcb21; } goto c59f1; Ba70f: a6f78: goto cfd1a; fc283: b6b6c: goto d50b0; d50b0: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto a4189; bd8c3: $response = $this->render("\106\162\157\x6e\164\145\156\144\x2f\x53\x69\164\x65\57\156\145\167\x2d\x62\154\x6f\143\153\x65\144\55\142\x6f\x74\x2e\x68\x74\x6d\x6c\x2e\x74\x77\151\x67", ["\163\x69\x74\x65" => $site, "\x66\157\x72\155" => $form->createView(), "\146\157\x72\155\105\x72\x72\x6f\x72\x73" => $this->formErrors]); goto Ba70f; b1df9: Fcb21: goto F4ceb; ff88a: $site = $this->getSite($request); goto e44a7; F4ceb: f9cca: goto bd8c3; a4189: $blockedBotEntity = $this->blockedBotEntityManager->createEntity(); goto a110b; b9f72: $form = $this->createBlockedBotForm($blockedBotEntity); goto Ec9f7; C6bca: } private function createBlockedBotForm(BlockedBotEntity $blockedBotEntity) : Form { goto Aaca4; Aaca4: $siteEntity = $blockedBotEntity->getSite(); goto C9e09; D2329: return $form; goto e0242; C9e09: $form = $this->createForm("\x41\x70\160\x5c\106\157\162\155\x5c\123\151\x74\145\x42\x6c\157\143\x6b\145\x64\x42\x6f\164\124\x79\160\x65", $blockedBotEntity, ["\x61\143\x74\151\x6f\x6e" => $this->generateUrl("\x63\154\x70\137\x73\151\164\x65\x5f\163\x65\x63\165\162\151\x74\171\x5f\x62\x6c\x6f\x63\153\145\144\x5f\x62\157\164\137\x6e\145\x77", ["\x64\x6f\x6d\x61\151\x6e\x4e\x61\155\x65" => $siteEntity->getDomainName()]), "\155\145\x74\150\x6f\144" => "\120\x4f\123\x54", "\x61\x74\x74\x72" => []]); goto cf94f; cf94f: $form->add("\x73\165\142\x6d\151\164", SubmitType::class, ["\x61\164\x74\x72" => ["\143\154\141\163\x73" => "\x62\x74\x6e\x20\x62\164\156\55\142\x6c\165\145\40\x62\x74\x6e\x2d\x6c\147"], "\x6c\x61\142\x65\x6c" => "\101\x64\144\x20\x42\157\164"]); goto D2329; e0242: } private function handleBlockedBotForm(Request $request, Form $form, Site $site) { goto F2b90; A4b50: a6105: goto dd3e0; dd3e0: try { goto B5ab5; f754d: $blockedBot = $form->getData(); goto cc615; C3af1: if (false === is_null($siteEntity)) { goto A4c82; } goto E2688; af867: $eventData = ["\x73\x69\164\x65" => $domainName, "\x6e\x61\x6d\145" => $blockedBot->getName()]; goto C9e6c; B5ab5: $session = $request->getSession(); goto Bd372; E046a: $siteUpdater->reloadNginxService(); goto af867; be2e5: d98ed: goto b23c0; Bd3ef: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\164\x65\x5f\x73\145\143\x75\162\x69\x74\x79", ["\144\157\x6d\141\x69\x6e\x4e\x61\155\x65" => $site->getDomainName()])); goto be2e5; c3fb4: A4c82: goto A26b6; Cae65: $siteEntity = $this->getSiteEntity($domainName); goto C3af1; Ce9a2: goto d98ed; goto c3fb4; Bd372: $domainName = $site->getDomainName(); goto Cae65; ecd1e: $this->siteEntityManager->updateEntity($siteEntity); goto De338; A26b6: $user = $this->getUser(); goto f754d; b1cc1: $session->getFlashBag()->set("\x73\x75\x63\143\145\x73\163", $this->translator->trans("\x42\157\164\x20\150\141\163\40\x62\x65\145\x6e\40\141\x64\x64\x65\144\56")); goto Bd3ef; b23c0: return $response; goto A8d8a; cc615: $siteEntity->addBlockedBot($blockedBot); goto ecd1e; C9e6c: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_ADD, $user, $eventData, $request); goto b1cc1; E2688: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\x69\x74\x65\163")); goto Ce9a2; De0a7: $siteUpdater->updateNginxVhost(); goto E046a; De338: $siteUpdater = $this->getSiteUpdater($site); goto De0a7; A8d8a: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\x65\x72", $this->translator->trans("\x41\156\40\x65\162\162\157\x72\40\x68\x61\x73\40\157\x63\x63\x75\162\x72\x65\144\x2c\x20\x65\162\x72\157\x72\x20\155\145\x73\163\141\x67\145\x3a\x20\x25\x65\x72\x72\157\x72\x4d\x65\163\x73\141\x67\145\45", ["\x25\145\x72\162\x6f\x72\115\x65\163\x73\x61\147\145\x25" => $e->getMessage()])); } goto A9768; be94d: goto a1425; goto A4b50; F2b90: if (true === $form->isValid()) { goto a6105; } goto C0b8b; C0b8b: $this->formErrors = $this->getErrorMessages($form); goto be94d; A9768: a1425: goto fa4b1; fa4b1: } public function deleteBlockedBot(Request $request) : Response { goto B77fa; B77fa: $site = $this->getSite($request); goto D6475; D6475: $this->checkCsrfToken($request, "\142\x6f\164\55\144\145\x6c\145\x74\x65"); goto e2c62; ac4b6: Ecf36: goto b5b62; b5b62: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\151\164\145\x73")); goto ae54b; ae54b: return $response; goto Fceea; B34ba: try { goto C85d8; Ece89: $eventData = ["\163\151\164\145" => $domainName, "\x6e\141\155\145" => $blockedBotEntity->getName()]; goto E4e2c; a4bee: return $response; goto f162e; E4e2c: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_DELETE, $user, $eventData, $request); goto c6d3b; b31af: $siteUpdater = $this->getSiteUpdater($site); goto D4440; dce3c: $siteEntity = $this->getSiteEntity($domainName); goto ad927; A1a54: $domainName = $site->getDomainName(); goto dce3c; Ca22e: $this->siteEntityManager->updateEntity($siteEntity); goto b31af; ad927: $blockedBotEntity = $this->blockedBotEntityManager->findOneById($id); goto B9a0c; c6d3b: $session->getFlashBag()->set("\163\x75\x63\x63\145\x73\x73", $this->translator->trans("\x42\x6f\164\40\x68\141\x73\40\x62\145\x65\156\x20\144\x65\154\145\x74\x65\144\56")); goto Ef696; Ef696: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\x74\145\x5f\x73\x65\x63\165\x72\151\x74\x79", ["\x64\157\x6d\x61\x69\x6e\116\x61\155\x65" => $site->getDomainName()])); goto a4bee; b3fd7: $siteUpdater->reloadNginxService(); goto Ece89; D4440: $siteUpdater->updateNginxVhost(); goto b3fd7; f162e: E60c7: goto f5b02; Fbb60: $user = $this->getUser(); goto Ba83f; C85d8: $session = $request->getSession(); goto D5d5a; Ba83f: $siteEntity->removeBlockedBot($blockedBotEntity); goto Ca22e; B9a0c: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedBotEntity) && $siteEntity == $blockedBotEntity->getSite())) { goto E60c7; } goto Fbb60; D5d5a: $id = (int) $request->get("\x69\x64"); goto A1a54; f5b02: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\x65\x72", $this->translator->trans("\x41\x6e\40\145\x72\x72\x6f\162\x20\150\x61\x73\x20\x6f\x63\x63\x75\x72\x72\x65\x64\54\40\x65\x72\x72\157\162\40\x6d\145\163\163\141\147\x65\72\40\45\145\x72\162\157\162\x4d\145\x73\163\141\147\x65\x25", ["\x25\x65\x72\162\x6f\x72\115\145\163\163\141\147\x65\x25" => $e->getMessage()])); } goto ac4b6; e2c62: if (!(false === is_null($site))) { goto Ecf36; } goto B34ba; Fceea: } public function certificates(Request $request) : Response { goto E6bc8; fc990: Bfc7b: goto Cec81; Da572: if (false === is_null($site)) { goto Bbf3c; } goto D89b0; fa845: $certificates = $site->getCertificates(); goto e5b28; E6bc8: $site = $this->getSite($request); goto Da572; e5b28: $response = $this->render("\106\162\x6f\x6e\164\145\x6e\144\x2f\x53\151\164\x65\57\143\145\162\164\151\146\x69\143\141\164\145\163\56\150\164\x6d\x6c\x2e\164\167\x69\147", ["\x73\x69\164\145" => $site, "\x69\x6e\163\164\141\154\154\x65\144\103\x65\162\x74\x69\x66\x69\x63\x61\x74\x65" => $installedCertificate, "\143\x65\x72\x74\x69\146\151\x63\141\x74\145\x73" => $certificates]); goto fc990; B8387: goto Bfc7b; goto D81bd; Cec81: return $response; goto b6102; B5f73: $installedCertificate = $site->getCertificate(); goto fa845; D81bd: Bbf3c: goto B5f73; D89b0: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\164\145\x73")); goto B8387; b6102: } public function importCertificate(Request $request) : Response { goto Cfb9c; C6925: goto Fd7bb; goto bb5b0; C124e: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto ffa6d; eabbd: if (!(true === $form->isSubmitted())) { goto fb424; } goto b6615; ffa6d: $certificateEntity = $this->certificateEntityManager->createEntity(); goto efd07; bb5b0: A8c95: goto C124e; f4000: fb424: goto ad599; C2f91: $form->handleRequest($request); goto eabbd; C9a6c: $certificateEntity->setSite($siteEntity); goto c2403; Fec19: $response = $this->render("\106\x72\x6f\156\164\145\156\x64\57\123\x69\164\145\57\x69\155\160\x6f\x72\x74\x2d\x63\x65\162\x74\x69\x66\151\143\141\164\145\x2e\150\x74\155\154\56\x74\167\x69\147", ["\163\x69\164\145" => $site, "\x66\157\x72\x6d" => $form->createView(), "\x66\x6f\162\155\105\x72\162\x6f\x72\x73" => $this->formErrors]); goto a851d; ad599: dde5a: goto Fec19; a851d: Fd7bb: goto b5734; Cfb9c: $site = $this->getSite($request); goto ad9a5; E1fe4: if (!(true === $request->isMethod("\x50\117\123\x54"))) { goto dde5a; } goto C2f91; c1d30: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\164\x65\x73")); goto C6925; c2403: $form = $this->createImportCertificateForm($certificateEntity); goto E1fe4; b53d0: E681b: goto f4000; b5734: return $response; goto e1583; efd07: $certificateEntity->setType(CertificateEntity::TYPE_IMPORTED); goto C9a6c; B514e: return $response; goto b53d0; b6615: $response = $this->handleImportCertificateForm($request, $form, $site); goto c70e1; ad9a5: if (false === is_null($site)) { goto A8c95; } goto c1d30; c70e1: if (!(false === is_null($response))) { goto E681b; } goto B514e; e1583: } private function createImportCertificateForm(CertificateEntity $certificateEntity) : Form { goto a3f9b; B6e8a: $form->add("\163\x75\x62\x6d\x69\x74", SubmitType::class, ["\141\164\x74\x72" => ["\x63\x6c\x61\163\x73" => "\142\164\156\40\x62\x74\156\55\142\x6c\x75\145\x20\x62\x74\156\x2d\x6c\147"], "\154\141\x62\145\154" => "\111\155\x70\x6f\x72\164\x20\x61\x6e\144\40\111\x6e\163\164\x61\154\x6c"]); goto Ad173; Ad173: return $form; goto A9923; a3f9b: $siteEntity = $certificateEntity->getSite(); goto A6118; A6118: $form = $this->createForm("\101\160\x70\x5c\106\x6f\162\x6d\x5c\123\x69\x74\x65\111\x6d\x70\157\x72\x74\103\x65\x72\164\x69\146\151\x63\x61\164\x65\124\x79\160\145", $certificateEntity, ["\x61\x63\x74\151\157\x6e" => $this->generateUrl("\x63\154\160\x5f\163\151\x74\x65\137\143\145\162\164\x69\146\151\x63\141\x74\x65\x5f\x69\x6d\x70\x6f\162\164", ["\x64\x6f\155\141\x69\x6e\116\x61\x6d\145" => $siteEntity->getDomainName()]), "\x6d\x65\164\x68\157\144" => "\120\x4f\x53\x54", "\141\164\x74\162" => []]); goto B6e8a; A9923: } private function handleImportCertificateForm(Request $request, Form $form, Site $site) { goto f9c0b; Bcab7: Da1a9: goto f5c87; c5cc7: $this->formErrors = $this->getErrorMessages($form); goto Dc8c3; f9c0b: if (true === $form->isValid()) { goto Da1a9; } goto c5cc7; Dc8c3: goto B04be; goto Bcab7; f5c87: try { goto c42cb; Cf410: goto B2a11; goto Af2c7; A2e08: $siteUpdater = $this->getSiteUpdater($site); goto cf127; e03de: $evenData = ["\x73\x69\x74\x65" => $domainName]; goto B3c1b; d44ca: B2a11: goto d353b; Aef86: $certificateEntity = $form->getData(); goto A2e08; e5a28: $siteEntity->setCertificate($certificateEntity); goto F3069; B3c1b: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto b0adc; c42cb: $session = $request->getSession(); goto a8456; Af2c7: f10ec: goto E46d5; F3069: $siteEntity->addCertificate($certificateEntity); goto A5ed7; E46d5: $user = $this->getUser(); goto Aef86; A5ed7: $this->siteEntityManager->updateEntity($siteEntity); goto e03de; Fe767: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\x69\164\145\163")); goto Cf410; c43bd: if (false === is_null($siteEntity)) { goto f10ec; } goto Fe767; cf127: $siteUpdater->installCertificate($certificateEntity); goto e5a28; a8456: $domainName = $site->getDomainName(); goto af1fe; af1fe: $siteEntity = $this->getSiteEntity($domainName); goto c43bd; b0adc: $session->getFlashBag()->set("\x73\165\x63\143\x65\163\x73", $this->translator->trans("\x43\145\x72\164\151\x66\151\143\x61\164\145\x20\x68\x61\x73\x20\142\145\145\156\x20\151\156\x73\x74\x61\154\x6c\x65\x64\x2e")); goto e2ed3; e2ed3: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\151\164\x65\x5f\143\x65\162\164\x69\x66\x69\x63\141\164\x65\163", ["\x64\x6f\x6d\141\x69\x6e\116\141\155\x65" => $site->getDomainName()])); goto d44ca; d353b: return $response; goto db235; db235: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\x65\162", $this->translator->trans("\x41\156\x20\x65\x72\x72\157\x72\40\150\141\163\x20\157\x63\143\x75\162\162\145\x64\x2c\40\x65\162\162\x6f\x72\x20\x6d\145\x73\x73\x61\x67\145\72\40\45\145\x72\x72\x6f\x72\x4d\x65\163\x73\141\147\145\45", ["\45\x65\x72\x72\x6f\x72\x4d\x65\163\x73\141\147\x65\45" => $e->getMessage()])); } goto dd251; dd251: B04be: goto Afa28; Afa28: } public function newLetsEncryptCertificate(Request $request) : Response { goto Cb80a; E3601: $response = $this->render("\106\162\157\156\x74\x65\156\x64\x2f\x53\x69\164\x65\57\x6e\145\167\55\154\145\164\x73\55\x65\x6e\143\162\x79\160\164\55\143\145\x72\x74\x69\x66\151\143\141\164\145\56\x68\164\x6d\154\56\x74\x77\151\x67", ["\163\151\x74\x65" => $site, "\144\x6f\155\141\x69\x6e\x73" => $domains, "\x66\157\162\155" => $form->createView(), "\146\157\x72\155\105\x72\162\157\x72\x73" => $this->formErrors]); goto Ccc86; Af86c: bdadb: goto d24c9; D6e25: $response = $this->handleLetsEncryptCertificateForm($request, $form, $site, $domains); goto d97fb; B505a: $domains = []; goto B786f; d24c9: $form->handleRequest($request); goto A6cc3; B7f68: ca463: goto ab736; D77fe: goto B0f37; goto a2cbd; b0e15: $domains = array_unique($domains); goto D6e25; ddbef: d3e26: goto Bb10c; B95b2: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto E89b2; Bb10c: bbcb6: goto E3601; C153a: $domains = array_map("\164\x72\x69\x6d", $domains); goto b0e15; Ccc86: B0f37: goto E9e40; E89b2: $subdomain = $resolvedDomainName->subDomain()->toString(); goto d1dc0; A51ae: if (true === is_null($subdomain) || "\167\167\x77" == $subdomain) { goto ca463; } goto F99c6; bb348: Cd70a: goto ddbef; F99c6: $domains = [$domainName]; goto Fd091; Bd98a: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto B95b2; E640d: $form = $this->createLetsEncryptCertificateForm($domainName); goto B505a; Cb80a: $site = $this->getSite($request); goto Eaf81; A6cc3: if (!(true === $form->isSubmitted())) { goto d3e26; } goto e91b5; d97fb: if (!(false === is_null($response))) { goto Cd70a; } goto f4c0c; E9e40: return $response; goto d5f3b; Fd091: goto D1622; goto B7f68; a2cbd: d3600: goto Aad64; ed168: goto bbcb6; goto Af86c; e0085: $domains = array_filter($domains, function ($value) { return false === empty(trim($value)); }); goto C153a; Eaf81: if (false === is_null($site)) { goto d3600; } goto c48f5; Aad64: $domainName = $site->getDomainName(); goto E640d; f4c0c: return $response; goto bb348; B786f: if (true === $request->isMethod("\x50\117\x53\124")) { goto bdadb; } goto Bd98a; c48f5: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\164\x65\x73")); goto D77fe; ecab3: D1622: goto ed168; d1dc0: $subdomain = false === empty($subdomain) ? $subdomain : null; goto A51ae; ab736: $domains = [$registrableDomain, sprintf("\167\x77\167\x2e\45\163", $registrableDomain)]; goto ecab3; e91b5: $domains = (array) $request->get("\x64\x6f\x6d\x61\151\x6e\163"); goto e0085; d5f3b: } private function createLetsEncryptCertificateForm(string $domainName) : Form { goto De2d3; d2c99: $form->add("\x73\165\x62\155\151\164", SubmitType::class, ["\x61\x74\x74\162" => ["\143\154\141\x73\x73" => "\142\164\156\x20\x62\x74\156\x2d\142\154\165\145\x20\142\164\156\55\154\147"], "\x6c\x61\142\x65\x6c" => "\103\162\x65\x61\x74\145\x20\141\156\x64\40\111\156\163\x74\141\x6c\x6c"]); goto E043a; E043a: return $form; goto Acb75; De2d3: $form = $this->createForm("\x41\x70\160\x5c\x46\157\x72\155\134\123\151\x74\145\114\x65\x74\x73\x45\x6e\143\162\x79\x70\x74\103\x65\162\164\x69\146\x69\x63\141\x74\x65\x54\171\160\145", [], ["\141\x63\x74\151\x6f\156" => $this->generateUrl("\143\154\x70\x5f\163\151\x74\145\137\154\145\164\x73\137\145\x6e\143\x72\x79\x70\x74\137\143\x65\x72\x74\151\x66\151\143\141\164\145\137\x6e\145\x77", ["\144\x6f\x6d\141\151\x6e\x4e\x61\x6d\145" => $domainName]), "\x6d\145\164\x68\x6f\x64" => "\x50\x4f\123\x54", "\x61\x74\164\162" => ["\151\x64" => "\x63\162\145\x61\164\x65\x2d\154\145\164\163\x2d\x65\x6e\x63\x72\171\160\x74\55\143\145\162\x74\151\146\x69\x63\141\x74\x65\55\146\x6f\x72\x6d"]]); goto d2c99; Acb75: } private function handleLetsEncryptCertificateForm(Request $request, Form $form, Site $site, array $domains) { goto B7138; B7138: if (!(true === $form->isValid())) { goto ca717; } goto ff821; ff821: try { goto Ecad6; E67b8: if (true === empty($validationErrors)) { goto C26dc; } goto a0abb; E8d56: $this->siteEntityManager->updateEntity($siteEntity); goto F2474; Cb29a: $letsEncryptClient->setDryRun(true); goto E9cd0; a340f: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto ce29a; E7d61: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto c99f1; f2d3c: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto a40a3; F2474: $evenData = ["\x73\x69\x74\145" => $domainName]; goto a340f; Bed04: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto f2d3c; A7385: $certificateEntity->setCsr($certificate->getCsr()); goto afbf7; cece1: $privateKey = new PrivateKey($letsEncryptPrivateKey); goto a2001; ce29a: $session->getFlashBag()->set("\163\x75\143\143\x65\x73\163", $this->translator->trans("\x43\x65\x72\164\151\x66\x69\x63\x61\x74\145\x20\x68\141\163\x20\x62\x65\x65\x6e\x20\x69\156\x73\164\141\x6c\x6c\x65\x64\56")); goto a2517; c489d: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\x69\x74\x65\163")); goto c0c37; E6e95: $domainName = $site->getDomainName(); goto D2ea4; A4bcb: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto ac04c; e0d80: C26dc: goto Beaab; Bfbc5: E12ee: goto E1054; C4fc6: goto Ed24a; goto Bfbc5; Bf75d: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto a7492; c99f1: if (!(true === empty($validationErrors))) { goto C5521; } goto Ff1fd; Ecad6: $session = $request->getSession(); goto E6e95; B7b38: $siteUpdater = $this->getSiteUpdater($site); goto Fb1ae; A6066: $commonName = array_shift($distinguishedNameDomains); goto aa8a3; f9067: $certificateEntity->setCertificate($certificate->getCertificate()); goto E9f1b; afbf7: $certificateEntity->setPrivateKey($certificate->getPrivateKey()); goto f9067; Fa18d: $siteUpdater = $this->getSiteUpdater($site); goto B5f2a; F224b: $csr = $csrGenerator->generate(); goto ca17e; Ff1fd: $letsEncryptClient = new LetsEncryptClient($privateKey); goto Ab2ad; D6637: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto F224b; a256c: $certificateEntity->setType(CertificateEntity::TYPE_LETS_ENCRYPT); goto d8103; Bb80d: $rsaKeyGenerator = new RsaKeyGenerator(); goto b3ee3; c0c37: return $response; goto C4fc6; d8103: $certificateEntity->setSite($siteEntity); goto A7385; Beab7: Feaf7: goto ba8c3; Ab2ad: $letsEncryptClient->registerAccount(); goto Ade1d; f5329: return $response; goto Beab7; D2ea4: $siteEntity = $this->getSiteEntity($domainName); goto D953c; A9ab9: $siteEntity->addCertificate($certificateEntity); goto E8d56; a40a3: C5521: goto E67b8; Beaab: $distinguishedNameDomains = $domains; goto A6066; ba8c3: Ed24a: goto Db68e; a2517: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\151\x74\x65\x5f\143\145\x72\164\x69\x66\151\x63\141\164\x65\163", ["\x64\157\155\141\151\x6e\116\x61\x6d\x65" => $site->getDomainName()])); goto f5329; E9f1b: $certificateEntity->setCertificateChain($certificate->getCertificateChain()); goto B7b38; E9cd0: $letsEncryptClient->registerAccount(); goto Bf75d; D77bd: goto Feaf7; goto e0d80; a9f5e: $siteEntity->setCertificate($certificateEntity); goto A9ab9; ee338: $certificateEntity = $this->certificateEntityManager->createEntity(); goto a256c; Bc223: $letsEncryptPrivateKey = $this->configManager->get("\154\145\x5f\160\162\151\166\141\x74\x65\x5f\x6b\145\171"); goto cece1; a2001: $letsEncryptClient = new LetsEncryptClient($privateKey); goto Cb29a; b1fd3: a19e2: goto D77bd; ca17e: $certificate = $letsEncryptClient->finalizeOrder($certificateOrder, $privateKey, $csr); goto ee338; E1054: $user = $this->getUser(); goto Bc223; Fb1ae: $siteUpdater->installCertificate($certificateEntity); goto a9f5e; Ade1d: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto Fa18d; D953c: if (false === is_null($siteEntity)) { goto E12ee; } goto c489d; B5f2a: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto Bed04; b3ee3: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto D6637; a7492: $siteUpdater = $this->getSiteUpdater($site); goto A4bcb; aa8a3: $distinguishedName = new DistinguishedName($commonName, $distinguishedNameDomains); goto Bb80d; ac04c: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto E7d61; a0abb: foreach ($validationErrors as $domain => $validationErrorMessage) { $form->addError(new FormError(sprintf("\x25\x73\72\x20\45\163", $domain, $validationErrorMessage))); e4f71: } goto b1fd3; Db68e: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\145\162", $this->translator->trans("\101\x6e\x20\x65\x72\x72\157\x72\40\150\141\x73\40\x6f\143\x63\165\162\x72\145\x64\54\x20\x65\162\x72\157\162\40\x6d\145\x73\x73\141\x67\x65\x3a\40\x25\145\x72\x72\x6f\x72\x4d\x65\x73\163\x61\147\145\45", ["\45\x65\162\162\157\x72\115\x65\x73\163\141\x67\145\x25" => $e->getMessage()])); } finally { if (!(true === isset($siteUpdater))) { goto Ea37a; } $siteUpdater->deleteLetsEncryptChallengeDirectory(); Ea37a: } goto Ed3cc; Ed3cc: ca717: goto cf6c2; cf6c2: $this->formErrors = $this->getErrorMessages($form); goto fd629; fd629: } public function installCertificate(Request $request) : Response { goto d5a86; Da8dd: if (!(false === is_null($site))) { goto Bc51e; } goto B00f0; b28e4: Bc51e: goto E87cc; F039f: return $response; goto ed06b; E87cc: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\151\164\x65\x73")); goto F039f; B00f0: try { goto A1cd4; d3f90: e4c54: goto fd385; E78fa: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity))) { goto e4c54; } goto D1e64; A0169: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto E78fa; C79c1: $evenData = ["\163\151\164\145" => $domainName]; goto f6205; c6d71: $siteUpdater->installCertificate($certificateEntity); goto ce656; Efcce: $this->siteEntityManager->updateEntity($siteEntity); goto C79c1; f5d72: $session->getFlashBag()->set("\x73\x75\143\x63\x65\163\x73", $this->translator->trans("\x43\x65\162\x74\x69\x66\151\x63\x61\164\145\x20\150\x61\x73\40\x62\145\145\x6e\40\151\156\x73\x74\141\154\154\145\x64\56")); goto D68b3; e84c6: $siteEntity = $this->getSiteEntity($domainName); goto A0169; f8c37: E4b22: goto d3f90; C2a34: $user = $this->getUser(); goto ffd1c; ce656: $siteEntity->setCertificate($certificateEntity); goto Efcce; f6205: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto f5d72; A54ba: $uid = $request->get("\x75\151\x64"); goto ce408; D1e64: $certificateSiteEntity = $certificateEntity->getSite(); goto d5121; A1cd4: $session = $request->getSession(); goto A54ba; ffd1c: $siteUpdater = $this->getSiteUpdater($site); goto c6d71; ce408: $domainName = $site->getDomainName(); goto e84c6; d5121: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto E4b22; } goto C2a34; Ad12c: return $response; goto f8c37; D68b3: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\151\164\145\x5f\x63\x65\162\164\x69\146\151\x63\x61\164\x65\163", ["\x64\x6f\x6d\141\151\x6e\116\x61\x6d\145" => $site->getDomainName()])); goto Ad12c; fd385: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\162", $this->translator->trans("\x41\156\x20\x65\162\x72\157\162\x20\x68\x61\x73\40\157\x63\143\x75\162\x72\145\x64\54\40\145\162\x72\x6f\162\x20\x6d\x65\x73\x73\x61\147\x65\72\40\x25\x65\162\x72\157\162\x4d\x65\163\x73\x61\147\x65\x25", ["\x25\x65\x72\162\x6f\162\x4d\x65\x73\163\x61\x67\x65\x25" => $e->getMessage()])); } goto b28e4; d5a86: $site = $this->getSite($request); goto Da8dd; ed06b: } public function deleteCertificate(Request $request) : Response { goto B140f; a9614: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\x74\145\x73")); goto Ca399; f6d94: try { goto A8210; f266d: $this->siteEntityManager->updateEntity($siteEntity); goto A12ac; d1c8e: $session->getFlashBag()->set("\163\x75\143\x63\145\x73\x73", $this->translator->trans("\103\145\x72\x74\151\x66\x69\143\x61\x74\x65\40\x68\x61\163\40\x62\145\x65\x6e\40\144\145\154\145\164\x65\x64\56")); goto e53c9; D708e: a7019: goto d143d; F34eb: $domainName = $site->getDomainName(); goto d4507; f175f: $certificateSiteEntity = $certificateEntity->getSite(); goto D15e9; E9de4: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto de094; A8210: $session = $request->getSession(); goto f0720; f0720: $uid = $request->get("\x75\x69\144"); goto F34eb; B1080: $siteEntity->removeCertificate($certificateEntity); goto f266d; d143d: Cb6a7: goto b0d7b; de094: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity) && false === $certificateEntity->getDefaultCertificate())) { goto Cb6a7; } goto f175f; D15e9: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto a7019; } goto b9feb; B2ab2: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_DELETE, $user, $evenData, $request); goto d1c8e; B1b44: return $response; goto D708e; b9feb: $user = $this->getUser(); goto B1080; A12ac: $evenData = ["\163\151\164\145" => $domainName]; goto B2ab2; d4507: $siteEntity = $this->getSiteEntity($domainName); goto E9de4; e53c9: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\x74\145\137\x63\145\162\164\x69\146\151\143\141\x74\x65\x73", ["\x64\157\x6d\141\x69\x6e\x4e\x61\155\145" => $site->getDomainName()])); goto B1b44; b0d7b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\x65\x72", $this->translator->trans("\x41\x6e\x20\145\162\x72\157\162\40\x68\x61\x73\x20\x6f\143\143\165\x72\162\145\x64\54\x20\x65\x72\162\157\x72\x20\x6d\x65\163\163\x61\x67\x65\72\x20\x25\x65\x72\x72\x6f\162\x4d\145\163\163\x61\147\145\45", ["\45\145\162\162\x6f\162\x4d\x65\x73\163\x61\147\x65\45" => $e->getMessage()])); } goto Ad28e; Ca399: return $response; goto Ba287; a48b2: $this->checkCsrfToken($request, "\x63\145\162\164\x69\146\151\143\x61\x74\x65\55\144\145\x6c\145\x74\145"); goto a93b6; Ad28e: f9a95: goto a9614; B140f: $site = $this->getSite($request); goto a48b2; a93b6: if (!(false === is_null($site))) { goto f9a95; } goto f6d94; Ba287: } public function databases(Request $request) : Response { goto B694b; b797e: foreach ($databases as $database) { $numberOfDatabaseUsers += count($database->getUsers()); b2dcd: } goto E3b8e; d523f: $response = $this->render("\x46\162\x6f\x6e\x74\145\156\144\x2f\x53\x69\x74\145\57\x64\141\164\141\142\141\x73\x65\x73\x2e\x68\x74\155\x6c\x2e\164\x77\151\x67", ["\163\151\x74\145" => $site, "\x64\x61\x74\x61\x62\x61\x73\145\x73" => $databases, "\156\x75\155\142\x65\x72\x4f\146\x44\x61\x74\x61\142\141\x73\x65\125\x73\x65\x72\163" => $numberOfDatabaseUsers, "\144\141\x74\x61\x62\x61\x73\x65\x53\x65\162\x76\145\162" => $databaseServerEntity]); goto Ae88a; B694b: $site = $this->getSite($request); goto d9289; Ae88a: D6254: goto A2788; c0d53: $numberOfDatabaseUsers = 0; goto b797e; A2788: return $response; goto c5ff9; E3b8e: Bdb08: goto d523f; D6eca: E1f89: goto ddd26; ddd26: $databases = $site->getDatabases(); goto C6e78; F2e26: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\151\164\145\x73")); goto e6d36; e6d36: goto D6254; goto D6eca; C6e78: $databaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto c0d53; d9289: if (false === is_null($site)) { goto E1f89; } goto F2e26; c5ff9: } public function newDatabase(Request $request) : Response { goto a9478; Fb6dc: $response = $this->handleDatabaseForm($request, $form, $site); goto b9570; bb1d4: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto fa049; } goto E929a; f090b: if (!(true === $form->isSubmitted())) { goto D789f; } goto Fb6dc; C6f24: $response = $this->render("\106\162\157\x6e\x74\x65\x6e\x64\x2f\123\x69\x74\145\57\156\x65\x77\55\x64\141\164\141\142\x61\x73\145\x2e\x68\x74\155\154\x2e\x74\167\151\x67", ["\x73\x69\x74\x65" => $site, "\146\x6f\x72\x6d" => $form->createView(), "\x66\157\x72\155\x45\162\x72\157\x72\163" => $this->formErrors]); goto c6eb5; A9a48: $form = $this->createDatabaseForm($site, $databaseEntity); goto bb1d4; d0d19: goto C82c1; goto de5b8; E929a: $form->handleRequest($request); goto f090b; Dce2b: $databaseEntity->setSite($siteEntity); goto A9a48; f81dc: return $response; goto f6f48; a9ada: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto aa970; f6f48: B73b3: goto c5944; c6eb5: C82c1: goto a5cdd; a5cdd: return $response; goto c0031; c5944: D789f: goto D47a5; a9478: $site = $this->getSite($request); goto bdc18; D47a5: fa049: goto C6f24; b9570: if (!(false === is_null($response))) { goto B73b3; } goto f81dc; aa970: $databaseEntity = $this->databaseEntityManager->createEntity(); goto Dce2b; de5b8: F74f8: goto a9ada; bdc18: if (false === is_null($site)) { goto F74f8; } goto fbd02; fbd02: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\x74\x65\x73")); goto d0d19; c0031: } private function createDatabaseForm(Site $site, DatabaseEntity $databaseEntity) : Form { goto ef1ff; Fab7d: $form->add("\x73\x75\x62\x6d\x69\x74", SubmitType::class, ["\x61\164\x74\162" => ["\x63\154\141\x73\163" => "\142\164\x6e\40\142\x74\156\55\142\x6c\165\x65\40\142\x74\x6e\x2d\154\x67"], "\154\x61\x62\x65\x6c" => "\x41\x64\x64\x20\104\x61\x74\141\142\141\x73\145"]); goto Afc13; Afc13: return $form; goto Ddf9b; ef1ff: $form = $this->createForm("\101\160\160\x5c\x46\x6f\162\x6d\134\x53\151\164\x65\104\141\x74\141\x62\141\x73\145\124\171\x70\x65", $databaseEntity, ["\141\143\164\151\x6f\x6e" => $this->generateUrl("\x63\154\160\x5f\x73\151\164\145\137\x64\141\x74\141\x62\x61\x73\x65\137\x6e\145\167", ["\x64\x6f\x6d\141\151\156\x4e\141\x6d\145" => $site->getDomainName()]), "\155\x65\164\150\157\144" => "\120\117\x53\x54", "\141\x74\x74\162" => []]); goto Fab7d; Ddf9b: } private function handleDatabaseForm(Request $request, Form $form, Site $site) { goto a2cac; a2cac: if (true === $form->isValid()) { goto f8577; } goto Bbdbc; Aeafb: try { goto fe197; fe197: $user = $this->getUser(); goto b9bd8; Be12b: $databaseUserPassword = $form->get("\165\163\145\162\120\x61\163\x73\x77\157\162\144")->getData(); goto Fdd8e; a345e: $databaseManager->createDatabase($databaseEntity); goto Ac276; D32d9: $databaseUserName = $form->get("\x75\x73\x65\x72\116\x61\x6d\145")->getData(); goto Be12b; d9e2a: $databaseUserEntity->setDatabase($databaseEntity); goto E8b6e; ff1fc: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\x69\x74\x65\137\x64\141\x74\141\x62\x61\163\145\x5f\156\x65\x77", ["\x64\157\155\141\x69\x6e\x4e\x61\x6d\x65" => $site->getDomainName()])); goto Aa163; dddc0: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto db539; E3928: Ad223: goto aca40; be1b8: $siteEntity->addDatabase($databaseEntity); goto a345e; Ac276: $databaseManager->createUser($databaseUserEntity); goto D8174; eb452: $session->getFlashBag()->set("\x73\x75\143\x63\145\163\x73", $this->translator->trans("\104\x61\164\x61\x62\141\163\145\40\x68\x61\x73\x20\x62\x65\145\156\40\141\144\x64\145\x64\x2e")); goto d81ad; D8174: $this->siteEntityManager->updateEntity($siteEntity); goto Cef5d; E8b6e: $databaseEntity->addUser($databaseUserEntity); goto be1b8; f96ed: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto dddc0; Fdd8e: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto Fee3f; Aa163: goto Ad223; goto fbfe8; b9bd8: $session = $request->getSession(); goto f5785; bc9d4: $databaseEntity = $form->getData(); goto f96ed; bf94e: if (false === is_null($siteEntity)) { goto B0245; } goto ff1fc; B6ef4: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto A1059; A1059: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto d9e2a; d81ad: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\151\x74\x65\137\144\141\164\x61\x62\141\163\145\x73", ["\x64\x6f\x6d\141\151\156\x4e\x61\x6d\145" => $site->getDomainName()])); goto E3928; f5785: $domainName = $site->getDomainName(); goto E9d81; fbfe8: B0245: goto bc9d4; E9d81: $siteEntity = $this->getSiteEntity($domainName); goto bf94e; db539: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto bbdb4; Cef5d: $eventData = ["\x73\x69\164\x65" => $domainName, "\144\x61\164\141\x62\x61\x73\x65" => $databaseEntity->getName(), "\144\x61\x74\141\x62\141\x73\x65\125\163\145\162\116\141\x6d\x65" => $databaseUserEntity->getUserName()]; goto B4ea8; B4ea8: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_ADD, $user, $eventData, $request); goto eb452; bbdb4: $databaseEntity->setSite($siteEntity); goto D32d9; aca40: return $response; goto ee784; Fee3f: $databaseUserEntity->setUserName($databaseUserName); goto B6ef4; ee784: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\145\162", $this->translator->trans("\101\x6e\40\x65\162\162\157\x72\40\150\141\163\40\157\x63\143\165\x72\x72\x65\144\x2c\x20\x65\162\x72\x6f\162\x20\155\145\163\163\x61\x67\x65\72\40\x25\x65\x72\162\x6f\162\x4d\145\x73\x73\x61\x67\145\45", ["\45\x65\162\162\x6f\x72\115\x65\163\163\141\x67\x65\x25" => $e->getMessage()])); } goto a4969; a4969: dfd34: goto e1ad6; Bd904: goto dfd34; goto A625d; A625d: f8577: goto Aeafb; Bbdbc: $this->formErrors = $this->getErrorMessages($form); goto Bd904; e1ad6: } public function deleteDatabase(Request $request) : Response { goto Bfba0; D9fb2: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\151\x74\145\x73")); goto ae9d7; Bfba0: $site = $this->getSite($request); goto Dab85; B06e5: return $response; goto Ae4df; ae9d7: return $response; goto a8999; b40a4: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName() && false === is_null($siteEntity))) { goto E5a9a; } goto D5fd6; Dab85: $this->checkCsrfToken($request, "\144\141\x74\141\142\x61\163\145\55\144\145\154\x65\164\145"); goto D53de; F64d8: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto b40a4; F5d6b: c9bcb: goto D9fb2; D53de: if (!(false === is_null($site))) { goto c9bcb; } goto e046f; Ae4df: E5a9a: goto F5d6b; D5fd6: try { goto ad42a; Cc438: $session = $request->getSession(); goto D2b78; c3ef9: $session->getFlashBag()->set("\163\165\143\x63\x65\x73\x73", $this->translator->trans("\104\x61\x74\141\x62\x61\x73\x65\x20\150\x61\163\40\x62\145\145\156\40\x64\145\154\x65\x74\145\144\56")); goto D385c; da254: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto C07c4; Aefb6: $this->siteEntityManager->updateEntity($siteEntity); goto b34a4; D608f: $siteEntity->removeDatabase($databaseEntity); goto Aefb6; b34a4: $eventData = ["\x73\x69\164\145" => $domainName, "\x64\141\x74\141\x62\141\163\145" => $databaseEntity->getName()]; goto b55f5; b55f5: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_DELETE, $user, $eventData, $request); goto c3ef9; ad42a: $user = $this->getUser(); goto Cc438; C07c4: $databaseManager = new DatabaseManager($databaseServerEntity); goto E2631; D2b78: $domainName = $site->getDomainName(); goto da254; E2631: $databaseManager->deleteDatabase($databaseEntity, true); goto D608f; D385c: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\x65\162", $this->translator->trans("\x41\x6e\40\145\162\x72\x6f\x72\x20\150\x61\x73\40\x6f\x63\143\165\162\x72\145\144\54\x20\145\x72\x72\157\162\40\155\145\163\x73\141\147\145\x3a\x20\45\145\x72\162\157\162\115\x65\163\163\x61\147\x65\45", ["\45\145\162\162\157\x72\115\145\x73\163\x61\147\145\x25" => $e->getMessage()])); } goto a8032; D58e0: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto F64d8; e046f: $databaseName = $request->get("\x64\x61\x74\x61\x62\141\163\145\116\x61\x6d\145"); goto D58e0; a8032: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\151\x74\145\137\x64\x61\x74\141\x62\141\163\145\163", ["\x64\x6f\x6d\x61\151\156\116\141\x6d\x65" => $site->getDomainName()])); goto B06e5; a8999: } public function phpMyAdmin(Request $request) : Response { goto f044a; ffb07: cce36: goto a67dc; d8703: if (!(false === is_null($activeDatabaseServerEntity))) { goto A9778; } goto A0596; dc338: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto d79b0; D71e6: $response = new RedirectResponse($phpMyAdminUrl); goto cad57; C82b5: $response->headers->clearCookie("\143\154\160\x2d\x70\155\x61"); goto cb77e; fb621: Ad435: goto C874b; E727c: $data = ["\150\157\x73\164" => $activeDatabaseServerEntity->getHost(), "\x75\x73\145\162\116\x61\x6d\x65" => $databaseUserEntity->getUserName(), "\x70\x61\x73\163\x77\157\x72\x64" => $databaseUserEntity->getDecryptedPassword(), "\160\157\162\164" => $activeDatabaseServerEntity->getPort()]; goto ae3a2; F0c1e: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto Ba418; } goto cdefa; cdefa: $phpMyAdminUrl = sprintf("\150\164\x74\160\163\x3a\57\x2f\x25\x73\72\x25\x73\57\160\150\160\x6d\171\x61\144\x6d\151\x6e\57\x6c\x6f\x67\151\156\56\x70\x68\160", $request->getHost(), $request->getPort()); goto E727c; E045e: return $response; goto a5884; dba75: $response->headers->clearCookie("\160\x6d\x61\101\165\164\x68\55\x31\137\x68\x74\x74\x70\x73"); goto df238; cd999: A9778: goto fe446; A0596: $phpMyAdminUrl = sprintf("\150\x74\x74\x70\x73\72\x2f\x2f\45\163\72\x25\163\57\x70\x68\160\155\x79\141\144\x6d\x69\156\x2f\154\x6f\x67\151\156\x2e\160\150\160", $request->getHost(), $request->getPort()); goto E7994; E57e6: $session = $request->getSession(); goto ad7cf; D58f5: Ba418: goto ffb07; fe446: goto Ad435; goto D3161; e3d7f: return $response; goto cd999; B2733: $databaseUserName = $request->get("\144\141\164\x61\142\141\x73\x65\x55\163\x65\x72\x4e\141\x6d\145"); goto dc338; d79b0: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto a8ff9; df238: $response->headers->clearCookie("\x53\x69\147\x6e\157\156\x53\x65\x73\x73\151\157\x6e"); goto e3d7f; ae3a2: $session->set("\143\x6c\x70\55\x70\x6d\141", $data); goto D71e6; a67dc: a0031: goto fb621; ad7cf: if (false === is_null($domainName)) { goto dbcb1; } goto a9e01; E3cbe: $databaseEntity = $databaseUserEntity->getDatabase(); goto F0c1e; a9e01: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto d8703; cb77e: $response->headers->clearCookie("\x70\x68\160\115\x79\x41\144\x6d\x69\x6e\x5f\150\164\x74\x70\163"); goto dba75; D3161: dbcb1: goto C6d78; cad57: return $response; goto D58f5; a8ff9: if (!(false === is_null($activeDatabaseServerEntity) && false === is_null($activeDatabaseServerEntity))) { goto cce36; } goto E3cbe; C6d78: $site = $this->getSite($request); goto Eb782; C874b: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\151\164\145\163")); goto E045e; f044a: $domainName = $request->get("\x64\x6f\155\x61\x69\x6e\116\141\155\145"); goto E57e6; F923f: $session->set("\x63\154\160\55\160\155\x61", $data); goto fb507; E7994: $data = ["\150\157\x73\x74" => $activeDatabaseServerEntity->getHost(), "\160\157\162\x74" => $activeDatabaseServerEntity->getPort()]; goto F923f; Eb782: if (!(false === is_null($site))) { goto a0031; } goto B2733; fb507: $response = new RedirectResponse($phpMyAdminUrl); goto C82b5; a5884: } public function phpMyAdminLogout(Request $request) { goto Ebda3; e78ac: $response->headers->clearCookie("\x70\x68\160\x4d\x79\x41\x64\155\151\156\x5f\x68\x74\164\x70\163"); goto E75be; C60ed: return $response; goto c508b; d75d1: $response->headers->clearCookie("\x53\151\x67\156\157\156\x53\x65\x73\163\151\157\156"); goto C60ed; Ebda3: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\151\164\x65\163")); goto ff5aa; ff5aa: $response->headers->clearCookie("\x63\154\x70\55\160\155\141"); goto e78ac; E75be: $response->headers->clearCookie("\160\x6d\x61\101\x75\164\x68\x2d\x31\137\150\164\164\x70\x73"); goto d75d1; c508b: } public function newDatabaseUser(Request $request) : Response { goto D46fd; b1ca7: d4fd9: goto e808f; eae07: C4ba7: goto b1ca7; C2068: goto B23c2; goto d3b47; C2031: $databases = $site->getDatabases(); goto d4707; ea92d: if (count($databases) && false === is_null($siteEntity)) { goto F96e1; } goto e9c1c; d8f2c: return $response; goto eae07; d3b47: F4c2d: goto C2031; ff69d: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto adcc7; Ceee7: if (false === is_null($site)) { goto F4c2d; } goto ca6ef; d4707: $domainName = $site->getDomainName(); goto Acd6c; ca6ef: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\x74\145\163")); goto C2068; dbe85: if (!(false === is_null($response))) { goto C4ba7; } goto d8f2c; B4283: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\151\x74\145\x5f\x64\x61\x74\141\x62\141\x73\x65\x73", ["\x64\x6f\155\x61\151\x6e\116\x61\x6d\x65" => $site->getDomainName()])); goto D1b22; d0a6a: if (!(true === $request->isMethod("\120\117\x53\124"))) { goto bd60e; } goto Ae1ed; cd4b4: return $response; goto D0451; E047c: $form = $this->createDatabaseUserForm($site, $databaseUserEntity); goto d0a6a; Ae1ed: $form->handleRequest($request); goto e9c06; D46fd: $site = $this->getSite($request); goto Ceee7; defb7: F96e1: goto ff69d; e9c1c: $session = $request->getSession(); goto Dd084; e9c06: if (!(true === $form->isSubmitted())) { goto d4fd9; } goto Fdbd6; Acd6c: $siteEntity = $this->getSiteEntity($domainName); goto ea92d; ec421: D7617: goto a436c; e808f: bd60e: goto D9b6b; Dd084: $session->getFlashBag()->set("\144\141\156\x67\x65\162", $this->translator->trans("\116\x6f\40\144\x61\164\141\x62\141\x73\x65\x20\146\157\x75\x6e\144\73\x20\x63\x72\145\141\164\x65\40\141\x20\144\141\164\x61\142\x61\163\145\40\146\x69\x72\x73\x74\56")); goto B4283; adcc7: $databaseUserEntity->setSite($siteEntity); goto E047c; D9b6b: $response = $this->render("\106\162\157\156\x74\x65\x6e\144\x2f\x53\x69\x74\x65\x2f\x6e\x65\167\x2d\x64\x61\x74\x61\142\141\x73\145\x2d\x75\163\x65\x72\x2e\x68\164\x6d\x6c\56\164\167\x69\147", ["\163\151\x74\x65" => $site, "\x64\141\164\x61\142\x61\x73\145\x55\163\x65\x72" => $databaseUserEntity, "\x64\141\164\x61\142\141\163\x65\x73" => $databases, "\146\157\162\155" => $form->createView(), "\x66\157\x72\x6d\x45\162\162\157\x72\163" => $this->formErrors]); goto ec421; D1b22: goto D7617; goto defb7; Fdbd6: $response = $this->handleDatabaseUserForm($request, $form, $site); goto dbe85; a436c: B23c2: goto cd4b4; D0451: } private function createDatabaseUserForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto B947e; f7aec: $form->add("\x73\x75\x62\x6d\151\x74", SubmitType::class, ["\141\x74\x74\162" => ["\x63\x6c\x61\x73\x73" => "\x62\164\156\x20\x62\x74\x6e\55\x62\x6c\165\145\40\x62\164\x6e\x2d\x6c\x67"], "\x6c\x61\142\x65\x6c" => "\x41\144\x64\x20\104\141\x74\x61\142\141\163\x65\40\125\163\145\162"]); goto Dc705; Dc705: return $form; goto e6968; B947e: $form = $this->createForm("\101\x70\160\134\106\157\162\155\134\123\x69\164\x65\x44\x61\164\x61\x62\x61\163\145\x55\x73\x65\x72\124\x79\160\145", $databaseUserEntity, ["\141\143\164\x69\x6f\x6e" => $this->generateUrl("\x63\154\160\x5f\163\x69\x74\145\x5f\144\141\164\x61\x62\141\x73\x65\137\x75\x73\x65\x72\137\x6e\x65\x77", ["\144\157\155\x61\x69\x6e\116\141\x6d\145" => $site->getDomainName()]), "\x6d\145\x74\150\157\x64" => "\120\x4f\123\x54", "\141\x74\x74\x72" => []]); goto f7aec; e6968: } private function handleDatabaseUserForm(Request $request, Form $form, Site $site) { goto a9107; b67b4: try { goto B8ed0; c9af6: if (false === is_null($siteEntity)) { goto Ee243; } goto D19f1; D5cb5: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto f622a; ca0f1: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\x74\x65\x5f\x64\x61\x74\x61\x62\x61\163\x65\163", ["\x64\157\x6d\141\151\x6e\x4e\141\155\145" => $site->getDomainName()])); goto c7558; c7558: Ec57a: goto cd294; B1175: $eventData = ["\163\x69\x74\x65" => $domainName, "\x64\x61\x74\141\x62\141\x73\x65\x55\x73\145\162\x4e\141\x6d\x65" => $databaseUserEntity->getUserName(), "\160\145\x72\x6d\151\x73\x73\151\157\x6e\163" => $databaseUserEntity->getPermissions(), "\x64\x61\164\141\x62\x61\x73\145" => $databaseName]; goto c3329; bc7d9: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto e7388; B8ed0: $user = $this->getUser(); goto Bb1cd; cd294: return $response; goto b96f4; ebb07: $databaseName = $databaseEntity->getName(); goto B1175; f622a: $databaseEntity = $databaseUserEntity->getDatabase(); goto ebb07; cd655: $session->getFlashBag()->set("\163\x75\143\143\x65\x73\x73", $this->translator->trans("\104\x61\x74\x61\x62\x61\163\x65\40\x55\163\145\162\x20\x68\141\163\x20\142\145\145\156\40\141\144\x64\145\144\x2e")); goto ca0f1; C2de0: goto Ec57a; goto b462b; B94cc: $databaseManager->createUser($databaseUserEntity); goto D5cb5; af896: $domainName = $site->getDomainName(); goto d21ab; d21ab: $siteEntity = $this->getSiteEntity($domainName); goto c9af6; d1f4a: $databaseUserEntity = $form->getData(); goto d9e95; Bb1cd: $session = $request->getSession(); goto af896; e7388: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto B94cc; Dd5fa: $databaseUserEntity->setPassword($encryptedPassword); goto bc7d9; b462b: Ee243: goto d1f4a; c3329: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_ADD, $user, $eventData, $request); goto cd655; D19f1: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\x69\164\145\137\x64\x61\164\141\x62\141\x73\145\137\165\x73\x65\x72\x5f\x6e\145\x77", ["\144\x6f\155\141\x69\156\x4e\141\155\145" => $site->getDomainName()])); goto C2de0; d9e95: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto Dd5fa; b96f4: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\145\162", $this->translator->trans("\101\x6e\40\x65\162\162\157\162\40\x68\141\163\40\x6f\143\x63\x75\162\x72\145\144\54\40\x65\x72\162\x6f\x72\x20\x6d\x65\x73\163\141\x67\145\x3a\x20\45\x65\x72\x72\157\162\x4d\145\x73\x73\141\x67\x65\x25", ["\x25\x65\162\162\x6f\162\x4d\x65\163\x73\x61\x67\x65\x25" => $e->getMessage()])); } goto Ebe79; c026c: goto e1e51; goto Ae3e1; Ae3e1: e924e: goto b67b4; cff20: $this->formErrors = $this->getErrorMessages($form); goto c026c; Ebe79: e1e51: goto Cc211; a9107: if (true === $form->isValid()) { goto e924e; } goto cff20; Cc211: } public function editDatabaseUser(Request $request) : Response { goto bcfbe; e1be9: c5efe: goto Accad; D1f2c: goto E6482; goto b5ec4; b5ec4: F8397: goto d56c2; A07eb: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto d3281; Baea6: if (!(true === $form->isSubmitted())) { goto Fbfc4; } goto ac91c; bcfbe: $site = $this->getSite($request); goto a93f4; B93ea: goto c4055; goto e1be9; F7e99: c4055: goto fc9e2; f872c: E6482: goto F7e99; e3dc6: $form = $this->createDatabaseUserEditForm($site, $databaseUserEntity); goto c8b92; Caacf: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\x69\164\x65\163")); goto B93ea; F6c69: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\164\145\137\x64\x61\164\x61\142\141\x73\145\x73", ["\x64\157\x6d\141\151\x6e\x4e\141\155\x65" => $site->getDomainName()])); goto D1f2c; c8b92: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto B447e; } goto d95ac; f18dc: $session = $request->getSession(); goto e7944; Accad: $databases = $site->getDatabases(); goto A24b6; d56c2: $databaseUserName = $request->get("\x64\x61\164\x61\142\141\163\145\x55\x73\145\162\x4e\141\x6d\x65"); goto A07eb; C821a: B447e: goto C0551; d7a65: $siteEntity = $this->getSiteEntity($domainName); goto b161c; e7944: $session->getFlashBag()->set("\x64\141\x6e\147\145\x72", $this->translator->trans("\x4e\x6f\x20\144\x61\x74\141\142\x61\163\x65\x20\146\x6f\165\x6e\x64\x3b\40\x63\162\x65\141\164\x65\x20\x61\40\x64\x61\x74\141\x62\x61\x73\145\x20\x66\151\162\163\164\56")); goto F6c69; da619: Fbfc4: goto C821a; d95ac: $form->handleRequest($request); goto Baea6; a93f4: if (false === is_null($site)) { goto c5efe; } goto Caacf; C2a3f: $databaseUserEntity->setPassword(''); goto e3dc6; b161c: if (count($databases) && false === is_null($siteEntity)) { goto F8397; } goto f18dc; fc9e2: return $response; goto Eef29; dc638: return $response; goto a9f0b; C1cd8: if (!(false === is_null($response))) { goto d1f7c; } goto dc638; C0551: $response = $this->render("\x46\162\x6f\x6e\164\145\156\x64\x2f\123\151\164\x65\57\x65\x64\151\x74\x2d\144\x61\x74\x61\x62\141\163\145\55\165\x73\145\x72\x2e\x68\164\x6d\x6c\56\164\167\151\x67", ["\163\x69\x74\145" => $site, "\144\141\164\141\x62\141\x73\x65\x55\x73\x65\162" => $databaseUserEntity, "\146\x6f\x72\155" => $form->createView(), "\x66\157\162\x6d\x45\162\x72\x6f\162\x73" => $this->formErrors]); goto cd25b; a9f0b: d1f7c: goto da619; A24b6: $domainName = $site->getDomainName(); goto d7a65; ac91c: $response = $this->handleDatabaseUserEditForm($request, $form, $site); goto C1cd8; d3281: if (!(false === is_null($databaseUserEntity))) { goto d5358; } goto C2a3f; cd25b: d5358: goto f872c; Eef29: } private function createDatabaseUserEditForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto a28a2; c2017: return $form; goto b2021; ad8cf: $form->add("\163\x75\142\155\151\x74", SubmitType::class, ["\141\164\164\162" => ["\x63\x6c\x61\x73\x73" => "\142\x74\x6e\x20\142\164\156\x2d\x62\154\165\145\40\x62\164\x6e\55\154\147"], "\x6c\x61\x62\x65\154" => "\x53\x61\166\145"]); goto c2017; a28a2: $form = $this->createForm("\101\x70\160\x5c\x46\x6f\162\155\134\123\x69\164\145\104\141\164\141\x62\x61\x73\x65\x55\163\x65\x72\x45\144\151\164\x54\x79\160\x65", $databaseUserEntity, ["\141\143\164\151\x6f\156" => $this->generateUrl("\143\154\x70\137\163\151\164\145\x5f\x64\x61\x74\x61\142\x61\163\145\x5f\x75\x73\145\x72\x5f\x65\144\151\x74", ["\x64\x6f\155\x61\151\x6e\116\141\155\145" => $site->getDomainName(), "\x64\141\x74\x61\x62\141\163\x65\x55\163\145\x72\x4e\x61\x6d\145" => $databaseUserEntity->getUserName()]), "\155\145\x74\x68\x6f\144" => "\x50\117\123\x54", "\x61\164\164\x72" => []]); goto ad8cf; b2021: } private function handleDatabaseUserEditForm(Request $request, Form $form, Site $site) { goto b3b4f; de4b0: bdef3: goto F4f89; a328b: $this->formErrors = $this->getErrorMessages($form); goto e0209; ba118: dd175: goto E3ed6; e0209: goto dd175; goto de4b0; F4f89: try { goto fc708; b13ff: return $response; goto F7a8b; B1af6: $siteEntity = $this->getSiteEntity($domainName); goto d196c; acec0: goto fa2ec; goto e2511; B5697: $session->getFlashBag()->set("\163\165\x63\143\145\x73\x73", $this->translator->trans("\104\141\164\x61\142\141\x73\x65\40\125\163\x65\162\x20\150\x61\x73\x20\142\145\145\156\x20\165\x70\144\x61\x74\145\144\x2e")); goto ccb56; ccb56: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\151\164\145\137\x64\x61\164\141\142\x61\x73\x65\163", ["\x64\x6f\155\x61\151\156\x4e\141\155\145" => $site->getDomainName()])); goto c8173; B35b1: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\151\164\x65\137\x64\141\164\141\142\141\x73\x65\137\165\x73\x65\162\x5f\x6e\145\x77", ["\144\157\155\x61\151\x6e\x4e\x61\155\x65" => $site->getDomainName()])); goto acec0; b38c3: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto b24cf; Cbb85: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_EDIT, $user, $eventData, $request); goto B5697; d196c: if (false === is_null($siteEntity)) { goto d216b; } goto B35b1; daab3: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto C3f86; a04f7: $databaseUserEntity = $form->getData(); goto a49da; a49da: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto d9c79; c8173: fa2ec: goto b13ff; e2511: d216b: goto a04f7; fc708: $user = $this->getUser(); goto A45b0; A45b0: $session = $request->getSession(); goto b11ae; b11ae: $domainName = $site->getDomainName(); goto B1af6; C4339: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto b38c3; d9c79: $databaseUserEntity->setPassword($encryptedPassword); goto C4339; C3f86: $databaseEntity = $databaseUserEntity->getDatabase(); goto e1be5; e1be5: $databaseName = $databaseEntity->getName(); goto A64fd; A64fd: $eventData = ["\x73\151\164\x65" => $domainName, "\144\x61\x74\x61\142\141\x73\145\125\163\145\162\x4e\141\155\x65" => $databaseUserEntity->getUserName(), "\160\145\162\155\151\x73\x73\151\x6f\x6e\163" => $databaseUserEntity->getPermissions(), "\144\x61\164\141\x62\141\x73\145" => $databaseName]; goto Cbb85; b24cf: $databaseManager->createUser($databaseUserEntity); goto daab3; F7a8b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\145\162", $this->translator->trans("\x41\x6e\x20\145\162\x72\157\x72\x20\x68\141\x73\x20\157\x63\143\x75\x72\x72\145\144\x2c\x20\145\x72\162\x6f\162\40\x6d\x65\x73\x73\x61\147\145\x3a\40\x25\x65\x72\162\x6f\x72\x4d\x65\x73\163\141\x67\x65\x25", ["\x25\145\162\162\x6f\x72\115\145\163\163\141\x67\x65\x25" => $e->getMessage()])); } goto ba118; b3b4f: if (true === $form->isValid()) { goto bdef3; } goto a328b; E3ed6: } public function deleteDatabaseUser(Request $request) : Response { goto bde57; Bc3bc: dd4bc: goto Feda0; c78fc: if (!(false === is_null($site))) { goto D2cbf; } goto a3b4d; bde57: $site = $this->getSite($request); goto e32f8; f8d8d: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\164\x65\137\144\141\164\x61\x62\x61\x73\145\163", ["\144\x6f\x6d\x61\x69\156\x4e\x61\x6d\145" => $site->getDomainName()])); goto a4e1d; bccda: if (!(false === is_null($databaseUserEntity))) { goto dd4bc; } goto cf9ad; Fe796: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\164\x65\x73")); goto b868a; b868a: return $response; goto bf9a8; e32f8: $this->checkCsrfToken($request, "\144\x61\x74\141\x62\x61\163\145\x2d\x75\163\145\162\55\144\145\154\x65\x74\x65"); goto c78fc; cf9ad: try { goto D80b5; Bbcb4: $session = $request->getSession(); goto D0c45; b616f: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto Fbda3; A61a9: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto df853; } goto bcdeb; df5fc: $eventData = ["\163\x69\x74\145" => $domainName, "\x64\x61\164\x61\142\x61\163\x65\x55\x73\x65\162\116\141\155\145" => $databaseUserName]; goto E7f18; Fbda3: $databaseManager->deleteUser($databaseUserEntity); goto c4733; C39b8: df853: goto F1303; E7f18: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_DELETE, $user, $eventData, $request); goto C39b8; bcdeb: $user = $this->getUser(); goto e43e8; e43e8: $domainName = $site->getDomainName(); goto Bbcb4; c4733: $this->databaseUserEntityManager->deleteEntity($databaseUserEntity); goto e3fdc; D80b5: $databaseEntity = $databaseUserEntity->getDatabase(); goto A61a9; e3fdc: $session->getFlashBag()->set("\163\x75\143\143\145\163\163", $this->translator->trans("\x44\141\x74\141\x62\141\x73\x65\40\125\163\x65\x72\x20\x68\141\x73\x20\x62\145\x65\x6e\x20\144\145\154\x65\164\145\144\56")); goto df5fc; D0c45: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto b616f; F1303: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\x65\x72", $this->translator->trans("\101\x6e\x20\x65\162\162\x6f\x72\40\x68\x61\163\x20\157\143\x63\x75\162\x72\145\144\54\40\x65\x72\162\x6f\x72\40\155\x65\163\163\141\147\x65\x3a\x20\x25\145\x72\x72\x6f\162\115\145\163\x73\141\147\x65\x25", ["\45\145\162\x72\157\x72\115\x65\163\x73\141\x67\x65\x25" => $e->getMessage()])); } goto f8d8d; a3b4d: $databaseUserName = $request->get("\144\141\x74\x61\142\x61\x73\145\x55\x73\145\x72\116\x61\155\145"); goto Dfcd5; Feda0: D2cbf: goto Fe796; Dfcd5: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto bccda; a4e1d: return $response; goto Bc3bc; bf9a8: } public function varnishCache(Request $request) : Response { goto Fd8ae; B0959: if (!(true === $purgeCacheForm->isSubmitted())) { goto a95ee; } goto f3bab; C8af2: $varnishCacheSettingsData = ["\151\163\105\x6e\141\142\x6c\145\x64" => true === isset($varnishCacheSettings["\x65\156\141\x62\154\145\144"]) && true === $varnishCacheSettings["\145\x6e\x61\x62\154\x65\x64"] ? true : false, "\163\145\162\166\x65\162" => true === isset($varnishCacheSettings["\x73\145\x72\166\x65\162"]) ? $varnishCacheSettings["\163\x65\162\x76\x65\x72"] : "\61\x32\x37\56\60\56\60\56\x31\72\66\x30\x38\x31", "\x63\141\x63\150\145\124\x61\147\120\162\x65\x66\151\170" => true === isset($varnishCacheSettings["\143\141\x63\x68\x65\x54\x61\147\x50\162\x65\146\x69\170"]) ? $varnishCacheSettings["\x63\x61\143\150\x65\124\141\147\x50\162\145\x66\x69\170"] : substr(md5(time()), 0, 4), "\143\x61\143\x68\x65\x4c\x69\146\145\x74\x69\x6d\145" => true === isset($varnishCacheSettings["\143\x61\x63\150\x65\x4c\151\x66\x65\164\x69\155\145"]) ? $varnishCacheSettings["\x63\x61\143\x68\x65\114\x69\x66\145\164\x69\x6d\x65"] : "\66\60\x34\70\x30\x30", "\145\x78\143\x6c\x75\x64\145\x64\120\141\x72\141\x6d\163" => true === isset($varnishCacheSettings["\145\170\143\154\x75\x64\x65\144\120\141\x72\x61\155\163"]) ? implode("\x2c", $varnishCacheSettings["\145\170\x63\154\x75\x64\145\144\x50\141\x72\141\155\x73"]) : "\137\x5f\123\x49\104\x2c\x6e\x6f\103\x61\x63\x68\145\x2c", "\x65\170\143\x6c\165\x64\x65\163" => true === isset($varnishCacheSettings["\x65\x78\x63\x6c\x75\x64\x65\163"]) ? implode(PHP_EOL, $varnishCacheSettings["\145\x78\x63\154\x75\x64\x65\x73"]) : '']; goto bcaa4; a262f: b5a28: goto B0959; a8146: $response = $this->handleVarnishCacheSettingsForm($request, $settingsForm, $site); goto ce6aa; c62eb: A1ea6: goto A7281; bcaa4: $settingsForm = $this->createVarnishCacheSettingsForm($site, $varnishCacheSettingsData); goto Dfd0a; Ba2a4: if (!(false === is_null($response))) { goto A1ea6; } goto F0379; adfca: Aaa34: goto a262f; B9264: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\x69\164\145\163")); goto c8010; b6b44: dee4f: goto F1883; cb2c7: Fd476: goto aed75; F1883: $response = $this->render("\106\162\157\x6e\164\145\156\144\x2f\123\151\x74\x65\57\166\x61\x72\156\151\163\x68\x2d\143\141\x63\150\145\56\x68\x74\155\x6c\56\x74\x77\x69\x67", ["\x73\151\164\145" => $site, "\163\145\x74\x74\151\x6e\147\x73\106\157\x72\x6d" => $settingsForm->createView(), "\160\165\x72\x67\x65\x43\141\143\150\145\106\x6f\x72\155" => $purgeCacheForm->createView(), "\146\x6f\162\x6d\x45\x72\162\x6f\x72\163" => $this->formErrors]); goto cb2c7; A7281: a95ee: goto b6b44; A2db2: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto dee4f; } goto D6ac9; F0379: return $response; goto c62eb; Fd8ae: $site = $this->getSite($request); goto d41af; a86e9: return $response; goto adfca; A07ec: $purgeCacheForm->handleRequest($request); goto D299e; D299e: if (!(true === $settingsForm->isSubmitted())) { goto b5a28; } goto a8146; c8010: goto Fd476; goto f8092; aed75: return $response; goto fe2c1; f8092: e795d: goto d754c; D6ac9: $settingsForm->handleRequest($request); goto A07ec; Dfd0a: $purgeCacheForm = $this->createVarnishCachePurgeCacheForm($site); goto A2db2; d754c: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto C8af2; d41af: if (false === is_null($site) && true === $site->getVarnishCache()) { goto e795d; } goto B9264; ce6aa: if (!(false === is_null($response))) { goto Aaa34; } goto a86e9; f3bab: $response = $this->handleVarnishCachePurgeCacheForm($request, $purgeCacheForm, $site); goto Ba2a4; fe2c1: } private function createVarnishCacheSettingsForm(Site $site, array $data) : Form { goto Eb158; F9605: $form->add("\x73\165\142\155\x69\x74", SubmitType::class, ["\x61\164\x74\x72" => ["\x63\x6c\141\x73\163" => "\142\164\x6e\x20\x62\x74\156\55\x62\x6c\165\145\40\x62\x74\x6e\55\x6c\147"], "\x6c\x61\142\145\154" => "\x53\141\x76\145"]); goto b3461; Eb158: $form = $this->createForm("\101\x70\x70\x5c\106\x6f\x72\x6d\134\123\151\164\x65\x56\141\x72\x6e\151\x73\x68\x43\x61\x63\x68\145\123\x65\164\x74\151\156\x67\x73\x54\x79\x70\145", $data, ["\141\143\164\151\157\156" => $this->generateUrl("\x63\x6c\160\x5f\163\151\164\145\137\x76\x61\x72\156\151\163\150\x5f\x63\x61\x63\x68\145", ["\144\x6f\155\x61\151\156\116\x61\155\145" => $site->getDomainName()]), "\155\145\x74\x68\157\144" => "\x50\x4f\x53\124", "\x61\x74\164\x72" => []]); goto F9605; b3461: return $form; goto ea0f4; ea0f4: } private function createVarnishCachePurgeCacheForm(Site $site) : Form { goto A40b2; A40b2: $form = $this->createForm("\101\160\x70\x5c\106\157\x72\155\134\x53\151\164\x65\x56\x61\162\156\151\163\x68\103\141\143\150\x65\120\165\x72\x67\145\x43\x61\x63\150\x65\x54\x79\x70\x65", ["\163\151\164\145" => $site], ["\141\143\x74\151\x6f\x6e" => $this->generateUrl("\143\154\x70\137\x73\151\164\x65\137\166\x61\162\156\x69\x73\150\x5f\x63\x61\x63\150\145", ["\144\x6f\155\x61\151\x6e\116\141\x6d\145" => $site->getDomainName()]), "\155\x65\164\150\x6f\144" => "\120\117\123\124", "\141\x74\x74\x72" => []]); goto E31e8; E31e8: $form->add("\163\x75\142\155\151\164", SubmitType::class, ["\x61\x74\x74\162" => ["\x63\154\141\x73\163" => "\142\164\156\x20\x62\164\x6e\x2d\x62\x6c\165\x65\x20\142\x74\x6e\55\x6c\147"], "\x6c\x61\142\145\154" => "\120\165\x72\x67\145\x20\x43\x61\143\x68\x65"]); goto B1947; B1947: return $form; goto Bba02; Bba02: } private function handleVarnishCacheSettingsForm(Request $request, Form $form, Site $site) { goto a8d3e; ef9e0: try { goto fe800; ad5a2: if (false === is_null($siteEntity)) { goto a0c3e; } goto eb63d; cbbb1: $domainName = $site->getDomainName(); goto F8a7a; E197d: $excludes = array_map("\x74\162\x69\155", array_filter(explode(PHP_EOL, trim($form->get("\x65\x78\x63\154\165\144\x65\163")->getData())))); goto da2d4; A21b0: $cacheTagPrefix = $form->get("\143\141\143\x68\x65\124\141\x67\120\x72\x65\146\151\x78")->getData(); goto f4f9a; C0d45: goto d1cae; goto Fec6e; F413a: $siteUpdater = $this->getSiteUpdater($site); goto C66f7; D6943: $site->setVarnishCacheSettings($varnishCacheSettings); goto F413a; dac4d: d1cae: goto cbe04; Fec6e: a0c3e: goto E0ec6; c3ab1: $eventData = ["\163\x69\x74\x65" => $domainName, "\x76\x61\162\156\x69\163\150\103\141\143\150\145\105\156\x61\142\x6c\x65\x64" => $isEnabled, "\x73\x65\x72\166\145\x72" => $server, "\143\141\143\150\145\124\x61\x67\120\x72\x65\x66\x69\170" => $cacheTagPrefix, "\x63\141\x63\150\145\x4c\x69\146\145\x74\151\x6d\x65" => $cacheLifetime, "\x65\x78\x63\154\165\144\x65\x73" => $excludes, "\x65\x78\143\154\165\144\x65\144\120\x61\162\141\x6d\x73" => $excludedParams]; goto D37d1; C66f7: $siteUpdater->writeVarnishCacheSettingsFile($varnishCacheSettings); goto A0576; E0ec6: $user = $this->getUser(); goto f6417; F8a7a: $siteEntity = $this->getSiteEntity($domainName); goto ad5a2; B80cc: $session->getFlashBag()->set("\163\x75\143\143\145\163\163", $this->translator->trans("\x56\141\162\x6e\151\163\x68\x20\103\x61\x63\150\145\40\123\x65\164\x74\x69\x6e\x67\x73\x20\150\x61\x76\x65\x20\142\x65\145\x6e\x20\x73\141\x76\145\x64\56")); goto E9972; da2d4: $varnishCacheSettings = ["\x65\x6e\141\x62\154\x65\x64" => $isEnabled, "\x73\145\162\x76\145\162" => $server, "\x63\141\x63\x68\145\x54\x61\x67\120\162\x65\146\x69\170" => $cacheTagPrefix, "\x63\x61\143\x68\x65\x4c\x69\146\x65\164\x69\x6d\145" => $cacheLifetime, "\x65\170\143\x6c\165\x64\x65\x73" => $excludes, "\x65\x78\x63\154\165\144\145\144\120\x61\x72\x61\x6d\163" => $excludedParams]; goto D6943; A0576: $siteUpdater->phpSettings(); goto c3ab1; a1aa3: $cacheLifetime = $form->get("\x63\x61\143\x68\145\x4c\x69\146\x65\x74\x69\x6d\x65")->getData(); goto A21b0; E9972: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\151\x74\x65\137\x76\141\x72\x6e\151\x73\x68\x5f\x63\141\143\x68\145", ["\144\157\x6d\141\x69\156\x4e\x61\155\x65" => $site->getDomainName()])); goto dac4d; cbe04: return $response; goto E2482; F61cb: $server = $form->get("\x73\x65\x72\x76\x65\x72")->getData(); goto a1aa3; f6417: $isEnabled = $form->get("\151\x73\x45\x6e\x61\142\x6c\145\x64")->getData(); goto F61cb; fe800: $session = $request->getSession(); goto cbbb1; eb63d: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\164\145\163")); goto C0d45; D37d1: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_SETTINGS_UPDATE, $user, $eventData, $request); goto B80cc; f4f9a: $excludedParams = array_map("\164\162\151\155", array_filter(explode("\x2c", trim($form->get("\x65\x78\x63\x6c\165\x64\x65\x64\120\x61\162\141\x6d\x73")->getData())))); goto E197d; E2482: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\145\x72", $this->translator->trans("\x41\156\x20\x65\162\162\157\162\x20\x68\141\163\x20\x6f\143\143\165\x72\162\145\x64\54\x20\x65\x72\x72\x6f\x72\40\x6d\145\163\163\141\x67\x65\x3a\x20\45\145\162\x72\x6f\x72\115\x65\x73\163\x61\x67\x65\x25", ["\x25\x65\x72\x72\157\162\115\x65\163\x73\141\x67\x65\x25" => $e->getMessage()])); } goto C50ee; Dc615: $this->formErrors = $this->getErrorMessages($form); goto a70ea; a70ea: goto c9f1b; goto d3a5f; a8d3e: if (true === $form->isValid()) { goto b4e23; } goto Dc615; C50ee: c9f1b: goto D9254; d3a5f: b4e23: goto ef9e0; D9254: } private function handleVarnishCachePurgeCacheForm(Request $request, Form $form, Site $site) { goto A528f; Ebd68: f054a: goto D57ad; C1293: try { goto cbc45; af7c0: D6ca2: goto ea0cc; A729e: goto Ff2ab; goto a3e27; bca04: if (false === empty($purgeValues) && true === isset($varnishCacheSettings["\163\145\162\166\x65\162"]) && false === empty($varnishCacheSettings["\163\x65\162\166\x65\x72"])) { goto Eb5c0; } goto Badbd; da556: Eb5c0: goto a7aae; ae41a: foreach ($purgeValues as $purgeValue) { goto e8cea; c3eeb: F1a69: goto Ed92f; bde9a: E3cb8: goto ddaef; E5a5b: d47a9: goto c3eeb; e8cea: $purgeValue = trim($purgeValue); goto fa944; fa944: if (!(false === empty($purgeValue))) { goto F1a69; } goto daa42; Ace87: $varnishCacheClient->purgeTag($purgeValue); goto Dd0c1; ddaef: $varnishCacheClient->purgeUrl($purgeValue); goto E5a5b; daa42: if (true === str_starts_with($purgeValue, "\x68\164\x74\160")) { goto E3cb8; } goto Ace87; Ed92f: f58b7: goto Cbe5b; Dd0c1: goto d47a9; goto bde9a; Cbe5b: } goto af7c0; Cf0f1: $session->getFlashBag()->set("\x73\165\143\x63\145\163\163", $this->translator->trans("\126\x61\x72\x6e\x69\x73\x68\40\x43\141\x63\150\145\x20\150\141\163\40\x62\x65\145\156\x20\160\165\x72\147\x65\144\56")); goto Dbd1c; c4949: $user = $this->getUser(); goto cc3c4; A741a: $eventData = ["\x73\x69\164\145" => $domainName, "\166\x61\154\x75\145\x73" => implode("\x2c", $purgeValues)]; goto c9f55; cc3c4: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto cbcd9; a3e27: E94df: goto c4949; B5733: $varnishCacheClient->setServer($varnishCacheSettings["\x73\x65\162\x76\145\162"]); goto ae41a; Db326: return $response; goto Fd3c2; a7aae: $varnishCacheClient = new VarnishCacheClient(); goto B5733; Badbd: throw new \Exception("\x56\x61\x72\156\151\163\150\40\103\141\143\x68\x65\40\x53\x65\x74\x74\x69\156\x67\x73\40\x63\141\156\156\x6f\164\x20\142\x65\40\145\155\160\x74\171\x2e"); goto F2c45; F2c45: goto a0d88; goto da556; b79f5: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\164\x65\x73")); goto A729e; Da5a2: $domainName = $site->getDomainName(); goto B25fe; B25fe: $siteEntity = $this->getSiteEntity($domainName); goto e29f4; Dbd1c: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\x74\x65\137\166\x61\162\156\x69\x73\150\137\143\141\143\x68\145", ["\x64\x6f\155\141\x69\x6e\x4e\141\155\x65" => $site->getDomainName()])); goto bda3c; c9f55: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto Cf0f1; e29f4: if (false === is_null($siteEntity)) { goto E94df; } goto b79f5; cbcd9: $purgeValues = array_map("\164\162\151\155", array_filter(explode("\x2c", trim($form->get("\x76\141\154\165\x65")->getData())))); goto bca04; bda3c: Ff2ab: goto Db326; ea0cc: a0d88: goto A741a; cbc45: $session = $request->getSession(); goto Da5a2; Fd3c2: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\x65\162", $this->translator->trans("\x41\x6e\x20\x65\x72\x72\x6f\162\40\150\141\x73\x20\157\143\143\x75\162\x72\x65\144\54\40\145\162\162\x6f\x72\x20\155\145\163\x73\141\x67\x65\72\x20\45\x65\x72\x72\x6f\x72\x4d\145\x73\163\x61\x67\145\x25", ["\45\145\x72\162\x6f\162\115\145\163\163\141\x67\x65\x25" => $e->getMessage()])); } goto Ebd68; Fb27e: aa617: goto C1293; f8811: $this->formErrors = $this->getErrorMessages($form); goto D9fd7; A528f: if (true === $form->isValid()) { goto aa617; } goto f8811; D9fd7: goto f054a; goto Fb27e; D57ad: } public function purgeVarnishCache(Request $request) : Response { goto D1168; C7148: goto Ce33e; goto d05a4; D1168: $site = $this->getSite($request); goto f4c97; Ca24a: return $response; goto Cb92a; E2eb1: Ce33e: goto Ca24a; C9233: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\x69\164\x65\x5f\x76\x61\x72\x6e\151\163\x68\137\x63\x61\x63\150\x65", ["\x64\x6f\x6d\x61\151\156\x4e\141\155\x65" => $site->getDomainName()])); goto ca107; e97c0: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\x74\x65\x73")); goto C7148; d05a4: Be660: goto d5046; f4c97: if (false === is_null($site)) { goto Be660; } goto e97c0; ca107: return $response; goto E2eb1; d5046: try { goto cc117; b0c7a: $cacheTagPrefix = $varnishCacheSettings["\x63\x61\x63\x68\x65\x54\141\x67\x50\162\x65\x66\x69\170"]; goto B4cd6; e80f9: $eventData = ["\163\x69\164\x65" => $domainName, "\x70\x75\x72\x67\145" => "\x66\165\154\154"]; goto b321f; E8b8a: $varnishCacheClient->setServer($varnishCacheSettings["\x73\x65\162\x76\145\162"]); goto Be0ca; abe50: $varnishCacheClient->purgeHost($domainName); goto F9d55; cc117: $user = $this->getUser(); goto E788a; E788a: $session = $request->getSession(); goto aeb6c; F9d55: df8bd: goto e80f9; C0ae0: $session->getFlashBag()->set("\x73\165\x63\x63\145\163\x73", $this->translator->trans("\x56\141\162\156\x69\x73\150\40\x43\141\x63\x68\x65\x20\x68\141\x73\40\x62\x65\x65\x6e\x20\160\165\x72\147\x65\144\56")); goto f3e85; aeb6c: $domainName = $site->getDomainName(); goto C3ab0; Be0ca: $varnishCacheClient->purgeTag($cacheTagPrefix); goto abe50; b321f: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto C0ae0; C3ab0: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto ee7cc; B4cd6: $varnishCacheClient = new VarnishCacheClient(); goto E8b8a; ee7cc: if (!(true === isset($varnishCacheSettings["\x73\x65\x72\166\145\162"]) && true === isset($varnishCacheSettings["\143\141\143\150\145\x54\141\x67\120\x72\145\146\151\170"]) && false === empty($varnishCacheSettings["\x63\141\x63\150\x65\x54\141\x67\120\162\x65\x66\x69\170"]))) { goto df8bd; } goto b0c7a; f3e85: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\x65\x72", $this->translator->trans("\101\156\40\x65\162\162\157\162\x20\x68\141\x73\x20\157\x63\x63\x75\162\162\145\144\54\40\145\x72\162\157\x72\x20\x6d\145\x73\163\x61\x67\x65\x3a\40\45\x65\x72\x72\157\162\115\145\163\x73\x61\x67\x65\45", ["\45\145\x72\x72\x6f\162\115\x65\163\x73\141\147\x65\x25" => $e->getMessage()])); } goto C9233; Cb92a: } public function vhost(Request $request) : Response { goto dfc58; B6730: $response = $this->handleVhostUpdate($request, $site, $siteEntity, $oldVhostTemplate); goto b8a91; a3aab: if (false === is_null($site)) { goto c62a8; } goto Cf293; Eb351: b31ca: goto D96be; b8a91: if (!(false === is_null($response))) { goto b31ca; } goto b4ca5; B2073: return $response; goto eb067; d84a4: $site->setVhostTemplate($vhostTemplate); goto B6730; bf835: if (!(true === $request->isMethod("\120\117\123\124"))) { goto bdd18; } goto Cfb5b; de80c: $vhostTemplate = trim($request->get("\x76\150\x6f\163\164\55\x74\145\x6d\x70\154\x61\x74\x65")); goto cff79; bbc76: $response = $this->render("\106\162\157\156\164\x65\156\144\x2f\123\x69\x74\145\x2f\166\x68\157\163\x74\x2e\150\164\x6d\154\x2e\x74\167\x69\147", ["\x73\151\164\x65" => $site]); goto cb3d3; c3f1a: a209a: goto de80c; b4ca5: return $response; goto Eb351; D659b: if (!(false === $isCsrfTokenValid)) { goto a209a; } goto f1330; cb3d3: e9255: goto B2073; f1330: throw new InvalidCsrfTokenException("\x54\x68\145\40\103\x53\122\106\x20\164\x6f\153\x65\156\x20\151\x73\40\x69\x6e\x76\141\x6c\151\144\x2e"); goto c3f1a; d4975: c62a8: goto bf835; Cfb5b: $isCsrfTokenValid = $this->isCsrfTokenValid("\166\150\157\163\x74\55\165\x70\144\141\164\x65", (string) $request->get("\164\157\x6b\145\x6e")); goto D659b; A7c6b: $oldVhostTemplate = $siteEntity->getVhostTemplate(); goto d84a4; cff79: if (!(false === empty($vhostTemplate))) { goto C4829; } goto A4561; A6dac: $siteEntity = $this->getSiteEntity($domainName); goto A7c6b; a4807: bdd18: goto bbc76; Eb82c: goto e9255; goto d4975; Cf293: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\x69\x74\x65\x73")); goto Eb82c; D96be: C4829: goto a4807; dfc58: $site = $this->getSite($request); goto a3aab; A4561: $domainName = $site->getDomainName(); goto A6dac; eb067: } private function handleVhostUpdate(Request $request, Site $site, SiteEntity $siteEntity, string $oldVhostTemplate) { try { goto bae23; d9f63: $siteUpdater = $this->getSiteUpdater($site); goto c72ab; c72ab: $siteUpdater->updateNginxVhostWithRollback(); goto E7e1b; d98fc: $session->getFlashBag()->set("\163\165\143\143\145\x73\163", $this->translator->trans("\x56\x68\157\x73\164\x20\x68\x61\x73\x20\x62\x65\x65\x6e\x20\163\141\x76\x65\144\56")); goto D5218; Bcaff: if (!(true === str_contains($site->getVhostTemplate(), "\x64\x69\x73\141\x62\x6c\145\137\163\x79\155\154\x69\156\153\163"))) { goto Fa82f; } goto efee8; B2d01: EventQueue::addEvent(EventQueue::EVENT_SITE_VHOST_UPDATE, $user, $eventData, $request); goto bfa44; Ed36b: $vhostTemplate = $site->getVhostTemplate(); goto d9f63; f3a24: Fa82f: goto f405a; A2e1f: $this->siteEntityManager->updateEntity($siteEntity); goto d98fc; f5863: $session = $request->getSession(); goto Bcaff; f405a: $domainName = $site->getDomainName(); goto Ed36b; bfa44: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\x74\x65\137\x76\150\157\163\164", ["\x64\x6f\x6d\x61\x69\x6e\116\x61\x6d\x65" => $domainName])); goto Ce596; Ce596: return $response; goto A195f; bae23: $user = $this->getUser(); goto f5863; D5218: $eventData = ["\x73\151\164\145" => $domainName, "\166\150\x6f\x73\164" => $vhostTemplate, "\157\154\x64\x56\150\x6f\163\x74" => $oldVhostTemplate]; goto B2d01; E7e1b: $siteEntity->setVhostTemplate($vhostTemplate); goto A2e1f; efee8: throw new InvalidVhostException("\x64\151\163\x61\x62\x6c\145\x5f\x73\171\x6d\x6c\151\x6e\x6b\163\x20\x69\163\x20\156\x6f\x74\40\x61\x6c\154\157\167\x65\144\56"); goto f3a24; A195f: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\x64\141\156\147\145\162", $this->translator->trans("\x56\150\x6f\163\x74\x20\151\x73\x20\156\157\x74\40\x76\141\154\x69\x64\54\x20\145\162\x72\157\162\40\155\x65\163\x73\141\147\145\x3a\40\x25\145\x72\162\157\x72\115\x65\x73\x73\x61\147\145\45", ["\x25\x65\x72\x72\157\x72\115\145\x73\x73\141\x67\x65\45" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\162", $this->translator->trans("\101\x6e\40\145\x72\x72\x6f\162\40\150\x61\x73\40\x6f\143\143\x75\162\x72\x65\x64\x2c\x20\x65\x72\x72\157\162\40\x6d\x65\x73\163\x61\x67\x65\x3a\40\45\x65\162\162\157\162\x4d\145\163\163\x61\147\145\45", ["\45\145\162\x72\157\162\x4d\145\x73\x73\141\147\145\45" => $e->getMessage()])); } } public function settings(Request $request) : Response { goto F2ad9; cc8fd: $nodejsSettingsForm->handleRequest($request); goto b5247; c486d: if (!(SiteEntity::TYPE_PYTHON == $site->getType())) { goto b9d88; } goto bf8e2; B5e1b: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto fb02b; } goto C720c; F9832: $response = $this->render("\106\162\157\156\164\145\x6e\144\x2f\x53\x69\x74\x65\57\163\145\x74\164\x69\x6e\x67\x73\x2e\x68\x74\155\x6c\x2e\x74\x77\151\x67", $parameters); goto Fb300; c244e: unset($parameters["\160\141\147\x65\x53\x70\x65\x65\x64\x53\145\x74\164\x69\156\x67\x73\x46\x6f\162\155"]); goto A2ece; b6b17: $domainSettingsForm = $this->createDomainSettingsForm($site, $domainSettingsData); goto Bc602; fbdec: Ed7c8: goto C5764; C46ab: D9f91: goto Dd7a1; D1226: a508c: goto f1964; ec97f: $parameters["\162\145\166\x65\162\163\145\120\162\x6f\170\x79\123\145\x74\164\151\x6e\147\163\x46\157\162\x6d"] = $reverseProxySettingsForm->createView(); goto de7f3; D9dae: if (!(SiteEntity::TYPE_NODEJS == $site->getType())) { goto Ee5af; } goto F2502; Fa760: $reverseProxySettingsForm->handleRequest($request); goto e995a; dc1b6: $siteDeleteForm->handleRequest($request); goto a186c; cc10a: $siteUserSettingsForm->handleRequest($request); goto dc1b6; D2517: $nodejsSettingsForm = $this->createNodejsSettingsForm($site, $nodejsSettings); goto c4a4d; c806f: return $response; goto C9f83; b19fa: return $response; goto fd8a8; aa607: if (!(true === $pageSpeedSettingsForm->isSubmitted())) { goto Ed7c8; } goto b6446; bf8e2: $pythonSettings = $site->getPythonSettings(); goto ca919; bb05c: $response = $this->handleSiteDeleteForm($request, $siteDeleteForm, $site); goto D3361; D01ae: goto cf2b8; goto F6451; b6446: $response = $this->handlePageSpeedSettingsForm($request, $pageSpeedSettingsForm, $site); goto fbdec; d9ff6: $response = $this->handleSiteUserSettingsForm($request, $siteUserSettingsForm, $site); goto B7f26; f1964: A01e3: goto e32cd; bf757: $domainSettingsData = ["\144\x6f\155\x61\151\x6e\116\x61\155\x65" => $site->getDomainName(), "\162\157\157\x74\x44\x69\x72\145\x63\164\x6f\162\x79" => $site->getRootDirectory()]; goto Bc600; F6451: c6b7c: goto bf757; ab51d: $response = $this->handleReverseProxySettingsForm($request, $reverseProxySettingsForm, $site); goto E39e5; dc583: $phpSettingsForm = $this->createPhpSettingsForm($site, $phpSettings); goto B5e1b; c4a4d: if (!(true === $request->isMethod("\x50\117\x53\124"))) { goto Fa8cb; } goto B750c; d333d: $pageSpeedSettingsData = ["\x69\x73\105\156\141\142\x6c\145\144" => $site->getPageSpeedEnabled(), "\x73\145\164\164\x69\x6e\147\x73" => $site->getPageSpeedSettings()]; goto b6b17; F6812: if (!(true === $request->isMethod("\x50\x4f\123\x54"))) { goto D9f91; } goto Bbb47; b3754: $parameters["\146\x6f\162\155\x45\x72\x72\x6f\x72\163"] = $this->formErrors; goto F9832; add17: b8443: goto b3754; E6722: b81cd: goto bc5fc; b1f37: if (!(false === is_null($response))) { goto Fcdaf; } goto F4177; E7ba8: if (!(true === $request->isMethod("\x50\117\x53\124"))) { goto fdbdd; } goto Fa760; C8296: if (!(SiteEntity::TYPE_REVERSE_PROXY == $site->getType())) { goto b8443; } goto b5b65; A34bd: $phpSettings = $site->getPhpSettings(); goto dc583; a3030: if (false === is_null($site)) { goto c6b7c; } goto cb65d; e2704: return $response; goto F7e4b; Bbb47: $pythonSettingsForm->handleRequest($request); goto e2d59; ee441: return $response; goto E6722; f5bfd: $response = $this->handlePhpSettingsForm($request, $phpSettingsForm, $currentPhpSettings, $site); goto Cf1ba; A2ece: Ee5af: goto F9c35; B664b: bd46d: goto c5bf5; E814b: return $response; goto D1226; C720c: $currentPhpSettings = clone $phpSettings; goto bc675; Bc602: $siteUserSettingsForm = $this->createSiteUserSettingsForm($site, $siteUserSettingsData); goto C69b8; F2502: $nodejsSettings = $site->getNodejsSettings(); goto D2517; B7f26: b9e65: goto aa607; F2ad9: $site = $this->getSite($request); goto a3030; C9f83: E3027: goto B664b; c2180: $response = $this->handleDomainSettingsForm($request, $domainSettingsForm, $site); goto Ce03f; b7f40: $parameters["\156\x6f\x64\145\152\163\123\x65\164\164\x69\x6e\147\163\106\x6f\x72\x6d"] = $nodejsSettingsForm->createView(); goto c244e; Cb9c7: b9d88: goto C8296; D6aa0: fb02b: goto C5d6e; b5247: if (!(true === $nodejsSettingsForm->isSubmitted())) { goto C70ba; } goto Cbcae; ca1d8: cda70: goto c486d; C8799: if (!(true === $siteUserSettingsForm->isSubmitted())) { goto b9e65; } goto d9ff6; fd8a8: Bb75f: goto b02c8; a2058: C70ba: goto Bfbf5; F77c9: $response = $this->handlePythonSettingsForm($request, $pythonSettingsForm, $site); goto B9727; e32cd: $parameters = ["\x73\151\164\x65" => $site, "\144\x6f\155\x61\151\156\x53\145\x74\164\151\156\x67\x73\106\157\162\155" => $domainSettingsForm->createView(), "\163\x69\164\145\x55\x73\x65\x72\x53\x65\164\164\151\x6e\x67\x73\106\157\x72\x6d" => $siteUserSettingsForm->createView(), "\160\141\x67\145\x53\x70\x65\x65\144\123\145\x74\164\151\x6e\147\163\106\x6f\x72\155" => $pageSpeedSettingsForm->createView(), "\163\151\164\145\x44\x65\154\x65\164\x65\106\157\162\x6d" => $siteDeleteForm->createView()]; goto D9dae; e995a: if (!(true === $reverseProxySettingsForm->isSubmitted())) { goto bd46d; } goto ab51d; C69b8: $pageSpeedSettingsForm = $this->createPageSpeedSettingsForm($site, $pageSpeedSettingsData); goto B5adf; b02c8: cc743: goto D6aa0; B5adf: $siteDeleteForm = $this->createSiteDeleteForm($site, $siteDeleteData); goto F55bd; B9727: if (!(false === is_null($response))) { goto b81cd; } goto ee441; ca919: $pythonSettingsForm = $this->createPythonSettingsForm($site, $pythonSettings); goto F6812; C5764: if (!(true === $siteDeleteForm->isSubmitted())) { goto ab2c3; } goto bb05c; c5bf5: fdbdd: goto ec97f; Df90e: if (!(false === is_null($response))) { goto a508c; } goto E814b; C5d6e: $parameters["\x70\x68\x70\x53\x65\x74\x74\x69\x6e\x67\163\x46\157\x72\x6d"] = $phpSettingsForm->createView(); goto ca1d8; E39e5: if (!(false === is_null($response))) { goto E3027; } goto c806f; F4177: return $response; goto eaf46; de7f3: unset($parameters["\x70\x61\x67\145\x53\160\145\x65\x64\x53\145\x74\164\x69\156\147\x73\106\x6f\x72\x6d"]); goto add17; b5b65: $reverseProxySettingsForm = $this->createReverseProxySettingsForm($site); goto E7ba8; eaf46: Fcdaf: goto a2058; Cf1ba: if (!(false === is_null($response))) { goto Bb75f; } goto b19fa; F9c35: if (!(SiteEntity::TYPE_PHP == $site->getType())) { goto cda70; } goto A34bd; e2d59: if (!(true === $pythonSettingsForm->isSubmitted())) { goto E5ead; } goto F77c9; D3361: ab2c3: goto Df90e; Cbcae: $response = $this->handleNodejsSettingsForm($request, $nodejsSettingsForm, $currentNodeSettings, $site); goto b1f37; bc675: $phpSettingsForm->handleRequest($request); goto ea75b; Dd7a1: $parameters["\160\171\164\x68\157\x6e\x53\145\x74\x74\151\x6e\x67\x73\x46\x6f\162\x6d"] = $pythonSettingsForm->createView(); goto Cb9c7; cb65d: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\151\164\x65\163")); goto D01ae; B750c: $currentNodeSettings = clone $nodejsSettings; goto cc8fd; Fb300: cf2b8: goto e2704; bc5fc: E5ead: goto C46ab; Bfbf5: Fa8cb: goto b7f40; d92fe: $domainSettingsForm->handleRequest($request); goto cc10a; Bc600: $siteUserSettingsData = ["\x73\151\x74\145\x55\163\145\162" => $site->getUser(), "\163\x73\150\x4b\145\171\163" => $site->getSshKeys()]; goto Ca270; a186c: $pageSpeedSettingsForm->handleRequest($request); goto b28a9; Ca270: $siteDeleteData = ["\x64\157\155\x61\x69\x6e\116\141\155\x65" => $site->getDomainName()]; goto d333d; F55bd: if (!(true === $request->isMethod("\x50\117\x53\124"))) { goto A01e3; } goto d92fe; b28a9: $response = null; goto ed890; Ce03f: cf79e: goto C8799; ed890: if (!(true === $domainSettingsForm->isSubmitted())) { goto cf79e; } goto c2180; ea75b: if (!(true === $phpSettingsForm->isSubmitted())) { goto cc743; } goto f5bfd; F7e4b: } public function purgePageSpeedCache(Request $request) : Response { goto B3341; da763: try { goto a9c21; d7f85: $session = $request->getSession(); goto a5f54; a5f54: $siteUpdater = $this->getSiteUpdater($site); goto d0448; a9c21: $user = $this->getUser(); goto d7f85; Dd224: $session->getFlashBag()->set("\x73\165\x63\x63\145\x73\163", $this->translator->trans("\x50\141\x67\145\40\x53\x70\145\x65\144\40\x43\141\x63\x68\x65\40\x68\141\x73\40\x62\145\x65\156\x20\160\x75\162\x67\x65\x64\56")); goto B352c; d0448: $siteUpdater->purgePageSpeedCache(); goto E2424; E2424: $eventData = ["\163\x69\x74\145" => $site->getDomainName()]; goto e1914; e1914: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_CACHE_PURGE, $user, $eventData, $request); goto Dd224; B352c: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\145\x72", $this->translator->trans("\101\156\40\145\162\x72\x6f\162\x20\x68\141\163\x20\x6f\x63\143\x75\162\x72\x65\144\x2c\x20\145\162\162\157\162\40\155\x65\x73\163\x61\x67\x65\72\x20\x25\145\x72\162\x6f\x72\115\x65\x73\x73\x61\147\145\x25", ["\45\145\162\x72\157\162\115\145\x73\x73\141\x67\145\x25" => $e->getMessage()])); } goto Cbcf8; dbee7: goto d3134; goto e6979; A218d: return $response; goto E51e7; B3341: $site = $this->getSite($request); goto C2485; C2485: if (false === is_null($site)) { goto E2888; } goto df919; F6065: return $response; goto Bc2f1; df919: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\151\164\x65\x73")); goto dbee7; Bc2f1: d3134: goto A218d; e6979: E2888: goto da763; Cbcf8: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\x74\145\x5f\163\x65\164\164\x69\x6e\147\163", ["\x64\157\x6d\x61\x69\156\116\141\x6d\x65" => $site->getDomainName()])); goto F6065; E51e7: } private function createDomainSettingsForm(Site $site, array $data) : Form { goto E3b89; E0695: $form->add("\x73\x75\142\x6d\x69\164", SubmitType::class, ["\141\164\x74\x72" => ["\x63\154\141\163\163" => "\x62\x74\x6e\x20\x62\x74\x6e\55\142\154\x75\x65\40\x62\x74\156\x2d\154\x67"], "\154\141\x62\145\x6c" => "\123\141\166\145"]); goto df2d8; df2d8: return $form; goto Fa2d8; E3b89: $form = $this->createForm("\101\x70\x70\134\x46\157\x72\x6d\x5c\123\x69\164\145\104\x6f\x6d\141\151\156\123\x65\x74\x74\151\156\147\x73\124\171\160\x65", $data, ["\141\x63\x74\151\157\156" => $this->generateUrl("\143\154\x70\137\163\151\164\145\137\163\145\164\164\x69\156\147\x73", ["\144\x6f\x6d\141\151\x6e\x4e\x61\x6d\x65" => $site->getDomainName()]), "\155\x65\x74\150\x6f\144" => "\x50\x4f\x53\x54", "\x61\x74\x74\162" => []]); goto E0695; Fa2d8: } private function createSiteUserSettingsForm(Site $site, array $data) : Form { goto db8b0; fe28c: $form->add("\163\x75\142\155\x69\164", SubmitType::class, ["\x61\x74\164\x72" => ["\143\x6c\141\163\163" => "\142\164\x6e\40\x62\x74\x6e\55\x62\154\165\145\x20\x62\164\156\55\x6c\147"], "\154\x61\x62\145\154" => "\x53\x61\166\x65"]); goto E8fa6; db8b0: $form = $this->createForm("\x41\160\x70\134\106\157\x72\155\134\x53\x69\164\x65\x55\163\x65\x72\123\x65\164\164\x69\156\x67\x73\x54\x79\x70\x65", $data, ["\x61\x63\164\x69\157\156" => $this->generateUrl("\x63\154\x70\x5f\163\151\x74\145\137\163\x65\x74\164\x69\156\x67\163", ["\x64\157\x6d\x61\x69\x6e\116\x61\155\145" => $site->getDomainName()]), "\x6d\145\164\x68\157\x64" => "\x50\117\123\x54", "\141\164\164\162" => []]); goto fe28c; E8fa6: return $form; goto E8cab; E8cab: } private function createPageSpeedSettingsForm(Site $site, array $data) : Form { goto Dcb7c; E161c: return $form; goto Ee6d9; Daf37: $form->add("\163\165\142\155\151\164", SubmitType::class, ["\x61\164\x74\x72" => ["\x63\x6c\x61\x73\x73" => "\142\164\156\40\x62\x74\156\x2d\x62\x6c\165\x65\40\x62\x74\x6e\x2d\x6c\147"], "\x6c\141\142\x65\154" => "\x53\141\x76\x65"]); goto E161c; Dcb7c: $form = $this->createForm("\x41\160\x70\x5c\106\x6f\162\x6d\x5c\x53\151\164\x65\120\141\147\x65\x53\160\145\145\144\123\x65\164\164\x69\156\147\163\124\171\x70\x65", $data, ["\141\x63\x74\x69\x6f\156" => $this->generateUrl("\x63\154\x70\137\163\151\x74\x65\137\163\x65\x74\164\x69\156\x67\x73", ["\x64\157\155\x61\151\156\x4e\x61\155\145" => $site->getDomainName()]), "\155\145\x74\x68\157\144" => "\x50\117\x53\x54", "\141\164\164\162" => []]); goto Daf37; Ee6d9: } private function createReverseProxySettingsForm(Site $site) : Form { goto ad8e2; ad8e2: $data = ["\x72\x65\x76\x65\x72\x73\145\120\162\x6f\170\x79\x55\x72\x6c" => $site->getReverseProxyUrl()]; goto e3209; E2ee5: return $form; goto baacd; e3209: $form = $this->createForm("\x41\x70\x70\134\106\x6f\x72\155\x5c\x53\151\164\x65\x52\145\166\x65\x72\x73\145\x50\162\157\x78\x79\123\x65\x74\164\x69\156\x67\x73\x54\171\160\x65", $data, ["\x61\x63\164\x69\x6f\x6e" => $this->generateUrl("\x63\x6c\x70\137\x73\x69\164\145\x5f\x73\x65\164\x74\151\156\147\x73", ["\144\157\155\141\151\156\x4e\141\x6d\145" => $site->getDomainName()]), "\x6d\145\164\150\x6f\x64" => "\x50\x4f\123\x54", "\141\164\164\162" => ["\151\x64" => "\162\145\166\145\x72\163\145\x2d\160\x72\157\x78\x79\55\x73\145\164\x74\x69\156\x67\163\55\x66\157\x72\155"]]); goto E6ce5; E6ce5: $form->add("\x73\x75\x62\155\x69\164", SubmitType::class, ["\x61\x74\x74\162" => ["\x63\154\x61\x73\x73" => "\x62\164\156\40\142\164\x6e\x2d\x62\154\x75\145\x20\x62\164\x6e\x2d\154\147"], "\x6c\x61\142\145\x6c" => "\123\141\x76\145"]); goto E2ee5; baacd: } private function createNodejsSettingsForm(Site $site, NodejsSettings $nodejsSettings) : Form { goto f4b01; f4b01: $form = $this->createForm("\x41\x70\x70\134\x46\x6f\162\155\134\x53\x69\x74\x65\x4e\157\144\145\152\x73\123\145\164\164\x69\156\x67\163\124\171\x70\145", $nodejsSettings, ["\x61\x63\x74\151\157\156" => $this->generateUrl("\143\154\x70\137\163\151\164\145\x5f\163\x65\164\164\x69\x6e\x67\x73", ["\144\157\x6d\x61\x69\156\x4e\141\x6d\x65" => $site->getDomainName()]), "\x6d\145\164\150\x6f\x64" => "\120\x4f\123\124", "\141\x74\x74\x72" => ["\151\x64" => "\156\x6f\x64\x65\152\163\x2d\x73\x65\x74\x74\151\x6e\x67\163\x2d\146\157\x72\x6d"]]); goto C69cf; C69cf: $form->add("\163\165\x62\x6d\151\164", SubmitType::class, ["\141\x74\x74\162" => ["\143\x6c\141\x73\x73" => "\x62\x74\156\x20\x62\164\x6e\x2d\142\x6c\165\x65\40\142\164\156\x2d\154\x67"], "\154\141\x62\145\154" => "\123\141\166\145"]); goto a24d7; a24d7: return $form; goto a40d1; a40d1: } private function createPhpSettingsForm(Site $site, PhpSettings $phpSettings) : Form { goto A7563; B8e76: return $form; goto C27b7; A7563: $form = $this->createForm("\101\160\x70\134\106\157\162\x6d\134\x53\151\x74\x65\120\x68\x70\123\145\164\164\x69\x6e\147\163\124\171\x70\145", $phpSettings, ["\x61\143\164\x69\x6f\156" => $this->generateUrl("\143\x6c\160\137\163\x69\x74\x65\x5f\x73\x65\x74\x74\151\156\147\x73", ["\x64\157\155\141\x69\156\x4e\x61\x6d\145" => $site->getDomainName()]), "\x6d\x65\164\x68\x6f\144" => "\120\x4f\x53\124", "\141\164\164\x72" => []]); goto A7325; A7325: $form->add("\163\165\142\x6d\x69\164", SubmitType::class, ["\141\x74\x74\x72" => ["\x63\154\141\x73\163" => "\142\164\x6e\x20\x62\164\156\55\142\x6c\165\x65\x20\142\x74\x6e\55\x6c\147"], "\x6c\141\x62\x65\x6c" => "\x53\x61\x76\x65"]); goto B8e76; C27b7: } private function createPythonSettingsForm(Site $site, PythonSettings $pythonSettings) : Form { goto E84e1; a91de: return $form; goto Cf391; C232b: $form->add("\x73\165\142\155\151\x74", SubmitType::class, ["\x61\164\x74\x72" => ["\x63\154\x61\163\x73" => "\142\164\156\x20\142\164\x6e\x2d\x62\x6c\x75\145\x20\142\164\156\55\154\147"], "\x6c\x61\142\145\x6c" => "\x53\141\166\x65"]); goto a91de; E84e1: $form = $this->createForm("\x41\160\x70\134\106\x6f\162\x6d\134\x53\151\164\145\120\171\164\x68\x6f\x6e\x53\x65\164\x74\x69\156\147\x73\124\x79\x70\145", $pythonSettings, ["\141\x63\164\x69\157\156" => $this->generateUrl("\x63\154\160\x5f\x73\x69\x74\x65\137\163\x65\x74\x74\x69\156\147\x73", ["\144\157\155\x61\151\x6e\116\x61\x6d\x65" => $site->getDomainName()]), "\155\x65\164\x68\157\x64" => "\x50\117\x53\x54", "\x61\164\164\x72" => []]); goto C232b; Cf391: } private function createSiteDeleteForm(Site $site, array $data) : Form { goto Dca37; a0dc4: $form->add("\163\165\142\155\x69\x74", SubmitType::class, ["\x61\164\x74\162" => ["\x63\154\141\163\x73" => "\142\164\x6e\x20\x62\164\156\x2d\142\154\165\x65\x20\142\x74\x6e\55\x6c\x67", "\x64\151\163\141\x62\154\145\x64" => "\144\151\x73\141\142\154\x65\x64"], "\154\x61\x62\145\x6c" => "\x44\145\x6c\x65\164\x65\x20\x53\x69\164\145"]); goto d5512; Dca37: $form = $this->createForm("\x41\x70\x70\134\106\157\162\x6d\x5c\123\x69\x74\145\x44\x65\154\145\164\145\124\x79\x70\x65", $data, ["\x61\x63\164\151\157\156" => $this->generateUrl("\x63\x6c\160\x5f\x73\151\x74\x65\137\163\145\164\164\151\x6e\147\x73", ["\144\157\x6d\141\x69\156\x4e\x61\155\x65" => $site->getDomainName()]), "\x6d\x65\164\150\157\144" => "\120\x4f\x53\x54", "\141\x74\x74\162" => []]); goto a0dc4; d5512: return $form; goto c793e; c793e: } private function handleDomainSettingsForm(Request $request, Form $form, Site $site) { goto Ef85f; Ef85f: if (true === $form->isValid()) { goto Ce223; } goto a004e; F5b33: try { goto B3177; C3103: $eventData = ["\x73\x69\x74\145" => $domainName, "\162\157\157\x74\x44\x69\162\145\143\x74\x6f\x72\x79" => $rootDirectory]; goto Bb261; A2deb: return $response; goto d724b; E6c6d: $site->setRootDirectory($rootDirectory); goto De4c5; d217c: e851c: goto E5f90; B3177: $user = $this->getUser(); goto b12fa; b12fa: $session = $request->getSession(); goto b158a; E5f90: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\x74\x65\137\163\145\x74\x74\151\156\147\x73", ["\144\x6f\155\x61\x69\x6e\x4e\x61\x6d\145" => $site->getDomainName()])); goto A2deb; b158a: $domainName = $site->getDomainName(); goto C760d; caa20: $siteUpdater = $this->getSiteUpdater($site); goto C21e2; Bb261: EventQueue::addEvent(EventQueue::EVENT_SITE_ROOT_DIRECTORY_UPDATE, $user, $eventData, $request); goto C04ee; C04ee: $session->getFlashBag()->set("\163\165\x63\x63\x65\163\x73", $this->translator->trans("\122\157\x6f\x74\x20\104\151\x72\145\143\164\x6f\x72\171\40\150\141\163\40\142\145\x65\x6e\40\x73\x61\x76\x65\144\x2e")); goto d217c; De4c5: $siteEntity->setRootDirectory($rootDirectory); goto d6a99; C760d: $siteEntity = $this->getSiteEntity($domainName); goto Defd4; a60cb: $rootDirectory = rtrim($form->get("\x72\157\x6f\164\104\151\x72\x65\143\164\x6f\x72\171")->getData(), "\x2f"); goto E6c6d; d6a99: $this->siteEntityManager->updateEntity($siteEntity); goto caa20; C21e2: $siteUpdater->domainSettings(); goto C3103; Defd4: if (!(false === is_null($siteEntity))) { goto e851c; } goto a60cb; d724b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\145\x72", $this->translator->trans("\101\156\x20\x65\162\x72\157\162\40\x68\x61\x73\40\x6f\143\x63\165\162\162\145\x64\x2c\x20\x65\x72\x72\157\162\40\155\145\163\x73\x61\x67\145\x3a\40\45\145\162\x72\157\162\115\x65\163\163\141\x67\145\x25", ["\x25\x65\x72\x72\157\x72\x4d\x65\x73\x73\x61\x67\x65\x25" => $e->getMessage()])); } goto Cc72c; ac92f: goto c1cc8; goto d9c0e; Cc72c: c1cc8: goto E3e61; d9c0e: Ce223: goto F5b33; a004e: $this->formErrors = $this->getErrorMessages($form); goto ac92f; E3e61: } private function handleSiteUserSettingsForm(Request $request, Form $form, Site $site) { goto E8abf; Ccc12: try { goto C9c65; D89f6: EventQueue::addEvent(EventQueue::EVENT_SITE_USER_SETTINGS_UPDATE, $user, $eventData, $request); goto cc31a; d8a22: if (!(false === empty($password))) { goto fdeed; } goto B80cf; Da0f6: $this->siteEntityManager->updateEntity($siteEntity); goto E995a; Eb696: $siteUpdater->updateUserSShKeys($siteUser, $sshKeys); goto d8a22; B80cf: $siteUpdater->changeUserPassword($siteUser, $password); goto Accf3; F04fa: $password = trim($form->get("\x70\x61\x73\163\167\x6f\162\x64")->getData()); goto Df13e; eb876: $siteEntity = $this->getSiteEntity($domainName); goto ff385; E995a: $siteUpdater = $this->getSiteUpdater($site); goto Eb696; ff385: if (!(false === is_null($siteEntity))) { goto e3dec; } goto dc3fd; E48b5: $domainName = $site->getDomainName(); goto eb876; ea43b: $eventData = ["\x73\x69\164\x65" => $domainName, "\163\163\x68\x4b\145\171\x73" => $sshKeys]; goto D89f6; Be249: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\x69\164\145\137\163\x65\164\164\x69\156\147\x73", ["\144\x6f\x6d\x61\x69\156\116\141\x6d\145" => $site->getDomainName()])); goto Dc6b8; befce: e3dec: goto Be249; C37a4: $session = $request->getSession(); goto E48b5; f666e: $sshKeys = trim($form->get("\x73\163\x68\x4b\145\x79\x73")->getData()); goto F04fa; Dc6b8: return $response; goto eeab1; cc31a: $session->getFlashBag()->set("\x73\x75\x63\143\x65\163\163", $this->translator->trans("\x53\x69\x74\x65\x20\x55\163\x65\x72\x20\123\145\x74\x74\x69\x6e\147\x73\x20\x68\141\x76\145\x20\x62\145\145\156\x20\163\141\166\x65\144\x2e")); goto befce; Accf3: fdeed: goto ea43b; dc3fd: $siteUser = $site->getUser(); goto f666e; C9c65: $user = $this->getUser(); goto C37a4; Df13e: $siteEntity->setSshKeys($sshKeys); goto Da0f6; eeab1: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\145\x72", $this->translator->trans("\101\x6e\40\x65\x72\x72\x6f\162\x20\150\141\163\40\157\143\x63\x75\162\x72\x65\144\x2c\x20\x65\162\162\x6f\162\40\x6d\145\x73\163\141\147\x65\x3a\40\x25\x65\x72\x72\x6f\x72\x4d\x65\x73\x73\141\x67\x65\x25", ["\45\x65\162\162\x6f\162\115\x65\163\x73\x61\147\145\x25" => $e->getMessage()])); } goto F63e6; E0592: $this->formErrors = $this->getErrorMessages($form); goto C4d40; C4d40: goto D6715; goto Fe74f; F63e6: D6715: goto Bd3e2; Fe74f: ed99e: goto Ccc12; E8abf: if (true === $form->isValid()) { goto ed99e; } goto E0592; Bd3e2: } private function handlePageSpeedSettingsForm(Request $request, Form $form, Site $site) { goto B6210; fe4cd: goto C4f44; goto c9b4e; D17ac: $this->formErrors = $this->getErrorMessages($form); goto fe4cd; f3037: C4f44: goto Cba2d; B6210: if (true === $form->isValid()) { goto fa0ca; } goto D17ac; c9b4e: fa0ca: goto aa194; aa194: try { goto f0b99; ca4f2: if (!(false === is_null($siteEntity))) { goto d2ff8; } goto A0b64; F559c: $siteEntity->setPageSpeedSettings($settings); goto aeddb; C4f9e: return $response; goto b05a1; F394b: $siteEntity = $this->getSiteEntity($domainName); goto ca4f2; D1670: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\x69\164\145\x5f\163\x65\164\x74\151\156\x67\x73", ["\144\x6f\x6d\141\x69\156\x4e\x61\x6d\x65" => $site->getDomainName()])); goto C4f9e; A14b4: $settings = trim($form->get("\x73\x65\x74\x74\x69\x6e\x67\163")->getData()); goto a02f2; a07d5: $siteUpdater = $this->getSiteUpdater($site); goto cc9a3; F9358: $session = $request->getSession(); goto E9470; e151a: $eventData = ["\x73\151\164\145" => $domainName, "\x70\x61\147\145\123\x70\x65\x65\x64\x45\x6e\x61\142\x6c\145\x64" => $isEnabled, "\160\x61\x67\145\x53\160\x65\x65\x64\123\145\x74\164\x69\x6e\147\x73" => $settings]; goto faf39; cc9a3: $siteUpdater->updateNginxVhostWithRollback(); goto E2543; a02f2: $site->setPageSpeedEnabled($isEnabled); goto C2291; be579: $siteEntity->setPageSpeedEnabled($isEnabled); goto F559c; de37b: $session->getFlashBag()->set("\163\x75\x63\143\x65\x73\x73", $this->translator->trans("\x50\141\147\x65\40\x53\x70\x65\x65\x64\x20\x53\145\164\164\151\156\147\x73\x20\150\141\166\145\x20\x62\x65\x65\156\x20\x73\141\x76\x65\144\56")); goto C870e; faf39: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_SETTINGS_UPDATE, $user, $eventData, $request); goto de37b; E9470: $domainName = $site->getDomainName(); goto F394b; A0b64: $isEnabled = $form->get("\151\163\x45\156\141\142\154\x65\144")->getData(); goto A14b4; C870e: d2ff8: goto D1670; aeddb: $this->siteEntityManager->updateEntity($siteEntity); goto e151a; C2291: $site->setPageSpeedSettings($settings); goto a07d5; f0b99: $user = $this->getUser(); goto F9358; E2543: $siteUpdater->purgePageSpeedCache(); goto be579; b05a1: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\x64\141\156\147\145\x72", $this->translator->trans("\x50\x61\x67\145\123\x70\145\145\x64\x20\x53\145\164\x74\x69\x6e\147\40\x61\x72\x65\40\x6e\x6f\x74\40\166\x61\154\151\x64\x2c\40\x65\162\162\157\x72\40\155\x65\163\x73\x61\x67\x65\x3a\40\45\145\x72\162\x6f\162\115\145\163\163\x61\147\145\x25", ["\x25\145\x72\162\x6f\x72\x4d\x65\163\x73\x61\x67\145\45" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\x65\x72", $this->translator->trans("\101\x6e\40\145\162\162\157\x72\x20\150\x61\163\40\157\x63\x63\165\162\162\145\144\54\x20\145\x72\162\157\x72\40\155\x65\x73\x73\x61\x67\145\x3a\40\x25\x65\162\162\x6f\162\x4d\x65\163\163\x61\x67\x65\x25", ["\45\145\x72\x72\157\162\115\x65\x73\163\141\x67\145\45" => $e->getMessage()])); } goto f3037; Cba2d: } private function handleSiteDeleteForm(Request $request, Form $form, Site $site) { goto ad13e; fbefc: goto a1530; goto A758b; ad13e: if (true === $form->isValid()) { goto E4261; } goto d6716; bd1a4: try { goto d1dd1; Ae871: E4def: goto B7f21; B7f21: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\x69\x74\x65\x73")); goto cf94b; d9fe0: $siteDeleter = $this->getSiteDeleter($site); goto cbbac; cf94b: return $response; goto e75ba; Feea5: $domainName = $site->getDomainName(); goto a20e4; A5ca2: $this->siteEntityManager->deleteEntity($siteEntity); goto cb5e5; cb5e5: $eventData = ["\163\151\x74\x65" => $domainName, "\x74\x79\x70\x65" => $site->getType()]; goto C1ced; d1dd1: $user = $this->getUser(); goto A670c; a20e4: $siteEntity = $this->getSiteEntity($domainName); goto cba5a; C1ced: EventQueue::addEvent(EventQueue::EVENT_SITE_DELETE, $user, $eventData, $request); goto F00c2; cbbac: $siteDeleter->delete(); goto A5ca2; F00c2: $session->getFlashBag()->set("\163\x75\143\143\145\163\x73", $this->translator->trans("\123\151\x74\145\x20\x68\x61\163\x20\x62\145\145\156\x20\x64\145\x6c\145\x74\145\144\56")); goto Ae871; cba5a: if (!(false === is_null($siteEntity))) { goto E4def; } goto d9fe0; A670c: $session = $request->getSession(); goto Feea5; e75ba: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\x65\x72", $this->translator->trans("\101\x6e\40\145\162\x72\x6f\x72\x20\150\141\x73\x20\x6f\143\143\165\x72\x72\x65\x64\54\x20\145\x72\x72\x6f\x72\40\x6d\145\x73\163\141\x67\145\x3a\x20\x25\145\162\162\x6f\162\115\x65\163\x73\141\147\x65\45", ["\x25\x65\x72\x72\157\x72\115\145\163\163\141\147\x65\45" => $e->getMessage()])); } goto F2ba7; A758b: E4261: goto bd1a4; d6716: $this->formErrors = $this->getErrorMessages($form); goto fbefc; F2ba7: a1530: goto E5d45; E5d45: } private function handleNodejsSettingsForm(Request $request, Form $form, NodejsSettings $currentNodejsSettings, Site $site) { goto c0532; Fcd03: try { goto F687f; Dd4f2: cf29d: goto b2e24; e6fc6: if (!(false === is_null($siteEntity))) { goto cf29d; } goto ecd68; A862b: $session = $request->getSession(); goto Fef83; F5410: D0529: goto d295b; F6050: $siteEntity = $this->getSiteEntity($domainName); goto e6fc6; Fef83: $domainName = $site->getDomainName(); goto F6050; Ecd6d: $nodejsVersion = $nodejsSettings->getNodejsVersion(); goto fd8a6; Aad98: $siteUpdater->installNodejsVersion(); goto F5410; fd8a6: $hasNodejsVersionChanged = $currentNodejsSettings->getNodejsVersion() != $nodejsVersion; goto ea092; B924a: return $response; goto D53ce; E184c: $eventData = ["\x73\151\164\145" => $domainName, "\x6e\x6f\x64\145\152\x73\126\145\x72\x73\151\x6f\156" => $nodejsVersion, "\160\157\162\x74" => $nodejsSettings->getPort()]; goto Bf7d0; ecd68: $nodejsSettings = $form->getData(); goto Ecd6d; ea092: $siteUpdater = $this->getSiteUpdater($site); goto Da272; Da272: if (!(true === $hasNodejsVersionChanged)) { goto D0529; } goto Aad98; d295b: $siteUpdater->nodejsSettings(); goto ac957; ac957: $this->siteEntityManager->updateEntity($siteEntity); goto E184c; Dbb9f: $session->getFlashBag()->set("\163\x75\x63\x63\145\x73\163", $this->translator->trans("\116\157\144\x65\56\152\x73\x20\x53\x65\x74\164\x69\x6e\147\x73\x20\x68\141\166\145\x20\x62\145\145\156\40\x73\141\x76\145\144\x2e")); goto Dd4f2; F687f: $user = $this->getUser(); goto A862b; Bf7d0: EventQueue::addEvent(EventQueue::EVENT_SITE_NODEJS_SETTINGS_UPDATE, $user, $eventData, $request); goto Dbb9f; b2e24: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\x69\164\x65\x5f\163\x65\164\x74\151\156\147\x73", ["\x64\x6f\x6d\x61\x69\156\116\x61\155\x65" => $site->getDomainName()])); goto B924a; D53ce: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\145\x72", $this->translator->trans("\101\x6e\x20\145\x72\162\157\x72\40\x68\141\163\40\x6f\x63\143\165\x72\162\145\x64\x2c\x20\x65\162\162\157\162\40\x6d\145\x73\x73\x61\x67\x65\72\x20\45\x65\x72\162\157\x72\x4d\x65\163\x73\x61\x67\145\45", ["\x25\145\x72\162\x6f\162\115\x65\163\x73\x61\147\x65\45" => $e->getMessage()])); } goto Ab12a; c0532: if (true === $form->isValid()) { goto a81ca; } goto D248d; Ab12a: C9902: goto Ebc6c; F6fbb: a81ca: goto Fcd03; D248d: $this->formErrors = $this->getErrorMessages($form); goto E69b4; E69b4: goto C9902; goto F6fbb; Ebc6c: } private function handlePythonSettingsForm(Request $request, Form $form, Site $site) { goto E5f6e; A5e4c: e8d29: goto a2372; a1dcc: a2244: goto c8a7f; A863e: goto a2244; goto A5e4c; a2372: try { goto a05ce; bae9a: $siteUpdater->pythonSettings(); goto aecf6; F892c: Dc173: goto A7ec3; Cf652: $siteUpdater->writePythonVersionFile(); goto bae9a; b66ea: $eventData = ["\x73\151\164\145" => $domainName, "\x70\171\164\150\x6f\x6e\126\145\162\x73\151\x6f\156" => $pythonVersion, "\x70\157\162\x74" => $pythonSettings->getPort()]; goto da93e; D3a86: $session = $request->getSession(); goto da481; D46b7: $siteUpdater = $this->getSiteUpdater($site); goto Cf652; ecd15: $session->getFlashBag()->set("\163\x75\x63\x63\x65\x73\x73", $this->translator->trans("\x50\x79\x74\x68\157\x6e\40\x53\x65\x74\x74\151\x6e\x67\x73\x20\150\x61\x76\x65\40\x62\x65\x65\156\40\x73\141\166\x65\144\56")); goto F892c; da481: $domainName = $site->getDomainName(); goto B0e7c; a05ce: $user = $this->getUser(); goto D3a86; aecf6: $this->siteEntityManager->updateEntity($siteEntity); goto b66ea; B0e7c: $siteEntity = $this->getSiteEntity($domainName); goto C8727; C8727: if (!(false === is_null($siteEntity))) { goto Dc173; } goto d193d; d193d: $pythonSettings = $form->getData(); goto D8152; A7ec3: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\x74\145\x5f\163\x65\x74\x74\x69\156\x67\x73", ["\x64\x6f\155\141\151\x6e\x4e\x61\x6d\x65" => $site->getDomainName()])); goto Bb9bc; D8152: $pythonVersion = $pythonSettings->getPythonVersion(); goto D46b7; da93e: EventQueue::addEvent(EventQueue::EVENT_SITE_PYTHON_SETTINGS_UPDATE, $user, $eventData, $request); goto ecd15; Bb9bc: return $response; goto F7846; F7846: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\x65\x72", $this->translator->trans("\x41\x6e\x20\145\162\162\157\162\x20\x68\141\163\x20\157\143\143\165\x72\x72\x65\144\x2c\40\145\162\x72\x6f\162\40\155\145\x73\x73\x61\147\145\72\40\45\x65\x72\162\x6f\x72\x4d\145\x73\163\x61\147\145\45", ["\45\x65\x72\x72\x6f\162\115\x65\163\163\141\147\x65\45" => $e->getMessage()])); } goto a1dcc; d55cf: $this->formErrors = $this->getErrorMessages($form); goto A863e; E5f6e: if (true === $form->isValid()) { goto e8d29; } goto d55cf; c8a7f: } private function handleReverseProxySettingsForm(Request $request, Form $form, Site $site) { goto d0750; Dc885: Ca0f3: goto A5071; a1bad: E65d7: goto fe457; d0750: if (true === $form->isValid()) { goto Ca0f3; } goto cd714; A5071: try { goto Fd7ff; fe149: $siteUpdater = $this->getSiteUpdater($site); goto fd092; a036f: $siteEntity->setReverseProxyUrl($reverseProxyUrl); goto fe149; Cf96e: $siteEntity = $this->getSiteEntity($domainName); goto Cf0fc; Cf0fc: if (!(false === is_null($siteEntity))) { goto F09c6; } goto Fabaf; C4adb: $this->siteEntityManager->updateEntity($siteEntity); goto ad180; ac1f9: $session = $request->getSession(); goto d5e4c; Fabaf: $reverseProxyUrl = $form->get("\162\145\x76\145\162\x73\145\x50\x72\157\x78\x79\125\162\x6c")->getData(); goto d4341; aa4ca: F09c6: goto d6006; F5e24: return $response; goto cd477; d4341: $site->setReverseProxyUrl($reverseProxyUrl); goto a036f; d5e4c: $domainName = $site->getDomainName(); goto Cf96e; edca3: $session->getFlashBag()->set("\163\165\143\143\145\x73\x73", $this->translator->trans("\x52\145\166\145\x72\x73\x65\40\120\x72\x6f\x78\171\40\123\145\x74\x74\151\156\147\163\40\150\141\x76\x65\40\x62\x65\x65\156\x20\163\141\x76\145\x64\56")); goto aa4ca; F56bb: EventQueue::addEvent(EventQueue::EVENT_SITE_REVERSE_PROXY_SETTINGS_UPDATE, $user, $eventData, $request); goto edca3; d6006: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\x69\x74\x65\137\163\x65\164\164\151\156\147\x73", ["\144\x6f\155\x61\151\x6e\116\x61\155\145" => $site->getDomainName()])); goto F5e24; Fd7ff: $user = $this->getUser(); goto ac1f9; fd092: $siteUpdater->updateNginxVhostWithRollback(); goto C4adb; ad180: $eventData = ["\163\x69\164\145" => $domainName, "\x72\145\166\x65\162\163\x65\120\x72\x6f\x78\171\125\162\154" => $reverseProxyUrl]; goto F56bb; cd477: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\145\162", $this->translator->trans("\x41\156\40\x65\162\x72\157\x72\40\150\141\x73\40\157\x63\143\165\x72\x72\145\144\x2c\40\145\162\x72\x6f\x72\x20\x6d\145\x73\163\141\x67\145\x3a\40\45\x65\x72\162\157\162\x4d\x65\163\163\x61\x67\x65\x25", ["\x25\145\162\x72\157\x72\115\145\x73\x73\141\x67\x65\45" => $e->getMessage()])); } goto a1bad; cd714: $this->formErrors = $this->getErrorMessages($form); goto c9d10; c9d10: goto E65d7; goto Dc885; fe457: } private function handlePhpSettingsForm(Request $request, Form $form, PhpSettings $currentPhpSettings, Site $site) { goto A6fed; dd6e4: $this->formErrors = $this->getErrorMessages($form); goto c3614; b12bb: try { goto c8a25; D47ce: if (!(true === $hasPhpVersionChanged)) { goto aafce; } goto Da5a1; d9ee4: $siteUpdater->phpSettings(); goto c1cd1; C5d5c: $eventData = ["\163\151\x74\145" => $domainName, "\160\x68\160\126\x65\x72\163\151\x6f\156" => $phpSettings->getPhpVersion(), "\x6d\145\155\x6f\x72\171\x5f\154\151\155\151\x74" => $phpSettings->getMemoryLimit(), "\x6d\x61\170\x5f\x65\x78\145\x63\x75\x74\x69\157\x6e\137\x74\x69\155\145" => $phpSettings->getMaxExecutionTime(), "\155\141\x78\x5f\151\156\160\x75\164\x5f\164\x69\x6d\145" => $phpSettings->getMaxInputTime(), "\155\x61\x78\x5f\151\156\x70\x75\x74\x5f\x76\141\x72\x73" => $phpSettings->getMaxInputVars(), "\x70\157\x73\164\137\x6d\x61\x78\137\163\x69\172\145" => $phpSettings->getPostMaxSize(), "\x75\160\154\157\x61\x64\137\x6d\141\170\x5f\x66\151\154\x65\163\x69\172\145" => $phpSettings->getUploadMaxFileSize()]; goto c3e6e; c1c0f: $session->getFlashBag()->set("\163\x75\x63\x63\x65\x73\163", $this->translator->trans("\120\x48\120\x20\x53\145\164\x74\151\x6e\147\163\x20\x68\x61\166\x65\40\142\145\145\x6e\40\x73\141\x76\x65\x64\56")); goto c7aa9; a0352: $siteUpdater = $this->getSiteUpdater($site); goto D47ce; f3299: $session = $request->getSession(); goto a70bd; f1842: aafce: goto d9ee4; Bae38: $phpSettings = $form->getData(); goto F5e5a; Da5a1: $siteUpdater->changePhpVersion($currentPhpSettings->getPhpVersion(), $phpSettings->getPhpVersion()); goto f1842; d96be: $siteEntity = $this->getSiteEntity($domainName); goto d5e7e; c1cd1: $this->siteEntityManager->updateEntity($siteEntity); goto C5d5c; d5e7e: if (!(false === is_null($siteEntity))) { goto dd07c; } goto Bae38; a9498: return $response; goto db9e2; F5e5a: $hasPhpVersionChanged = $currentPhpSettings->getPhpVersion() != $phpSettings->getPhpVersion(); goto a0352; a70bd: $domainName = $site->getDomainName(); goto d96be; c7aa9: dd07c: goto E5321; E5321: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\151\x74\x65\137\x73\145\x74\164\x69\156\x67\163", ["\144\x6f\x6d\141\151\x6e\x4e\141\155\x65" => $site->getDomainName()])); goto a9498; c8a25: $user = $this->getUser(); goto f3299; c3e6e: EventQueue::addEvent(EventQueue::EVENT_SITE_PHP_SETTINGS_UPDATE, $user, $eventData, $request); goto c1c0f; db9e2: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\x65\x72", $this->translator->trans("\101\x6e\40\145\x72\162\x6f\162\x20\150\141\x73\x20\157\143\x63\165\162\162\145\144\54\40\x65\x72\162\157\x72\x20\x6d\145\163\163\x61\x67\x65\72\x20\45\145\162\x72\157\162\x4d\x65\x73\163\x61\x67\x65\45", ["\45\145\x72\162\x6f\162\x4d\145\163\x73\141\x67\x65\x25" => $e->getMessage()])); } goto e9a13; c3614: goto cff8d; goto ae866; e9a13: cff8d: goto Ebb14; A6fed: if (true === $form->isValid()) { goto c02b0; } goto dd6e4; ae866: c02b0: goto b12bb; Ebb14: } private function getSite(Request $request) : ?Site { goto Cf2e9; a0b0d: $siteType = $siteEntity->getType(); goto b75ba; f2c04: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto D2be5; cf38f: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto A38eb; E4595: $site->setCronJobs($siteEntity->getCronJobs()); goto b6a9b; b2101: $site->setBlockedBots($siteEntity->getBlockedBots()); goto D1048; d6ddf: $siteDatabases = $this->getSiteDatabases($siteEntity); goto c5a67; B0fff: b172d: goto da68b; Cf2e9: $user = $this->getUser(); goto e6277; b3fbc: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto cf38f; Ea21f: $siteEntity = $this->getSiteEntity($domainName); goto Ed07a; c4e45: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto B0fff; Dce66: $subdomain = false === empty($subdomain) ? $subdomain : null; goto d6ddf; f5dd5: $site->setSubdomain($subdomain); goto fcb61; b6a9b: $site->setFtpUsers($siteEntity->getFtpUsers()); goto d32d0; A9797: return null; goto f44b3; f4209: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto f2c04; C8c2b: $site->setSshKeys($siteEntity->getSshKeys()); goto b3fbc; Cd751: $site->setDatabases($siteDatabases); goto b3800; A38eb: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto c4e45; b75ba: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto b1f9d; f4313: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto f64be; f64be: goto c5f3e; goto d58f3; b1f9d: $site = new NodejsSite(); goto f4313; d58f3: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto c5f3e; case SiteEntity::TYPE_PHP: goto F1954; Bc503: goto c5f3e; goto B907b; A4336: $site->setPhpSettings($siteEntity->getPhpSettings()); goto f3c92; f3c92: $site->setVarnishCache($siteEntity->getVarnishCache()); goto Bc503; F1954: $site = new PhpSite(); goto A4336; B907b: case SiteEntity::TYPE_PYTHON: goto cd8b5; cd8b5: $site = new PythonSite(); goto c92cd; c1d2d: goto c5f3e; goto f4786; c92cd: $site->setPythonSettings($siteEntity->getPythonSettings()); goto c1d2d; f4786: case SiteEntity::TYPE_REVERSE_PROXY: goto Cba88; Cba88: $site = new ReverseProxySite(); goto aa49c; aa49c: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto C0858; C0858: goto c5f3e; goto d7450; d7450: } goto Bf500; Adfb3: return $site; goto c6d64; Ed07a: $site = null; goto C22ce; D1048: $site->setBlockedIps($siteEntity->getBlockedIps()); goto Cd751; da68b: f6069: goto Adfb3; A493a: $site->setCertificates($siteEntity->getCertificates()); goto E4595; a43a3: $site->setDomainName($siteEntity->getDomainName()); goto Dd924; f44b3: Bbfba: goto a0b0d; d32d0: $site->setSshUsers($siteEntity->getSshUsers()); goto C8c2b; e6277: $domainName = $request->get("\x64\x6f\155\x61\x69\156\116\141\155\145"); goto Ea21f; f8246: if (!(false === is_null($site))) { goto b172d; } goto f4209; fcb61: $site->setRootDirectory($siteEntity->getRootDirectory()); goto Ee84e; Dd924: $site->setRegistrableDomain($registrableDomain); goto f5dd5; Ee2fb: if (!(UserEntity::ROLE_USER == $user->getRole() && false === $user->hasSite($siteEntity))) { goto Bbfba; } goto A9797; C22ce: if (!(false === is_null($siteEntity))) { goto f6069; } goto Ee2fb; D2be5: $subdomain = $resolvedDomainName->subDomain()->toString(); goto Dce66; c5a67: $site->setUser($siteEntity->getUser()); goto a43a3; b90c9: c5f3e: goto f8246; Bf500: d3b75: goto b90c9; Ee84e: $site->setBasicAuth($siteEntity->getBasicAuth()); goto b2101; b3800: $site->setCertificate($siteEntity->getCertificate()); goto A493a; c6d64: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto f8877; D4e11: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto d8194; fe699: return $siteDatabases; goto a2767; Ed9ee: foreach ($databaseEntities as $databaseEntity) { goto A1e14; A1e14: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto ee05b; A71a3: B6b11: goto Af28f; F6e2d: bd5c6: goto A71a3; ee05b: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto bd5c6; } goto a39b3; a39b3: $siteDatabases->add($databaseEntity); goto F6e2d; Af28f: } goto Daa40; f8877: $siteDatabases = new ArrayCollection(); goto D4e11; d8194: $databaseEntities = $siteEntity->getDatabases(); goto Ed9ee; Daa40: e872e: goto fe699; a2767: } private function getSiteUpdater(Site $site) : ?SiteUpdater { goto F870d; Afb23: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto fc895; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto fc895; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto fc895; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto fc895; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto fc895; } goto E313e; D28e7: fc895: goto a5baa; db81e: $siteType = $site->getType(); goto Afb23; a5baa: return $siteUpdater; goto Aab8c; F870d: $siteUpdater = null; goto db81e; E313e: Aa37d: goto D28e7; Aab8c: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto b1d4e; B9441: $siteType = $site->getType(); goto B0b6d; B0b6d: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto aca0d; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto aca0d; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto aca0d; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto aca0d; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto aca0d; } goto d6b8a; d6b8a: c02d1: goto c2d61; daa27: return $siteDeleter; goto F0f68; c2d61: aca0d: goto daa27; b1d4e: $siteDeleter = null; goto B9441; F0f68: } private function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } }
