<?php
 namespace App\EventListener; use Symfony\Component\HttpKernel\Event\RequestEvent; use Symfony\Component\EventDispatcher\EventSubscriberInterface; use Symfony\Component\Console\Event\ConsoleCommandEvent; use Symfony\Component\HttpKernel\KernelEvents; use Symfony\Component\Console\ConsoleEvents; use Symfony\Contracts\Cache\ItemInterface; use Psr\Cache\CacheItemPoolInterface as CachePool; use GuzzleHttp\Client as HttpClient; use GuzzleHttp\Psr7\Request; use Twig\Environment as TwigEnvironment; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\UserManager; use App\Entity\Manager\DatabaseServerManager; use App\Command\Command; use App\Util\PasswordGenerator; use App\CloudPanel\Environment as CloudPanelEnvironment; use App\CloudPanel\Aws\Instance as AwsInstance; use App\CloudPanel\Do\Instance as DoInstance; use App\CloudPanel\Gce\Instance as GceInstance; use App\CloudPanel\Hetzner\Instance as HetznerInstance; use App\CloudPanel\Vultr\Instance as VultrInstance; use App\CloudPanel\Instance; use App\Do\Client as DoClient; use App\Gce\Client as GceClient; use App\Hetzner\Client as HetznerClient; use App\Vultr\Client as VultrClient; use App\System\CommandExecutor; use App\System\Command\ChangeDatabaseUserPasswordCommand; use App\Entity\DatabaseServer; use App\Service\Crypto; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Database\Connection as DatabaseConnection; use App\Util\Retry; class InitializeListener implements EventSubscriberInterface { private const IP_REQUEST_URL = "\x68\x74\164\160\163\x3a\x2f\x2f\x64\63\x71\156\144\65\64\x71\70\x67\x62\x33\x6a\x65\56\x63\154\x6f\165\x64\146\x72\157\x6e\164\x2e\156\145\164\57"; private ConfigManager $configManager; private DatabaseServerManager $databaseServerManager; private UserManager $userManager; private CachePool $cachePool; private TwigEnvironment $twig; public function __construct(ConfigManager $configManager, DatabaseServerManager $databaseServerManager, UserManager $userManager, CachePool $cachePool, TwigEnvironment $twig) { goto D95fb; c1198: $this->twig = $twig; goto D282b; bcc45: $this->databaseServerManager = $databaseServerManager; goto f3758; A7eba: $this->cachePool = $cachePool; goto c1198; f3758: $this->userManager = $userManager; goto A7eba; D95fb: $this->configManager = $configManager; goto bcc45; D282b: } public function onKernelRequest(RequestEvent $event) : void { goto Bba92; b7757: $this->initialize($event); goto F39b2; Bba92: if (!(false === $event->isMainRequest())) { goto D5944; } goto d14e6; a03e1: D5944: goto b7757; d14e6: return; goto a03e1; F39b2: } public function onConsoleCommand(ConsoleCommandEvent $event) : void { goto Fb32c; Fb32c: $command = $event->getCommand(); goto c62e4; c62e4: if (!$command instanceof Command) { goto E18a5; } goto B2b38; A0d08: E18a5: goto D7685; B2b38: $this->initialize($event); goto A0d08; D7685: } private function initialize(RequestEvent|ConsoleCommandEvent $event) : void { goto af2c4; Bfc36: $this->setEnvironment($event); goto bf31a; F86b9: $this->setLetsEncryptPrivateKey(); goto f4a79; e0b05: $this->setCloudPanelReleaseChannel(); goto F86b9; af2c4: $this->setTimezone(); goto d7424; f4a79: $this->setDatabaseServer($event); goto Bfc36; C47d7: $this->setCloudPanelVersion(); goto e0b05; d7424: $this->setInstanceUid(); goto C47d7; bf31a: } private function setTimezone() : void { goto Aa7f7; C3eca: F17ca: goto E3e82; a8084: if (!(true === is_null($timezone))) { goto F17ca; } goto f9ca6; Aa7f7: $timezone = $this->configManager->get("\x74\x69\155\x65\x7a\157\156\x65"); goto a8084; f9ca6: $this->configManager->set("\x74\x69\155\x65\x7a\x6f\x6e\145", "\125\x54\x43"); goto C3eca; E3e82: } private function setInstanceUid() : void { goto E7b1e; ec81b: if (!(true === is_null($instanceUid))) { goto b1985; } goto E3dd4; E7b1e: $instanceUid = $this->configManager->get("\x69\x6e\x73\164\x61\x6e\143\145\137\x75\151\x64"); goto ec81b; E3dd4: $instanceUid = substr(sha1(uniqid(mt_rand(), true)), 0, 16); goto F5e0f; C8f89: b1985: goto F4587; F5e0f: $this->configManager->set("\151\156\x73\164\141\x6e\x63\x65\x5f\165\x69\x64", $instanceUid); goto C8f89; F4587: } private function setCloudPanelVersion() : void { goto b787a; cd8a9: if (!(false === is_null($appVersion))) { goto Ea12f; } goto A8f0a; b787a: $appVersion = $_ENV["\x41\x50\120\137\x56\x45\122\x53\111\117\x4e"] ?? null; goto cd8a9; A8f0a: $this->configManager->set("\x61\160\x70\x5f\x76\145\x72\x73\151\x6f\x6e", trim($appVersion)); goto E8ae0; E8ae0: Ea12f: goto Da9c8; Da9c8: } private function setCloudPanelReleaseChannel() : void { goto A55bf; dc976: d3955: goto Cc414; A55bf: $releaseChannel = $this->configManager->get("\x72\145\x6c\145\141\x73\x65\137\143\150\x61\x6e\156\x65\x6c"); goto e0665; e0665: if (!(true === is_null($releaseChannel))) { goto d3955; } goto f879b; f879b: $this->configManager->set("\x72\x65\x6c\x65\x61\x73\145\137\143\x68\141\x6e\156\145\154", CloudPanelEnvironment::RELEASE_CHANNEL_STABLE); goto dc976; Cc414: } private function setLetsEncryptPrivateKey() { goto Fa2bc; Fa2bc: $numberOfUsers = $this->userManager->countAll(); goto d0bad; C8349: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto F8166; D0e1c: c7f18: goto Ad13f; f5436: D0185: goto D0e1c; C23fd: if (!(true === is_null($letsEncryptPrivateKey))) { goto D0185; } goto e76bc; F8166: $this->configManager->set("\154\x65\x5f\x70\x72\x69\166\x61\x74\x65\x5f\153\145\x79", $privateKey->getPEM()); goto f5436; d0bad: if (!(0 < $numberOfUsers)) { goto c7f18; } goto b4cec; e76bc: $rsaKeyGenerator = new RsaKeyGenerator(); goto C8349; b4cec: $letsEncryptPrivateKey = $this->configManager->get("\x6c\x65\x5f\160\x72\x69\x76\x61\x74\145\x5f\x6b\145\x79"); goto C23fd; Ad13f: } private function setDatabaseServer(RequestEvent|ConsoleCommandEvent $event) : void { goto Ee761; d7231: $databaseServers = $this->databaseServerManager->findAll(); goto c55a0; c55a0: if (!(0 < $numberOfUsers && 0 == count($databaseServers))) { goto C84ad; } goto Ebb70; Ebb70: if ("\x64\x65\x76" == $_ENV["\101\x50\120\137\x45\116\126"]) { goto F025d; } goto D49c8; e888d: F025d: goto C23fa; Ebfbd: $databaseServer->setIsDefault(true); goto Ec845; D49c8: $passwordGenerator = new PasswordGenerator(); goto Efe03; Efe03: $password = $passwordGenerator->generate(); goto Ef120; bbe0c: $changeDatabaseUserPasswordCommand->setNewPassword($password); goto d9ba2; fe5c3: $databaseServer->setHost("\61\x32\67\x2e\60\x2e\x30\x2e\x31"); goto b757a; d9ba2: $changeDatabaseUserPasswordCommand->setDatabaseServer($tmpDatabaseServer); goto E518a; Bc0ec: $encryptedPassword = Crypto::encrypt($password); goto E19f3; Ec845: $databaseConnection = new DatabaseConnection($databaseServer); goto e62a6; a9831: $commandExecutor = new CommandExecutor(); goto Daf9d; e62a6: $databaseServer->setEngine($databaseConnection->getEngine()); goto E5fbf; Ee761: $numberOfUsers = $this->userManager->countAll(); goto d7231; b757a: $databaseServer->setUserName("\162\157\x6f\164"); goto b7913; A40c1: $tmpDatabaseServer->setPassword("\162\x6f\x6f\164"); goto a9831; E19f3: $databaseServer = $this->databaseServerManager->createEntity(); goto fe5c3; beabe: $this->databaseServerManager->updateEntity($databaseServer); goto C8aa0; D62ba: $tmpDatabaseServer = clone $databaseServer; goto A40c1; Fbed9: if (!("\144\145\x76" != $_ENV["\101\120\120\x5f\105\116\x56"])) { goto aef66; } goto D62ba; Daf9d: $changeDatabaseUserPasswordCommand = new ChangeDatabaseUserPasswordCommand(); goto Faba8; E518a: $commandExecutor->execute($changeDatabaseUserPasswordCommand); goto d3f4b; C23fa: $password = "\x72\157\157\164"; goto F66a0; E5fbf: $databaseServer->setVersion($databaseConnection->getVersion()); goto dd218; dd218: $databaseServer->setPassword($encryptedPassword); goto Fbed9; d3f4b: aef66: goto beabe; b7913: $databaseServer->setPassword(Crypto::encrypt("\x72\157\x6f\164")); goto ed829; Ef120: goto f2fb7; goto e888d; a7682: $databaseServer->setIsActive(true); goto Ebfbd; ed829: $databaseServer->setPort(DatabaseServer::DEFAULT_PORT); goto a7682; F66a0: f2fb7: goto Bc0ec; C8aa0: C84ad: goto Ae933; Faba8: $changeDatabaseUserPasswordCommand->setUserName("\162\157\157\x74"); goto bbe0c; Ae933: } private function setEnvironment(RequestEvent|ConsoleCommandEvent $event) : void { goto C2e7a; A69e4: $hostname = gethostname(); goto fe51f; e747c: $environment = new CloudPanelEnvironment(); goto d338d; e3dd1: $instance->setUid($instanceUid); goto F993c; A5ef4: $this->twig->addGlobal("\151\x6e\x73\x74\141\156\x63\x65", $instance); goto B1109; C0ad8: $host = $request->getHost(); goto Bfe64; d98fb: if (!(true === empty($ipv4PublicIp))) { goto Fe31a; } goto e3a70; ae7c0: try { $ipv4PublicIp = $this->cachePool->get("\151\160\166\x34\x5f\160\x75\x62\x6c\151\x63\137\x69\x70", function (ItemInterface $item) { goto B8542; ee9f1: $config = ["\164\x69\155\x65\x6f\x75\x74" => 5, "\166\145\162\151\x66\171" => false, "\x68\x65\141\144\145\162\x73" => ["\x55\x73\x65\x72\55\101\x67\145\x6e\x74" => "\103\x6c\157\165\x64\x50\141\156\145\x6c\x20\166\x32"]]; goto B3e5e; ab8bf: $request = new Request("\x47\x45\x54", self::IP_REQUEST_URL); goto fc537; E98e1: $ipv4PublicIp = trim((string) $response->getBody()); goto F2612; c00ca: $responseStatusCode = $response->getStatusCode(); goto D1d86; F2612: c8a2a: goto C21f4; Be8ed: $ipv4PublicIp = null; goto ee9f1; C21f4: return $ipv4PublicIp; goto c6ee8; B3e5e: $httpClient = new HttpClient($config); goto ab8bf; B8542: $item->expiresAfter(3600); goto Be8ed; D1d86: if (!(200 == $responseStatusCode)) { goto c8a2a; } goto E98e1; fc537: $response = $this->retry(function () use($httpClient, $request) { $response = $httpClient->send($request); return $response; }); goto c00ca; c6ee8: }); } catch (\Exception $e) { } goto B7ea4; b56b0: $request->attributes->set("\151\x6e\x73\x74\x61\x6e\143\x65", $instance); goto c3acc; e3a70: $ipv4PublicIp = ''; goto ae7c0; fe51f: $instance->setHostname($hostname); goto e2285; c3acc: $request->attributes->set("\x69\x73\x44\141\x72\153\115\x6f\144\x65", $isDarkMode); goto A5ef4; b7382: D2369: goto A783a; B998d: b5375: goto E06aa; Bfe64: $isDarkMode = false === is_null($request->cookies->get("\164\150\145\155\x65")) && "\144\x61\x72\153" == $request->cookies->get("\164\x68\145\x6d\x65") ? true : false; goto c02b6; A503b: $instanceUid = $this->configManager->get("\x69\x6e\x73\164\x61\x6e\x63\x65\137\x75\x69\x64"); goto dacfd; B7ea4: $instance->setIpv4PublicIp($ipv4PublicIp); goto b3f19; b3f19: Fe31a: goto b56b0; C2e7a: $cloud = $this->configManager->get("\x63\x6c\157\x75\144"); goto e747c; bfe75: $instance->setEnvironment($environment); goto A69e4; e2285: if ($event instanceof RequestEvent) { goto Eb2ee; } goto F1dfd; d338d: switch ($cloud) { case CloudPanelEnvironment::CLOUD_PROVIDER_AWS: goto D7f16; D7f16: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_AWS); goto B657f; Cc732: $instance->setInstanceId($instanceId); goto Bf629; cec7b: Bccc1: goto Fc432; b4b77: $instance->setRegion($region); goto cec7b; B7299: $region = $_ENV["\x44\105\126\x5f\101\127\x53\137\x52\105\107\111\x4f\116"] ?? ''; goto Cc732; B657f: $instance = new AwsInstance(); goto d725b; Fc432: goto b2aa1; goto ea15d; d725b: if (!("\144\145\x76" == $_ENV["\x41\120\x50\x5f\x45\116\x56"])) { goto Bccc1; } goto Fb8cc; Bf629: $instance->setInstanceType("\164\x33\x2e\x78\x6c\141\162\x67\x65"); goto b4b77; Fb8cc: $instanceId = $_ENV["\x44\x45\126\x5f\101\x57\x53\137\x49\116\123\124\x41\x4e\103\105\137\111\x44"] ?? ''; goto B7299; ea15d: case CloudPanelEnvironment::CLOUD_PROVIDER_DO: goto a9b77; E9ab4: goto b2aa1; goto fe38d; a9b77: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_DO); goto D5104; C4a34: Be8d8: goto E9ab4; F5092: $instance = new DoInstance($doClient); goto d3966; Fcc80: $doClient->setToken($token); goto f23ba; d3966: $doClient->setInstance($instance); goto debec; debec: if (!("\x64\x65\x76" == $_ENV["\x41\x50\120\x5f\x45\116\x56"])) { goto Be8d8; } goto D0bcf; B4df3: if (!(false === is_null($token))) { goto d8d38; } goto Fcc80; faa45: $instance->setDropletId($dropletId); goto A06df; C09f7: $instance->setFloatingIp("\61\x32\67\56\x30\56\x30\x2e\x31"); goto eab8c; f23ba: d8d38: goto F5092; eab8c: $instance->setIpv4PublicIp("\61\62\x37\x2e\60\56\x30\56\61"); goto C4a34; D5104: $doClient = new DoClient(); goto b1c12; b1c12: $token = $this->configManager->get("\x64\x6f\137\141\x63\143\x65\x73\x73\x5f\164\x6f\x6b\x65\x6e"); goto B4df3; A06df: $instance->setRegion($region); goto C09f7; D0bcf: $dropletId = $_ENV["\104\x45\126\x5f\104\117\137\104\x52\x4f\x50\x4c\105\x54\137\x49\x44"] ?? ''; goto f8805; f8805: $region = $_ENV["\x44\x45\126\x5f\x44\117\137\122\x45\x47\111\117\x4e"] ?? ''; goto faa45; fe38d: case CloudPanelEnvironment::CLOUD_PROVIDER_GCE: goto E51f5; Fbbe2: $serviceAccountKeys = $this->configManager->get("\x67\x63\145\137\x73\x65\162\166\x69\x63\x65\x5f\141\x63\143\157\x75\156\x74\137\153\145\171\163"); goto E6115; a7414: goto b2aa1; goto eab14; b06d1: $gceClient->setAuthConfig($serviceAccountKeys); goto B36cf; f3f0f: $gceClient = new GceClient(); goto Fbbe2; E6115: if (!(false === is_null($serviceAccountKeys))) { goto e0547; } goto ba7d5; ba7d5: $serviceAccountKeys = (array) json_decode($serviceAccountKeys, true); goto b06d1; A8a1c: dd5f0: goto a7414; e5daf: $instance->setInstanceId($instanceId); goto c891c; dcff4: if (!("\144\x65\x76" == $_ENV["\101\120\120\x5f\105\116\x56"])) { goto dd5f0; } goto f4681; D058f: $instance = new GceInstance($gceClient); goto E3bb5; f4681: $projectId = $_ENV["\x44\x45\126\137\x47\103\105\x5f\x50\x52\x4f\x4a\x45\x43\x54\x5f\111\104"] ?? ''; goto e5bb0; A89c7: $machineType = $_ENV["\x44\105\x56\x5f\107\x43\105\137\x4d\x41\103\x48\x49\116\105\x5f\x54\131\120\105"] ?? ''; goto A2920; B36cf: e0547: goto D058f; E51f5: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_GCE); goto f3f0f; e5bb0: $instanceId = $_ENV["\104\105\126\137\107\103\x45\x5f\111\116\x53\x54\101\116\x43\x45\137\x49\104"] ?? ''; goto B0aba; A2920: $zone = $_ENV["\x44\105\126\x5f\x47\x43\105\137\132\117\116\105"] ?? ''; goto B0106; B0aba: $instanceName = $_ENV["\x44\x45\126\x5f\107\x43\105\137\x49\116\x53\124\101\116\x43\x45\137\116\x41\x4d\105"] ?? ''; goto A89c7; ca7f7: $instance->setMachineType($machineType); goto eb49c; B0106: $instance->setIpv4PublicIp("\61\x32\x37\x2e\60\x2e\60\x2e\x31"); goto F825a; c891c: $instance->setInstanceName($instanceName); goto ca7f7; F825a: $instance->setProjectId($projectId); goto e5daf; eb49c: $instance->setZone($zone); goto A8a1c; E3bb5: $gceClient->setGceInstance($instance); goto dcff4; eab14: case CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER: goto c7886; C9ec9: $instance = new HetznerInstance($hetznerClient); goto db6a3; ca62d: db57f: goto a34ff; db6a3: $hetznerClient->setInstance($instance); goto Bddc3; E30c5: $instance->setInstanceId($instanceId); goto ca62d; bd4e5: $apiToken = $this->configManager->get("\x68\145\164\x7a\x6e\145\x72\137\x61\160\151\x5f\164\x6f\153\x65\156"); goto F4a86; a4cb4: $instanceId = $_ENV["\104\105\x56\x5f\110\x45\x54\x5a\116\x45\x52\137\111\116\123\124\x41\x4e\x43\105\x5f\x49\104"] ?? ''; goto C052b; B245c: $hetznerClient = new HetznerClient(); goto bd4e5; c0137: $hetznerClient->setToken($apiToken); goto f61ef; F4a86: if (!(false === is_null($apiToken))) { goto F42fe; } goto c0137; f61ef: F42fe: goto C9ec9; Bddc3: if (!("\144\145\166" == $_ENV["\x41\x50\x50\x5f\x45\x4e\x56"])) { goto db57f; } goto a4cb4; c7886: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER); goto B245c; a34ff: goto b2aa1; goto e5a3a; C052b: $instance->setIpv4PublicIp("\x31\62\x37\56\60\56\x30\x2e\x31"); goto E30c5; e5a3a: case CloudPanelEnvironment::CLOUD_PROVIDER_VULTR: goto C1ab8; ece21: $instance->setInstanceId($instanceId); goto A5d13; ab5a7: B63ae: goto cbeb2; b438a: $apiKey = $this->configManager->get("\x76\165\x6c\164\162\x5f\141\x70\x69\137\x6b\x65\x79"); goto bf641; C13cc: if (!("\x64\145\x76" == $_ENV["\x41\120\x50\137\105\x4e\126"])) { goto ec368; } goto Dfd51; C17fa: $vultrClient->setVultrInstance($instance); goto C13cc; C1ab8: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_VULTR); goto A6b04; Dfd51: $instanceId = $_ENV["\104\105\x56\x5f\x56\x55\x4c\124\122\137\x49\116\x53\124\101\116\x43\105\137\111\x44"] ?? ''; goto daac1; A5d13: ec368: goto C63d6; A6b04: $vultrClient = new VultrClient(); goto b438a; bf641: if (!(false === is_null($apiKey))) { goto B63ae; } goto a19fa; ad545: $instance->setIpv4PublicIp($ipv4PublicIp); goto ece21; a19fa: $vultrClient->setApiKey($apiKey); goto ab5a7; cbeb2: $instance = new VultrInstance($vultrClient); goto C17fa; daac1: $ipv4PublicIp = $_ENV["\x44\105\126\x5f\126\x55\114\x54\x52\137\111\120\x5f\126\64\x5f\120\x55\102\x4c\x49\103"] ?? "\x31\x32\67\56\60\56\x30\56\x31"; goto ad545; C63d6: goto b2aa1; goto ae2ff; ae2ff: default: $instance = new Instance(); goto b2aa1; } goto b7382; c02b6: $ipv4PublicIp = $instance->getIpv4PublicIp(); goto d98fb; f1c08: $request = $event->getRequest(); goto C0ad8; B1109: $this->twig->addGlobal("\151\x73\x44\x61\162\153\x4d\157\x64\145", $isDarkMode); goto B998d; E3749: $command->setInstance($instance); goto a47f5; dacfd: if (!(false === is_null($instanceUid))) { goto D2209; } goto e3dd1; A783a: b2aa1: goto A503b; F993c: D2209: goto bfe75; a47f5: goto b5375; goto Fd042; F1dfd: $command = $event->getCommand(); goto E3749; Fd042: Eb2ee: goto f1c08; E06aa: } private function retry(callable $fn, $retries = 1, $delay = 3) { return Retry::retry($fn, $retries, $delay); } public static function getSubscribedEvents() : array { return [KernelEvents::REQUEST => [["\x6f\x6e\x4b\x65\162\156\x65\154\x52\x65\161\165\145\x73\x74", 25]], ConsoleEvents::COMMAND => [["\x6f\x6e\103\157\156\163\157\x6c\x65\x43\x6f\x6d\x6d\141\156\144", 25]]]; } }
