<?php
 namespace App\Site\Nginx\Vhost; use App\Site\Site; use App\Site\Nginx\Vhost\Processor\Processor; use App\Site\Nginx\Vhost\Processor\RootDirectory as RootDirectoryProcessor; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; use App\Site\Nginx\Vhost\Processor\NginxAccessLog as NginxAccessLogProcessor; use App\Site\Nginx\Vhost\Processor\NginxErrorLog as NginxErrorLogProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificateKey as NginxCertificateKeyProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificate as NginxCertificateProcessor; use App\Site\Nginx\Vhost\Processor\Settings as SettingsProcessor; class Template { protected Site $site; protected ?string $content = null; protected array $placeholders = []; protected array $processors = []; public function __construct(Site $site) { $this->site = $site; $this->init(); } protected function init() : void { goto A79b6; E6905: $this->addProcessor($nginxAccessLogProcessor); goto E962c; B0a59: $this->addProcessor($redirectDomainProcessor); goto E6905; F7401: $this->addProcessor($certificateKeyProcessor); goto Afbcb; Cde06: $this->addProcessor($redirectServerNameProcessor); goto B0a59; db5e5: $nginxAccessLogProcessor = new NginxAccessLogProcessor(); goto db417; Ec215: $redirectServerNameProcessor = new RedirectServerNameProcessor(); goto Df328; Df328: $redirectDomainProcessor = new RedirectDomainProcessor(); goto db5e5; db417: $nginxErrorLogProcessor = new NginxErrorLogProcessor(); goto f03bc; ea49b: $certificateProcessor = new NginxCertificateProcessor(); goto E680e; E680e: $settingsProcessor = new SettingsProcessor(); goto F5c7f; e17bd: $this->addProcessor($serverNameProcessor); goto Cde06; f03bc: $certificateKeyProcessor = new NginxCertificateKeyProcessor(); goto ea49b; cad93: $this->addProcessor($settingsProcessor); goto fecb8; Fc74b: $serverNameProcessor = new ServerNameProcessor(); goto Ec215; E962c: $this->addProcessor($nginxErrorLogProcessor); goto F7401; Afbcb: $this->addProcessor($certificateProcessor); goto cad93; F5c7f: $this->addProcessor($rootDirectoryProcessor); goto e17bd; A79b6: $rootDirectoryProcessor = new RootDirectoryProcessor(); goto Fc74b; fecb8: } public function getSite() : Site { return $this->site; } public function setContent(string $content) : void { $this->content = $content; } public function getContent() : ?string { return $this->content; } public function build() : void { goto ef073; C394f: A266a: goto Ad99e; C11d9: foreach ($placeholders as $placeholder) { goto d7fa7; d7fa7: $hasProcessor = $this->hasProcessor($placeholder); goto ab372; ec08f: $this->removePlaceholder($placeholder); goto A3439; ab372: if (!(true === $hasProcessor)) { goto Adc25; } goto fbb7b; A3439: Adc25: goto B094a; A9622: $this->content = $processor->process($this->content); goto ec08f; fa2c0: $processor->setSite($this->site); goto A9622; B094a: B887d: goto e2eb0; fbb7b: $processor = $processors[$placeholder]; goto fa2c0; e2eb0: } goto C394f; ef073: $processors = $this->getProcessors(); goto D1a93; D1a93: $placeholders = $this->getPlaceholders(); goto C11d9; Ad99e: } public function removeEmptyPlaceholders() : void { goto D6ffb; D6ffb: $placeholders = $this->getPlaceholders(); goto C7c49; C1637: Ad66f: goto A192c; C7c49: foreach ($placeholders as $placeholder) { $this->content = str_replace($placeholder, '', $this->content); B8431: } goto C1637; A192c: } protected function hasProcessor(string $placeholder) : bool { return isset($this->processors[$placeholder]); } protected function getProcessors() : array { return $this->processors; } public function addProcessor(Processor $processor) : void { $this->processors[$processor->getPlaceholder()] = $processor; } public function resetProcessors() : void { $this->processors = []; } public function getPlaceholders() : array { goto B6f66; B6f66: if (!(true === empty($this->placeholders))) { goto f7436; } goto C9da4; b3051: foreach ($placeholders as $placeholder) { goto e0f18; f83a8: if (!(false === empty($placeholder))) { goto A666a; } goto cab1e; e0f18: $placeholder = trim($placeholder); goto f83a8; cab1e: $this->addPlaceholder($placeholder); goto f3c5c; f3c5c: A666a: goto D666c; D666c: f6d26: goto d58a6; d58a6: } goto ccb38; Ad7e8: fd4d7: goto b68bb; Cb688: return $this->placeholders; goto Ce950; ccb38: c0bb5: goto Ad7e8; b68bb: f7436: goto Cb688; ad470: if (!(true === isset($placeholders[0]) && count($placeholders[0]))) { goto fd4d7; } goto C460e; C9da4: preg_match_all("\x2f\133\x7b\173\135\x7b\x32\x7d\x28\133\134\x73\141\55\172\101\55\132\60\55\71\137\135\x2b\51\x5b\x7d\x7d\135\x7b\62\175\57", $this->content, $placeholders); goto ad470; C460e: $placeholders = $placeholders[0]; goto b3051; Ce950: } private function addPlaceholder(string $placeholder) : void { $this->placeholders[$placeholder] = $placeholder; } private function removePlaceholder(string $placeholder) : void { goto a6480; d6002: unset($this->placeholders[$placeholder]); goto a8862; a8862: Afbd2: goto D3e42; a6480: if (!(true === isset($this->placeholders[$placeholder]))) { goto Afbd2; } goto d6002; D3e42: } }
