<?php
 namespace App\Site; use App\System\Command\CopyFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\NginxConfigTestCommand; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\ChmodCommand; use App\System\Command\FindChmodCommand; use App\System\Command\WriteFileCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\ChangeUserHomeDirectoryCommand; use App\System\Command\CreateUserCommand; use App\System\Command\DeleteUserCommand; use App\System\Command\ChangeUserPasswordCommand; use App\System\Command\CreateSymlinkCommand; use App\System\Command\ServiceReloadCommand; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Entity\Site as SiteEntity; use App\Site\Ssl\LetsEncrypt\CertificateOrder; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Nginx\Vhost\StaticTemplate; use App\Site\Nginx\Vhost\NodejsTemplate; use App\Site\Nginx\Vhost\PhpTemplate; use App\Site\Nginx\Vhost\PythonTemplate; use App\Site\Nginx\Vhost\ReverseProxyTemplate; abstract class Updater { public const NGINX_BASIC_AUTH_DIRECTORY = "\x2f\x65\164\x63\57\156\147\x69\x6e\x78\57\x62\141\x73\151\143\x2d\x61\x75\164\150\57"; public const NGINX_VHOST_DIRECTORY = "\x2f\x65\164\143\x2f\x6e\x67\151\x6e\x78\x2f\163\151\164\145\163\x2d\145\156\141\142\154\x65\144\57"; public const NGINX_SSL_CERTIFICATES_DIRECTORY = "\57\x65\164\x63\57\156\x67\151\156\170\57\x73\163\x6c\55\143\145\162\164\151\x66\151\143\141\164\145\163\57"; public const CRON_DIRECTORY = "\x2f\x65\164\x63\57\143\x72\x6f\156\x2e\x64\x2f"; protected Site $site; protected CommandExecutor $commandExecutor; public function __construct(Site $site) { $this->site = $site; $this->commandExecutor = new CommandExecutor(); } public function domainSettings() : void { $this->updateNginxVhost(); $this->reloadNginxService(); } public function updateNginxVhost() : void { goto bd79c; d92cd: $vhostTemplate->removeEmptyPlaceholders(); goto bfec0; F45b8: Bb769: goto C8207; bd79c: $domainName = $this->site->getDomainName(); goto Deda1; Deda1: $vhostFileContent = $this->site->getVhostTemplate(); goto C9c18; e3993: $writeVhostFileCommand = new WriteFileCommand(); goto D0792; C8207: $vhostTemplate->setContent($vhostFileContent); goto C8e77; bfec0: $vhostContent = $vhostTemplate->getContent(); goto e3993; C9c18: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto Bb769; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto Bb769; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto Bb769; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto Bb769; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto Bb769; } goto b5ba9; C8e77: $vhostFile = sprintf("\45\x73\57\45\163\56\143\157\156\146", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto fd5e4; b5ba9: C9476: goto F45b8; B6c0e: $writeVhostFileCommand->setContent($vhostContent); goto Cd02b; Cd02b: $this->commandExecutor->execute($writeVhostFileCommand); goto A1ab6; fd5e4: $vhostTemplate->build(); goto d92cd; D0792: $writeVhostFileCommand->setFile($vhostFile); goto B6c0e; A1ab6: } public function updateNginxVhostWithRollback() : void { try { goto c98f0; c6acf: $writeVhostFileCommand->setFile($vhostFile); goto b6613; a9f08: $vhostFileContent = $this->site->getVhostTemplate(); goto b51fc; Fa090: $this->commandExecutor->execute($reloadNginxServiceCommand); goto E52c6; Eddde: $vhostTemplate->build(); goto fee5d; Adda5: $reloadNginxServiceCommand->setServiceName("\156\147\x69\156\170"); goto Fa090; D8965: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto E28af; ec9ef: $vhostBackupFile = sprintf("\45\x73\57\45\x73\x2e\x63\x6f\156\146\56\x62\x61\153", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto F89d9; c98f0: $domainName = $this->site->getDomainName(); goto a9f08; b51fc: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto c934b; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto c934b; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto c934b; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto c934b; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto c934b; } goto D131e; Fcfb8: if (!("\x64\x65\x76" != $_ENV["\101\120\x50\x5f\105\116\x56"])) { goto F2835; } goto cc9d3; cb1ce: $this->commandExecutor->execute($nginxConfigTestCommand); goto Fcfb8; Bd44c: $writeVhostFileCommand = new WriteFileCommand(); goto c6acf; D131e: Ba822: goto e12b4; A74de: $nginxConfigTestCommand = new NginxConfigTestCommand(); goto c2aba; c6a53: $copyVhostBackupFileCommand->setDestinationFile($vhostBackupFile); goto Bd44c; Ea039: $copyVhostBackupFileCommand->setSourceFile($vhostFile); goto c6a53; Cb67f: $deleteVhostBackupFileCommand->setFile($vhostBackupFile); goto Af341; ad201: $vhostFile = sprintf("\45\x73\x2f\45\x73\x2e\143\x6f\x6e\x66", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto Eddde; cc9d3: $reloadNginxServiceCommand = new ServiceReloadCommand(); goto Adda5; Af341: $this->commandExecutor->execute($copyVhostBackupFileCommand); goto C9606; c2aba: $deleteVhostBackupFileCommand = new DeleteFileCommand(); goto Cb67f; F89d9: $copyVhostBackupFileCommand = new CopyFileCommand(); goto Ea039; fee5d: $vhostTemplate->removeEmptyPlaceholders(); goto baca5; baca5: $vhostContent = $vhostTemplate->getContent(); goto ec9ef; e12b4: c934b: goto b8852; C9606: $this->commandExecutor->execute($writeVhostFileCommand); goto cb1ce; b8852: $vhostTemplate->setContent($vhostFileContent); goto ad201; E52c6: F2835: goto D8965; b6613: $writeVhostFileCommand->setContent($vhostContent); goto A74de; E28af: } catch (\Exception $e) { goto c498b; add82: $this->commandExecutor->execute($restoreBackupFileCommand); goto Ae7d6; c498b: $errorMessage = $e->getMessage(); goto C1efd; c9fe6: $this->commandExecutor->execute($reloadNginxServiceCommand); goto cf944; a929f: $restoreBackupFileCommand = new CopyFileCommand(); goto ef6fa; Fcf9f: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto B1cfd; be5db: ccb06: goto a929f; ef6fa: $restoreBackupFileCommand->setSourceFile($vhostBackupFile); goto d3a84; B1cfd: throw new InvalidVhostException($errorMessage); goto efa94; F25b3: $errorMessage = $nginxConfigTestCommand->getOutput(); goto be5db; d3a84: $restoreBackupFileCommand->setDestinationFile($vhostFile); goto add82; cf944: Ca347: goto Fcf9f; Ae7d6: if (!(true === isset($reloadNginxServiceCommand))) { goto Ca347; } goto c9fe6; C1efd: if (!(true === isset($nginxConfigTestCommand))) { goto ccb06; } goto F25b3; efa94: } } public function createSshUser(SshUserEntity $sshUserEntity) : void { goto A8d42; d2a82: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto d3c63; a0f4d: foreach ($symlinkDirectories as $symlinkDirectory) { goto F1695; f1a64: if (!("\144\x65\x76" != $_ENV["\101\120\120\137\x45\116\x56"])) { goto ed4fb; } goto f813a; f813a: $this->commandExecutor->execute($symlinkCommand); goto C39da; a64ce: $destination = sprintf("\x2f\x68\x6f\x6d\145\x2f\x25\163\57\x25\163", $sshUserName, $symlinkDirectory); goto E37fd; C39da: ed4fb: goto cd854; D3916: $symlinkCommand->setSource($source); goto b2e00; b2e00: $symlinkCommand->setDestination($destination); goto f1a64; B8096: $symlinkCommand->setRunAsUser($sshUserName); goto D3916; F1695: $source = sprintf("\57\x68\157\155\x65\57\45\163\57\x25\x73", $siteUser, $symlinkDirectory); goto a64ce; cd854: D39d5: goto ab6a7; E37fd: $symlinkCommand = new CreateSymlinkCommand(); goto B8096; ab6a7: } goto b977e; Ecceb: $createUserCommand->setPassword($sshUserPassword); goto D2bbf; D07d2: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto f06c4; fa02a: $createUserCommand->setSkeletonDirectory($skeletonDirectory); goto be36c; B56b9: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto a9499; Ac260: $sshDirectoryChmodCommand->setDirectoryChmod(700); goto C2e29; f03e4: $createUserCommand->createHomeDirectory(true); goto A0b79; F81ac: $createUserCommand->setShell("\57\142\x69\156\57\x62\141\x73\150"); goto fa02a; a7c10: $sshDirectoryChmodCommand = new FindChmodCommand(); goto Ba875; A8d42: $site = $sshUserEntity->getSite(); goto Fc393; Ca557: $sshUserName = $sshUserEntity->getUserName(); goto e25d8; f06c4: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto E424b; b977e: e1cbe: goto fc530; Fc393: $siteUser = $site->getUser(); goto Ca557; C99d8: $siteUserHomeDirectory = sprintf("\x2f\x68\x6f\155\x65\x2f\45\163", $siteUser); goto d2a82; E424b: $this->commandExecutor->execute($sshDirectoryChmodCommand); goto B56b9; b1d41: $homeDirectory = sprintf("\57\150\157\155\145\x2f\45\163", $sshUserName); goto B142d; be36c: $createUserCommand->setHomeDirectory($homeDirectory); goto f03e4; e25d8: $sshUserPassword = $sshUserEntity->getPassword(); goto b1d41; A0b79: $this->commandExecutor->execute($createUserCommand); goto Fc355; d3c63: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto D07d2; fc530: $sshDirectory = sprintf("\x2f\x68\157\x6d\145\x2f\x25\x73\57\56\163\163\x68", $sshUserName); goto a7c10; C2e29: $sshDirectoryChmodCommand->setFileChmod(600); goto C99d8; Bffb8: $createUserCommand = new CreateUserCommand(); goto B8209; D2bbf: $createUserCommand->setGroup($siteUser); goto F81ac; Ba875: $sshDirectoryChmodCommand->setFile($sshDirectory); goto Ac260; B8209: $createUserCommand->setUserName($sshUserName); goto Ecceb; Fc355: $symlinkDirectories = ["\x62\x61\x63\153\165\x70\163", "\150\x74\144\x6f\143\x73", "\154\x6f\x67\163"]; goto a0f4d; B142d: $skeletonDirectory = realpath(dirname(__FILE__) . "\x2f\x2e\x2e\57\56\x2e\57\162\145\x73\x6f\165\162\x63\x65\163\x2f\x65\164\143\57\x73\x6b\x65\154\x2f\x73\x73\x68\55\x75\x73\x65\x72\57"); goto Bffb8; a9499: } public function createFtpUser(FtpUserEntity $ftpUserEntity) : void { goto f6db5; E1c4d: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto cf1e3; eac49: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto baedd; Bcc5d: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto e1c01; B5d29: $createUserCommand->createHomeDirectory(false); goto a0aa2; f6db5: $site = $ftpUserEntity->getSite(); goto F8054; a0aa2: $siteUserHomeDirectory = sprintf("\x2f\150\x6f\155\145\x2f\x25\163", $siteUser); goto B56cb; F8054: $siteUser = $site->getUser(); goto f471f; Fb2fa: $homeDirectory = $ftpUserEntity->getHomeDirectory(); goto Cbff5; cf1e3: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto eac49; d0fed: $createUserCommand->setPassword($ftpUserPassword); goto d5b5e; baedd: $this->commandExecutor->execute($createUserCommand); goto Bcc5d; c7e5c: $createUserCommand->setHomeDirectory($homeDirectory); goto B5d29; B56cb: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto E1c4d; Cbff5: $createUserCommand = new CreateUserCommand(); goto ba474; D5472: $ftpUserPassword = $ftpUserEntity->getPassword(); goto Fb2fa; f471f: $ftpUserName = $ftpUserEntity->getUserName(); goto D5472; d5b5e: $createUserCommand->setGroup($siteUser); goto Beb48; ba474: $createUserCommand->setUserName($ftpUserName); goto d0fed; Beb48: $createUserCommand->setGroups(["\146\164\160\x2d\165\x73\145\x72"]); goto D5ef2; D5ef2: $createUserCommand->setShell("\57\x62\x69\156\x2f\146\x61\x6c\x73\145"); goto c7e5c; e1c01: } public function deleteUser(string $userName, $removeHomeDirectory = true) : void { goto dfc23; cbd4b: $this->commandExecutor->execute($deleteUserCommand); goto B2d30; b9f6c: $deleteUserCommand->setUserName($userName); goto f012f; dfc23: $deleteUserCommand = new DeleteUserCommand(); goto b9f6c; f012f: $deleteUserCommand->setRemoveHomeDirectory($removeHomeDirectory); goto cbd4b; B2d30: } public function installCertificate(CertificateEntity $certificateEntity) : void { goto Bdb71; B43ae: $writeCertificateFileCommand->setFile($certificateFile); goto Ef711; A379f: if (!(false === empty($certificateEntity->getCertificateChain()))) { goto e77e9; } goto fb105; eaa91: $writeCertificateFileCommand = new WriteFileCommand(); goto B43ae; E0ae0: $certificateFile = sprintf("\x25\163\57\x25\x73\x2e\x63\x72\164", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\x2f"), $domainName); goto e126a; fb105: $certificate .= sprintf("\45\x73\45\x73", PHP_EOL, trim($certificateEntity->getCertificateChain())); goto cba95; Ddf61: $writePrivateKeyFileCommand->setFile($privateKeyFile); goto Ea820; Ef711: $writeCertificateFileCommand->setContent($certificate); goto F9028; d41c2: $privateKeyFile = sprintf("\x25\163\x2f\x25\x73\56\x6b\145\x79", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\x2f"), $domainName); goto E0ae0; F9028: $this->commandExecutor->execute($writePrivateKeyFileCommand); goto d3e86; Ea820: $writePrivateKeyFileCommand->setContent($certificateEntity->getPrivateKey()); goto eaa91; d3e86: $this->commandExecutor->execute($writeCertificateFileCommand); goto Aafe2; e126a: $certificate = $certificateEntity->getCertificate(); goto A379f; fd946: $writePrivateKeyFileCommand = new WriteFileCommand(); goto Ddf61; Bdb71: $domainName = $this->site->getDomainName(); goto d41c2; cba95: e77e9: goto fd946; Aafe2: $this->reloadService("\x6e\147\x69\x6e\170"); goto b9fd9; b9fd9: } public function deleteLetsEncryptChallengeDirectory() : void { goto ae21f; Ce393: $acemeChallengeDirectory = sprintf("\x25\163\57\x2e\167\145\x6c\x6c\x2d\x6b\156\x6f\167\156\x2f\141\x63\155\145\55\x63\150\141\x6c\154\x65\x6e\x67\145\x2f", rtrim($rootDirectory, "\x2f")); goto Ef56a; C8144: $deleteAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto b4c6a; b4c6a: $this->commandExecutor->execute($deleteAcmeChallengeDirectoryCommand); goto Ba6a6; ae21f: $rootDirectory = $this->getRootDirectory(); goto Ce393; Ef56a: $deleteAcmeChallengeDirectoryCommand = new DeleteDirectoryCommand(); goto C8144; Ba6a6: } public function createBasicAuthFile(BasicAuthEntity $basicAuthEntity) : void { goto A0010; ddf23: $writeBasicAuthFileCommand->setFile($basicAuthFile); goto Fbbc1; A70bc: $this->commandExecutor->execute($writeBasicAuthFileCommand); goto e2118; fc871: $writeBasicAuthFileCommand = new WriteFileCommand(); goto ddf23; A0010: $basicAuthFile = sprintf("\x25\163\x2f\x25\x73", rtrim(self::NGINX_BASIC_AUTH_DIRECTORY, "\57"), $this->site->getDomainName()); goto c6d44; c6d44: $basicAuthFileContent = sprintf("\x25\163\72\45\x73", $basicAuthEntity->getUserName(), crypt($basicAuthEntity->getPassword(), base64_encode($basicAuthEntity->getPassword()))); goto fc871; Fbbc1: $writeBasicAuthFileCommand->setContent($basicAuthFileContent); goto A70bc; e2118: } public function createLetsEncryptChallengeFiles(CertificateOrder $certificateOrder) : void { goto Efc4a; Bf9c6: $chownWellKnownDirectoryCommandCommand->setUser($siteUser); goto c370e; B8064: $challenges = $certificateOrder->getAuthorizationsChallenges(); goto Cd07e; f9ceb: $chownWellKnownDirectoryCommandCommand->setRecursive(true); goto Bf9c6; bbb24: $chmodWellKnownDirectoryCommand->setDirectoryChmod(750); goto c5d68; E03c3: e86f3: goto b094b; B5340: $this->commandExecutor->execute($createAcmeChallengeDirectoryCommand); goto e70ef; Efc4a: $siteUser = $this->site->getUser(); goto b09df; Cc16e: $chownWellKnownDirectoryCommandCommand->setFile($wellKnownDirectory); goto f9ceb; c5d68: $chmodWellKnownDirectoryCommand->setFileChmod(770); goto ba39a; f9d6c: F6bd5: goto E03c3; b094b: $chownWellKnownDirectoryCommandCommand = new ChownCommand(); goto Cc16e; d2def: foreach ($challenges as $challenge) { goto Ae5b5; aa41f: $challengeWriteFileCommand->setContent($verificationContent); goto cb8cd; fb06e: $verificationContent = $challenge["\166\145\x72\x69\146\x69\143\x61\x74\x69\x6f\156\103\x6f\156\164\145\156\x74"] ?? null; goto cdb7d; cdb7d: if (!(false === is_null($token) && false === is_null($verificationContent))) { goto c6982; } goto Eef7d; cb8cd: $this->commandExecutor->execute($challengeWriteFileCommand); goto dd8fc; Eef7d: $challengeFile = sprintf("\45\x73\57\45\x73", rtrim($acemeChallengeDirectory, "\x2f"), $token); goto af2fc; Ae5b5: $token = $challenge["\164\157\153\145\156"] ?? null; goto fb06e; dfe55: $challengeWriteFileCommand->setFile($challengeFile); goto aa41f; dd8fc: c6982: goto Bd979; Bd979: ae6c1: goto e0d46; af2fc: $challengeWriteFileCommand = new WriteFileCommand(); goto dfe55; e0d46: } goto f9d6c; e70ef: if (!count($challenges)) { goto e86f3; } goto d2def; Daec7: $chmodWellKnownDirectoryCommand->setFile($wellKnownDirectory); goto bbb24; Ae720: $chmodWellKnownDirectoryCommand = new FindChmodCommand(); goto Daec7; ba39a: $this->commandExecutor->execute($chownWellKnownDirectoryCommandCommand); goto a45a1; c5828: $createAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto B5340; b09df: $rootDirectory = $this->getRootDirectory(); goto bcaad; bcaad: $wellKnownDirectory = sprintf("\x25\x73\x2f\56\167\x65\x6c\x6c\55\153\156\x6f\167\156\57", rtrim($rootDirectory, "\x2f")); goto c2630; a45a1: $this->commandExecutor->execute($chmodWellKnownDirectoryCommand); goto aec10; c2630: $acemeChallengeDirectory = sprintf("\x25\163\x2f\56\167\145\x6c\154\55\x6b\156\157\167\156\57\x61\143\155\145\55\x63\150\141\154\x6c\145\156\147\145\x2f", rtrim($rootDirectory, "\x2f")); goto B8064; c370e: $chownWellKnownDirectoryCommandCommand->setGroup($siteUser); goto Ae720; Cd07e: $createAcmeChallengeDirectoryCommand = new CreateDirectoryCommand(); goto c5828; aec10: } public function updateUserCrontab() : void { goto Ff959; E4396: if (!count($cronJobs)) { goto dabb1; } goto B278e; F4e67: $writeCrontabFileCommand->setFile($crontabFile); goto Bf5f2; Ae64d: $crontabFile = sprintf("\45\163\57\45\163", rtrim(self::CRON_DIRECTORY, "\x2f"), $siteUser); goto C09b0; Bf5f2: $writeCrontabFileCommand->setContent($crontabContent); goto De1c1; Ff959: $siteUser = $this->site->getUser(); goto Ae64d; ad6a1: E5636: goto D582e; B5f5e: $cronJobs = $this->site->getCronJobs(); goto E4396; D582e: dabb1: goto Cc738; C09b0: $crontabEntries = ["\115\101\x49\114\x54\117\75\x22\x22"]; goto B5f5e; B278e: foreach ($cronJobs as $cronJob) { $crontabEntries[] = $cronJob->getCrontabExpression(); b3f23: } goto ad6a1; D1f4c: $writeCrontabFileCommand = new WriteFileCommand(); goto F4e67; De1c1: $this->commandExecutor->execute($writeCrontabFileCommand); goto C0c92; Cc738: $crontabContent = implode(PHP_EOL, $crontabEntries); goto D1f4c; C0c92: } public function purgePageSpeedCache() : void { goto d3e99; b51f0: $cacheDirectory = sprintf("\57\x68\x6f\155\x65\x2f\x25\x73\x2f\164\155\160\57\x70\141\147\x65\x73\160\x65\x65\x64\137\143\141\x63\150\145", $siteUser); goto cc4e0; d3e99: $siteUser = $this->site->getUser(); goto b51f0; ae026: $this->commandExecutor->execute($purgePageSpeedCacheFilesCommand, 300); goto e1b8e; b4ea1: $purgePageSpeedCacheFilesCommand->setDirectory($cacheDirectory); goto ae026; cc4e0: $purgePageSpeedCacheFilesCommand = new DeleteDirectoryCommand(); goto b4ea1; e1b8e: } public function updateUserSShKeys(string $userName, $sshKeys) : void { goto ead2d; ead2d: $authorizedKeysFile = sprintf("\57\150\157\155\x65\57\45\163\57\56\x73\x73\x68\57\141\165\x74\x68\157\162\x69\x7a\145\x64\137\x6b\145\171\163", $userName); goto ace5e; eb3d6: $writeAuthorizedKeysFileCommand->setContent($sshKeys); goto de5f0; ace5e: $writeAuthorizedKeysFileCommand = new WriteFileCommand(); goto A2db5; A2db5: $writeAuthorizedKeysFileCommand->setFile($authorizedKeysFile); goto eb3d6; de5f0: $this->commandExecutor->execute($writeAuthorizedKeysFileCommand); goto fbab4; fbab4: } public function changeUserHomeDirectory(string $userName, string $homeDirectory) : void { goto aa9f1; aa9f1: $changeUserHomeDirectoryCommand = new ChangeUserHomeDirectoryCommand(); goto B6b71; c791a: $this->commandExecutor->execute($changeUserHomeDirectoryCommand); goto A98c3; B6b71: $changeUserHomeDirectoryCommand->setUserName($userName); goto aff40; aff40: $changeUserHomeDirectoryCommand->setHomeDirectory($homeDirectory); goto c791a; A98c3: } public function changeUserPassword(string $userName, string $password) : void { goto F0553; D9dc9: $this->commandExecutor->execute($changeUserPasswordCommand); goto Fde5e; cce3a: $changeUserPasswordCommand->setPassword($password); goto D9dc9; ff2ef: $changeUserPasswordCommand->setUserName($userName); goto cce3a; F0553: $changeUserPasswordCommand = new ChangeUserPasswordCommand(); goto ff2ef; Fde5e: } protected function getRootDirectory() : string { goto fad48; fad48: $siteUser = $this->site->getUser(); goto E4fe2; F7860: return $rootDirectory; goto a0731; E4fe2: $rootDirectory = $this->site->getRootDirectory(); goto ff9b9; ff9b9: $rootDirectory = sprintf("\57\150\x6f\155\145\57\45\163\57\150\164\144\157\x63\163\57\45\163", $siteUser, $rootDirectory); goto F7860; a0731: } public function reloadNginxService() : void { $this->reloadService("\156\x67\x69\x6e\170"); } public function reloadService($serviceName) { goto a389e; Ae8e2: $this->commandExecutor->execute($reloadServiceCommand); goto Ad6a2; A6886: $reloadServiceCommand->setServiceName($serviceName); goto Ae8e2; D8982: $reloadServiceCommand = new ServiceReloadCommand(); goto A6886; a389e: if (!("\x64\145\166" != $_ENV["\x41\x50\120\137\x45\x4e\126"])) { goto F2dd1; } goto D8982; Ad6a2: F2dd1: goto Ce0b1; Ce0b1: } }
